commit 5d61b55e8bea32fe2b52e21682ee4b3719b290c5
Author: David King <amigadave@amigadave.com>
Date:   Mon Sep 22 12:32:59 2014 +0100

    version 3.14.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4153deb1b9b76601389657e64dcae6721002236f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Sep 15 12:08:38 2014 +0100

    macros2: Update links to macros in the autoconf-archive
    
    Now that the macros have been committed upstream, we can link to their
    manual pages rather than the bug reports.

 macros2/gnome-code-coverage.m4 | 2 +-
 macros2/gnome-common.m4        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b23a0e022cde3e3aff15175bd5923eab17f48918
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 11 20:36:13 2014 +0200

    macros2: Add support for APPSTREAM_XML macro
    
    And request that appstream-xml.m4 get installed if missing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736497

 macros2/gnome-autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit f07add268460e3e678124155a2ce4a623e7d14d6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Aug 26 00:03:51 2014 +0100

    macros2: Deprecate GNOME_CODE_COVERAGE
    
    The autoconf-archive AX_CODE_COVERAGE macro should be used instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729405

 macros2/Makefile.am            |   1 +
 macros2/ax_code_coverage.m4    | 180 +++++++++++++++++++++++++++++++++++++++++
 macros2/gnome-code-coverage.m4 | 137 ++-----------------------------
 3 files changed, 188 insertions(+), 130 deletions(-)

commit b62c76f204a8cae64dc2c3c33828d27c1a2581e5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri May 2 16:07:06 2014 +0200

    macros2: Deprecate GNOME_MAINTAINER_MODE_DEFINES
    
    The modules which it deprecates are all ancient and unused. Many of the
    modules which use GNOME_MAINTAINER_MODE_DEFINES don’t make use of the
    DISABLE_DEPRECATED variable it generates anyway.
    
    If a module really wants maintainer mode, they should use
    AM_MAINTAINER_MODE. Otherwise, they should just eliminate this call
    entirely.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735417

 macros2/gnome-common.m4 | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f9073d5defa6f30bb8b364c3a56c53a60eb0b0dd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri May 2 16:04:07 2014 +0200

    macros2: Deprecate GNOME_DEBUG_CHECK
    
    The autoconf-archive AX_DEBUG_CHECK macro should be used instead, or the
    macro contents should just be substituted into configure.ac directly,
    since it’s so simple.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729403

 macros2/Makefile.am              |  13 ++++-
 macros2/ax_check_enable_debug.m4 | 113 +++++++++++++++++++++++++++++++++++++++
 macros2/gnome-common.m4          |  17 +++---
 3 files changed, 130 insertions(+), 13 deletions(-)

commit efd34adf8b6d73f14c13fd87183983c576ea215c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Aug 26 00:08:37 2014 +0100

    build: Remove a non-existent file from EXTRA_DIST
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735418

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit cdb06bca3101ef09a207deb290bd607ec128e04b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 17 18:00:17 2014 -0500

    compiler-flags: allow suppressing warnings
    
    Some projects want to see no warnings at all, for example, projects that
    are written in Vala. But GNOME_COMPILE_WARNINGS([no]) is a no-op that
    does nothing to turn off the default compiler warnings. Presumably if
    you ask for no compiler warnings, you want no compiler warnings, so
    suppress them in this case instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734973

 macros2/gnome-compiler-flags.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13d01a8be18642956042f00321dece2cfe5493f1
Author: Martin Pitt <martinpitt@gnome.org>
Date:   Thu Jul 10 14:09:23 2014 +0200

    code-coverage: Support lcov 1.11
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732988

 macros2/gnome-code-coverage.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5a58347c8f9b48915311f7c91b885722492d378a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Sat May 10 22:44:27 2014 +0100

    macros2: Remove FORBIDDEN_M4MACROS infrastructure
    
    It was completely outdated and unused. The REQUIRED_M4MACROS
    infrastructure is, however, still in use.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729932

 macros2/gnome-autogen.sh | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit aa7f70bbce305cabeb1dcdbfc6cd7cd437f6a2c4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri May 2 16:10:33 2014 +0200

    macros2: Remove outdated README file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729410

 macros2/README.cvs-commits | 13 -------------
 1 file changed, 13 deletions(-)

commit 0d59b7cb3b6e842ba87f4ebc1a56f654ad52301f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri May 2 15:41:29 2014 +0200

    doc: Move doc/usage.txt to README and update
    
    We don’t like references to CVS any more. Update the guidelines to no
    longer reference GNOME_COMMON_INIT.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729410

 README        | 38 ++++++++++++++++++++++++++++++++++++++
 doc/usage.txt | 40 ----------------------------------------
 2 files changed, 38 insertions(+), 40 deletions(-)

commit f5bd3785edfbebef04089fc52f804249d88b89de
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Tue Apr 15 10:27:49 2014 +0200

    make program_VERSION a local variable
    
    Otherwise we may end up overriding what was manually set in the
    environment.

 macros2/gnome-autogen.sh | 1 +
 1 file changed, 1 insertion(+)

commit d213283fcb5228d05eb2c796579f18240e8467e8
Author: David King <amigadave@amigadave.com>
Date:   Mon Mar 24 12:19:08 2014 +0000

    version 3.12.0

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d98710d08e643fe2e2ba8d56540c350062cf0ecc
Author: Volker Sobek <reklov@live.com>
Date:   Sat Mar 22 18:39:19 2014 +0100

    gnome-autogen.sh: Fix check if stdin is a tty
    
    Commit 7f977b021462 introduced a check if stdin is ins't a tty, and
    prevent printing terminal codes in this case. But the check was wrong
    and always failed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726892

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6f099488526288ad0ab1b2061304441df0b2466
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 13 09:57:29 2014 -0400

    gnome-autogen: require automake 1.11.2
    
    This is the version of automake that introduced ACLOCAL_PATH support, so
    make sure that we have it before attempting to configure the package.

 macros2/gnome-autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit 33608985c02e8ff9651c917842010984ff65cf14
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 12 19:24:51 2014 -0400

    gnome-common: use ACLOCAL_PATH over ACLOCAL_FLAGS
    
    jhbuild has set this variable for more than two years.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726208

 macros2/gnome-autogen.sh | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit fb0e5a9dbed732dd01d245f141ff2beb35689971
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 12 19:54:40 2014 -0400

    gnome-autogen.sh: correct IFS value
    
    Due to a likely copy-paste mistake, the default value of IFS was being
    set to 9 spaces instead of a tab and a space.  Fix that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726208

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a770a34293432872a8c7edac584a72e943f06d2
Author: David King <amigadave@amigadave.com>
Date:   Mon Dec 16 15:30:45 2013 +0000

    gnome-autogen.sh: Check for appdata-xml.m4 with APPDATA_XML

 macros2/gnome-autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit 62f7546a039296e42b90ca9f9590caf9db5bc6ef
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 27 12:08:38 2013 +0000

    compiler-flags: Simplify a case statement slightly

 macros2/gnome-compiler-flags.m4 | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit eb0a7dce6b639e354b4b9736ed879921595f12fb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Oct 27 12:02:55 2013 +0000

    compiler-flags: Replace deprecated AC_HELP_STRING with AS_HELP_STRING

 macros2/gnome-compiler-flags.m4 | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 799ae3eaebd82f961cbca82325351c3b5db7494c
Author: Javier Jardón <jjardon@gnome.org>
Date:   Tue Jul 23 11:53:00 2013 +0100

    Read the dirlist file unconditionally

 macros2/gnome-autogen.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit daf03d618f3093b7c7ba5850fe27f9f552500a9e
Author: David King <amigadave@amigadave.com>
Date:   Mon Sep 23 15:28:42 2013 +0100

    version 3.10.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8f5bc923239d02a5e2f5f8ee8d357eafb2bfc12
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 4 23:11:14 2013 -0600

    compiler-flags: Add a #serial line
    
    As suggested in bug #707475, this will ensure the latest version of
    gnome-compiler-flags.m4 is used if conflicting versions are found in
    different directories in the autoconf search path.
    
    Helps: https://bugzilla.gnome.org/show_bug.cgi?id=707475

 macros2/gnome-compiler-flags.m4 | 5 +++++
 1 file changed, 5 insertions(+)

commit c834b24651e1b0f510ede8610bde0be1e940de14
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 4 00:48:19 2013 -0600

    compiler-flags: Add an optional second argument for custom warnings
    
    This allows module authors to choose to enforce stricter warnings on
    a per-module basis, to avoid the situation where an outside
    contributor submits a patch which introduces warnings the maintainer
    has enabled locally.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=707475

 macros2/gnome-compiler-flags.m4 | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit ac800833454ab6d38afb288773079b8ad1d5503f
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Tue Aug 27 07:55:53 2013 -0600

    Run intltool before autoreconf so intltool.m4 is picked up by aclocal.
    https://bugzilla.gnome.org/show_bug.cgi?id=705365

 macros2/gnome-autogen.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d04839754bbbb6ffed9c4641fed801b586944820
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Jul 22 16:22:38 2013 +0100

    gnome-autogen.sh: run glib-gettexize if using GLib gettext
    
    This code was removed by error in
    commit 323bbfe0989405725379cada1aa5cb361fd2999f

 macros2/gnome-autogen.sh | 5 +++++
 1 file changed, 5 insertions(+)

commit 17f56a49964a3ddabf0d166326989033b7d84764
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Jul 19 12:09:17 2013 +0100

    gnome-autogen.sh: Check only for autoreconf
    
    autoconf, automake, libtool, gettext are already checked by autoreconf

 macros2/gnome-autogen.sh | 64 ++++++------------------------------------------
 1 file changed, 7 insertions(+), 57 deletions(-)

commit 876109c69119d8bdd434d435230a47ce9dd1fd98
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Jul 19 12:05:50 2013 +0100

    Rename configure.in to configure.ac

 autogen.sh   |  2 +-
 configure.ac | 23 +++++++++++++++++++++++
 configure.in | 23 -----------------------
 3 files changed, 24 insertions(+), 24 deletions(-)

commit 9739c718813dff951c4201e06e8f3e64036ed37e
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Thu Jul 18 17:44:27 2013 +0100

    gnome-autogen: Do not use sed to get the AC_CONFIG_MACRO_DIR directory

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47aa8189803d5f1bf60701f52795ef8735064b6c
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Thu Jul 18 15:09:50 2013 +0100

    macros2/gnome-autogen.sh: Create m4 directory if it doesnt exits
    
    This is a automake bug fixed in automake 1.13.2

 macros2/gnome-autogen.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 323bbfe0989405725379cada1aa5cb361fd2999f
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Thu Jun 27 12:07:17 2013 +0100

    gnome-autogen.sh: Use autoreconf
    
    instead autopoint/libtoolize/autoconf/automake manually

 macros2/gnome-autogen.sh | 82 +++++-------------------------------------------
 1 file changed, 7 insertions(+), 75 deletions(-)

commit cfaa608653c47b20ea92706da573d1b19df47227
Author: Yosef Or Boczko <yosefor3@walla.com>
Date:   Sun Jun 23 08:52:17 2013 +0300

    Add support for automake 1.14

 macros2/gnome-autogen.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 47e94cb99140d8a1f01182c0b52f25915bad01e2
Author: Dan Winship <danw@gnome.org>
Date:   Wed May 8 13:26:19 2013 -0400

    code-coverage: fix conditionalization
    
    The "make clean" rule added by gnome-code-coverage.m4 was not
    conditionalized (making it spew errors on "make clean" when built
    without coverage support, since $(LCOV) expanded to ""), and the other
    rules were conditionalized incorrectly (testing "ifdef
    CODE_COVERAGE_ENABLED", when that variable was always set, just
    sometimes to "no"). Fix both problems.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699943

 macros2/gnome-code-coverage.m4 | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ee22cb117f3b2e192dc88550ff7bff73886b382c
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Mon Apr 8 12:21:48 2013 +0200

    Add support for lcov 1.10

 macros2/gnome-code-coverage.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 766c35359ef924ceb2288c14c2d6239fcc0618f8
Author: David King <amigadave@amigadave.com>
Date:   Mon Jan 14 22:51:31 2013 +0000

    version 3.7.4

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce863d9b763b3edaa8a9eb9de3cb6b85a7169a1e
Author: Ross Burton <ross.burton@intel.com>
Date:   Thu Jan 10 09:48:27 2013 +0000

    COPYING: add GPL-2 license file
    
    Finally declare gnome-common to be GPL 2+, by doing some source code
    archaeology.
    
    These files we can effectively ignore:
    
    .gitignore
    AUTHORS
    ChangeLog.pre-git
    NEWS
    README
    doc-build/README
    doc/usage.txt
    gnome-common.doap
    macros2/README.cvs-commits
    
    The build files you could argue are boilerplate/uncopyrightable:
    
    Makefile.am
    autogen.sh
    configure.in
    doc-build/Makefile.am
    macros2/Makefile.am
    
    So that leaves:
    
    doc-build/gnome-doc-common.in
    doc-build/omf.make
    doc-build/xmldocs.make
    
    Appeared in e16ea58db92e05b9720acdc6992175ec346dfc91. Appears to have
    been copy-pasted from scrollkeeper-example2, LGPLv2.1.
    
    macros2/gnome-autogen.sh
    
    Can be traced back to gnome-libs 88f7376472d3ee54329213c118b46225703d8223, which
    is GPLv2/LGPLv2.
    
    macros2/gnome-code-coverage.m4
    
    LGPLv2.1+.
    
    macros2/gnome-common.m4
    macros2/gnome-compiler-flags.m4
    
    Synced with gnome-core as of 425e5cc9aad003c9f64d43f2d3f15e04a97db854, so
    LGPLv2.1+.
    
    The long-standing assumption is that gnome-common was GPLv2+, so use that
    license. Finally the tyranny of unclear licensing is over!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=133689

 COPYING | 339 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 339 insertions(+)

commit 34bcfcf227fc6abd35a4f35f090b0711e3af1a07
Author: Ross Burton <ross.burton@intel.com>
Date:   Thu Jan 10 09:45:36 2013 +0000

    build: remove useless (empty or ancient) files that we don't need

 AUTHORS |  0
 NEWS    |  0
 README  | 36 ------------------------------------
 3 files changed, 36 deletions(-)

commit 4aebf8593334f64f6e77c6208f6306f1adfa6a38
Author: Raphael Kubo da Costa <rakuco@FreeBSD.org>
Date:   Tue Jan 8 18:45:24 2013 +0200

    Add support for automake 1.13.

 macros2/gnome-autogen.sh | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 4bb2a2450f67550ae761c75cb7ff2325bad54c8b
Author: Dodji Seketeli <dodji@seketeli.org>
Date:   Mon Dec 10 16:38:04 2012 +0100

    Better support of using AUTOCONF environment variable
    
    When I launch gnome-autogen.sh by telling it to use a version of
    autoconf that is at a particular path -- by using the AUTOCONF
    environment variable -- I can see that there is a spot in the script
    that fails to honour that variable.  I thus get the error message
    (that I trim to just keep the relevant part):
    
        AUTOCONF=/my/autoconf AUTOM4TE=/my/autom4te /bin/sh -x /usr/bin/gnome-autogen.sh
    
        [...]
    
        +++ find_configure_files /home/dodji/devel/git/gdl/master
        +++ configure_ac=
        +++ test -f /home/dodji/devel/git/gdl/master/configure.ac
        +++ test -f /home/dodji/devel/git/gdl/master/configure.in
        +++ configure_ac=/home/dodji/devel/git/gdl/master/configure.in
        +++ test x/home/dodji/devel/git/gdl/master/configure.in '!=' x
        +++ echo /home/dodji/devel/git/gdl/master/configure.in
        +++ autoconf -t 'AC_CONFIG_SUBDIRS:$1' /home/dodji/devel/git/gdl/master/configure.in
        +++ read dir
        /home/dodji/devel/git/gdl/master/configure.in:8: error: Autoconf version 2.65 or higher is required
        /home/dodji/devel/git/gdl/master/configure.in:8: the top level
        autom4te: /bin/m4 failed with exit status: 63
    
    I think the problem is that the find_configure_files function uses
    'autoconf' directly instead of using $AUTOCONF.  So it's taking the
    autoconf binary that is in my path, and that one doesn't satisfy the
    version requirement of the configure.in script template that is in.
    /home/dodji/devel/git/gdl/master/configure.in.
    
    The patch below fixes that essentially by s/autoconf/$AUTOCONF there,
    and also by moving the definition point of the AUTOCONF variable --
    that is done by a call to version_check -- before the first spot that
    actually uses it.
    
    It's worth noting that this bug appears to have been introduced by the
    patch attached to bug #510713.
    
    Tested on my Fedora Rawhide system.
    
    	* macros2/gnome-autogen.sh (find_configure_files): Use the
    	AUTOCONF variable, rather than calling the autoconf program
    	directly.  Remove the now useless comment.
    	(<at global scope>): Move the definition of the AUTOCONF variable
    	before its first use.

 macros2/gnome-autogen.sh | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit a550d04a1b3552373f882f1482166c942e490451
Author: Colin Walters <walters@verbum.org>
Date:   Tue Nov 13 13:17:00 2012 -0500

    compiler-warnings: Fix tabs->spaces
    
    Per https://bugzilla.gnome.org/show_bug.cgi?id=688192

 macros2/gnome-compiler-flags.m4 | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 1e23c485c40f539ec66087728aa4d6fcc121c6a4
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 15:06:44 2012 -0500

    compiler-warnings: Drop -Wdeclaration-after-statement
    
    Some GNOME modules want the ability to use C99, let's not hamper them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688192

 macros2/gnome-compiler-flags.m4 | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit eeca390b4d7ee45616dc987ab6085add4f6e4ada
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 15:04:02 2012 -0500

    compiler-warnings: Drop -Wno-sign-comare
    
    It's not part of -Wall, and we're not explicitly turning it on here,
    so there's no point in turning it off, since it's not on.
    
    Additionally, if a given module did want it on, it's clearer if
    the compiler flags don't have -Wno-sign-compare -Wsign-compare.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688192

 macros2/gnome-compiler-flags.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b90f3e541739f7122811966481b55d625129d951
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 15:02:38 2012 -0500

    compiler-warnings: Move -Wnested-externs to the always-on warning set
    
    Since there's no reason to have it different for yes/maximum.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688192

 macros2/gnome-compiler-flags.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afad58ce8302acbff204685ae2df20f118753deb
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 15:00:06 2012 -0500

    compiler-warnings: code cleanup: Extract common warnings into variables
    
    Will make future refactoring clearer, and also we have comments now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688192

 macros2/gnome-compiler-flags.m4 | 43 ++++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

commit 502387df492d0c2b302a892d4cc59e3b246b8490
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 12:09:57 2012 -0500

    compiler-warnings: Drop -Waggregate-return
    
    This trips up gnome-desktop using things like XSyncValue, and while
    it's possible to avoid, we shouldn't punish people who are pushed to
    use structures as return values by external APIs.
    
    Returning a two-element structure is not a big deal.

 macros2/gnome-compiler-flags.m4 | 2 --
 1 file changed, 2 deletions(-)

commit 7c70df83511028ce45489193eaf0aa613b3416a7
Author: Colin Walters <walters@verbum.org>
Date:   Mon Nov 12 12:09:20 2012 -0500

    compiler-warnings: cosmetic cleanup: Put each warning on own line
    
    So that further patches are more readable.

 macros2/gnome-compiler-flags.m4 | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit e42ca9bec9d83aa53d7f79c480daf4b7c4d95fe1
Author: David King <amigadave@amigadave.com>
Date:   Sat Jul 28 15:19:55 2012 +0100

    Add lots of warnings to GNOME_COMPILE_WARNINGS
    
    Following Colin Walters' thread on desktop-devel-list:
    
    https://mail.gnome.org/archives/desktop-devel-list/2012-July/msg00100.html
    
    Add a selection of more strict warnings to the default level of
    GNOME_COMPILE_WARNINGS. Check all the warnings by passing them to GCC,
    and ignore those which fail. Set the severity of some of the warnings to
    errors, so that particularly bad code is rejected (set the warning level
    to ‘minimum’ is you wish to avoid this behaviour). Fixes bug 568546 and
    bug 608953.

 macros2/gnome-compiler-flags.m4 | 54 +++++++++++++++++++++--------------------
 1 file changed, 28 insertions(+), 26 deletions(-)

commit 0ae892df10c6f671669e197cec1f4ed302584d70
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Oct 31 13:38:04 2012 +0000

    code-coverage: Relicence to LGPLv2.1+
    
    As gnome-common is widely used, it’s useful for it to have a fairly liberal
    licence. This relicences the gnome-code-coverage.m4 file from GPLv3+ to
    LGPLv2.1+.
    
    Permission has been obtained (by private e-mail) from the other contributors:
     • Christian Persch <chpe@gnome.org>
     • Xan Lopez <xan@gnome.org>
    
    See also: https://bugzilla.gnome.org/show_bug.cgi?id=133689

 macros2/gnome-code-coverage.m4 | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 12036c1f9cde101a13a4c212deaecf4e741e522d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 23 22:12:01 2012 +0200

    code coverage: Quiet lcov and add extra ignore patterns
    
    Make lcov be quiet if V=0, and add a new CODE_COVERAGE_IGNORE_PATTERN
    variable to be able to add extra files to ignore in code coverage reporting.

 macros2/gnome-code-coverage.m4 | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit f6d04abb156c6e6ef513c4c9edcd842cb3a5ed9d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 01:01:00 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 096d2cb622d3074b7d22f45eee40ad7817ce35ad
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 01:00:38 2012 +0200

    version 3.6.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ee12b92340223bb33b9da232132c44cacecc7968
Author: Colin Watson <cjwatson@canonical.com>
Date:   Wed Oct 3 14:34:23 2012 +0100

    Add missing semicolons to omf_timestamp rule
    
    Fixes bug 685388.

 doc-build/omf.make | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f54cee036d5d40e1353f7fb78d7521f8d6f474b7
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Sep 8 16:44:42 2012 +0900

    3.5.91

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8704bc3ceb4804830530b412a4dddc66c74f7521
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Sep 7 21:32:52 2012 +0100

    code-coverage: Add some ‘user’ documentation

 macros2/gnome-code-coverage.m4 | 7 +++++++
 1 file changed, 7 insertions(+)

commit fde46f329eb12872b438cc9f1f4e7e308b52b652
Author: Xan Lopez <xan@igalia.com>
Date:   Mon Sep 3 23:15:08 2012 +0200

    code-coverage: quote the results path for code coverage
    
    In some cases it can have spaces in it, so we need to quote it.

 macros2/gnome-code-coverage.m4 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 493d55921f26ac3a9a3b7cc33756c88daace329e
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 29 17:58:21 2012 +0200

    Bug 606720 — Add code coverage support
    
    Add a GNOME_CODE_COVERAGE m4 macro to allow projects to easily add code
    coverage support using lcov.
    
    This is heavily based on the code coverage tooling from GLib (LGPLv2.1+),
    originally written by Patrick Hulin and modified by Matthias Clasen, Stef
    Walter and Simon McVittie since.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=606720

 macros2/Makefile.am            |   3 +-
 macros2/gnome-autogen.sh       |   3 +
 macros2/gnome-code-coverage.m4 | 150 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 155 insertions(+), 1 deletion(-)

commit 4668cc8250c15119dc7bdbbf842da53f4fe478fe
Author: Behdad Esfahbod <behdad@gnome.org>
Date:   Sat Aug 4 15:13:55 2012 +0100

    Trace AC_CONFIG_SUBDIRS with autoconf
    
    Find configure.ac and configure.in files using the trace functionality
    of autoconf in order to skip build directories from incomplete make
    distcheck runs. Fixes bug 510713.

 macros2/gnome-autogen.sh | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit e0763e1466d899191ca8bf77441070139ace7e18
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 19 19:25:05 2012 +0200

    Revert "Trace AC_CONFIG_SUBDIRS with autoconf"
    
    This reverts commit 646fa962712313aadacaaf58c8fd5dd57edc5882.
    
    The change broke calling autogen from outside the source directory.

 macros2/gnome-autogen.sh | 19 +------------------
 1 file changed, 1 insertion(+), 18 deletions(-)

commit fb068f190f71a52fbc7aff2d9e5118c32af9e179
Author: David King <amigadave@amigadave.com>
Date:   Tue Aug 14 07:05:15 2012 +0100

    Add David King to maintainers

 gnome-common.doap | 8 ++++++++
 1 file changed, 8 insertions(+)

commit b719d7f2d0b132759f8f5c86a1bd8b8c068a61cc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 8 13:30:11 2012 -0400

    3.5.5

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 646fa962712313aadacaaf58c8fd5dd57edc5882
Author: Behdad Esfahbod <behdad@gnome.org>
Date:   Sat Aug 4 15:13:55 2012 +0100

    Trace AC_CONFIG_SUBDIRS with autoconf
    
    Find configure.ac and configure.in files using the trace functionality
    of autoconf in order to skip build directories from incomplete make
    distcheck runs. Fixes bug 510713.

 macros2/gnome-autogen.sh | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 70422b555f881acc7523818bdea22dea84dd5901
Author: Eike Siewertsen <e.siew@londeroth.org>
Date:   Tue Mar 2 14:11:40 2010 +0100

    Check for glibtoolize in gnome-autogen.sh
    
    Fixes bug 564558.

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 960b1bde8d156f61340500a260402264c5320603
Author: Loïc Minier <lool@dooz.org>
Date:   Wed Aug 1 23:13:35 2012 +0100

    Scrollkeeper srcdir!=builddir fix, bug 409060
    
    Fix the install rule too.

 doc-build/omf.make | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1b2fb3fb47405908eb53d0db46329a64a1697a59
Author: Loïc Minier <lool@dooz.org>
Date:   Wed Aug 1 22:42:43 2012 +0100

    Fix srcdir!=builddir for Scrollkeeper, bug 315320

 doc-build/omf.make | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0efa19df00955bfec29995736e262412fd32de86
Author: David King <amigadave@amigadave.com>
Date:   Mon Jul 30 17:13:19 2012 +0100

    Do not call automake with --force, bug 612329
    
    The --force option for automake is not documented, so gnome-autogen.sh
    should not use it.

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 101362218645db3f0fbb55e1e6ea80c4bd70f97d
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Mon Jul 30 15:24:00 2012 +0100

    Fix bashisms in gnome-autogen.sh, bug 588020

 macros2/gnome-autogen.sh | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit 1fed4ee7015b89a1ac4c4a535aeb753e820e4970
Author: Xiao-Long Chen <chenxiaolong@cxl.epac.to>
Date:   Sun Apr 29 13:44:32 2012 -0400

    Add support for automake 1.12
    
    Bug #675093.

 macros2/gnome-autogen.sh | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 762483d0ac0ad56b5188061e830d21b60aa7ff3a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:42:13 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 025ced249341c79ed8fd40e64392fbf6afab1baf
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:41:41 2012 +0200

    Version 3.4.0.1

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c65c648e91976a125393cbe294ce755b0f63fa7d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:38:52 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c593ea7b59b903e1aaaff6c7ecb218e39288dc23
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:37:45 2012 +0200

    Version 3.4.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6490c594f4a70ce5a397c30aa30ba2ec19a38a8
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Mar 12 13:16:41 2012 +0000

    VTE has been converted to deprecation attributes

 macros2/gnome-common.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7d063cd90e1d366641cc7e43daf2fadfeb825d5
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Mar 12 12:58:16 2012 +0000

    ATK has been converted to deprecation attributes

 macros2/gnome-common.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75b1f001b9f3d5c55e50cd011e75f64bf44569c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Oct 13 17:58:12 2011 -0400

    Pango has been converted to deprecation attributes

 macros2/gnome-common.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75232b9ec261125568633f417df1d89256974c4b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 12:32:49 2011 -0400

    Don't break the build with deprecations
    
    At least for glib/gdk/gtk, we now have deprecation compiler warnings
    set up, so there is no need to forcibly break everybody's build
    just to get them to notice deprecations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661273

 macros2/gnome-common.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f977b0214623142819c8b7a08839949fb9f3ec0
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jun 22 15:53:42 2011 -0400

    gnome-autogen.sh: Don't print terminal codes if stdin isn't a tty
    
    Otherwise this shows up as garbage in log files.

 macros2/gnome-autogen.sh | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit ee256d60790a464ca56b452c0a70ad0c03547519
Author: Shaun McCance <shaunm@gnome.org>
Date:   Thu May 12 11:00:09 2011 -0400

    gnome-autogen.sh: Check for yelp.m4 with YELP_HELP_INIT

 macros2/gnome-autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit 62baea2b4b519f4e9d62848e4d7b39761fbdd2f2
Author: Christian Persch <chpe@gnome.org>
Date:   Thu May 12 17:47:02 2011 +0200

    Post branch version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4af250ce8186daaaccf3883a91d6f0bc4722e95
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Apr 3 19:44:18 2011 +0200

    Version 2.34.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0163dc8d49b6eace36b14b88ca7d3378f22a6fb6
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Apr 3 19:43:50 2011 +0200

    Fix distcheck

 Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit f96a12fc3ead855c129d7ab35737a8b0deceeae5
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 30 22:41:02 2010 +0200

    Define GNOME_COMMON_INIT with AU_DEFUN
    
    ... to mark it as deprecated.
    
    Bug #608285.

 macros2/gnome-common.m4 | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 04dd5e38d9ef5f0df89b7def24747f177f258c3a
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 30 22:31:50 2010 +0200

    Add serial to gnome-common.m4

 macros2/gnome-common.m4 | 2 ++
 1 file changed, 2 insertions(+)

commit ca7576b6672c37259dd19ec3ef582ce409d24948
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 30 21:44:00 2010 +0200

    Remove gnome1 cruft

 configure.in                  |    1 -
 gnome-common.spec.in          |   39 --
 intl/ChangeLog                |    4 -
 intl/Makefile.in              |  313 ----------
 intl/README.cvs-commits       |   13 -
 intl/VERSION                  |    1 -
 intl/bindtextdom.c            |  369 ------------
 intl/cat-compat.c             |  262 --------
 intl/config.charset           |  438 --------------
 intl/dcgettext.c              |   58 --
 intl/dcigettext.c             | 1259 --------------------------------------
 intl/dcngettext.c             |   60 --
 intl/dgettext.c               |   59 --
 intl/dngettext.c              |   61 --
 intl/explodename.c            |  192 ------
 intl/finddomain.c             |  198 ------
 intl/gettext.c                |   64 --
 intl/gettext.h                |  102 ----
 intl/gettextP.h               |  252 --------
 intl/hash-string.h            |   59 --
 intl/intl-compat.c            |  166 ------
 intl/intlh.inst.in            |  111 ----
 intl/l10nflist.c              |  405 -------------
 intl/libgettext.h             |   49 --
 intl/libgnuintl.h             |  128 ----
 intl/libintl.glibc            |  111 ----
 intl/linux-msg.sed            |  100 ----
 intl/loadinfo.h               |  109 ----
 intl/loadmsgcat.c             |  567 ------------------
 intl/localcharset.c           |  271 ---------
 intl/locale.alias             |   78 ---
 intl/localealias.c            |  404 -------------
 intl/ngettext.c               |   68 ---
 intl/plural.c                 | 1326 -----------------------------------------
 intl/plural.y                 |  413 -------------
 intl/po2tbl.sed.in            |  102 ----
 intl/ref-add.sin              |   31 -
 intl/ref-del.sin              |   26 -
 intl/textdomain.c             |  142 -----
 intl/xopen-msg.sed            |  104 ----
 macros/ChangeLog              | 1261 ---------------------------------------
 macros/Makefile.am            |   43 --
 macros/README.cvs-commits     |   13 -
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  210 -------
 macros/compiler-flags.m4      |  109 ----
 macros/curses.m4              |  318 ----------
 macros/gnome-bonobo-check.m4  |  166 ------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 -------------
 macros/gnome-gettext.m4       |  338 -----------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  134 -----
 macros/gnome-libgtop-check.m4 |  217 -------
 macros/gnome-objc-checks.m4   |   83 ---
 macros/gnome-orbit-check.m4   |   33 -
 macros/gnome-pilot.m4         |  213 -------
 macros/gnome-print-check.m4   |   63 --
 macros/gnome-pthread-check.m4 |   18 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   22 -
 macros/gnome-vfs.m4           |  126 ----
 macros/gnome-x-checks.m4      |   80 ---
 macros/gnome-xml-check.m4     |   32 -
 macros/gnome.m4               |  130 ----
 macros/gperf-check.m4         |   79 ---
 macros/linger.m4              |   28 -
 macros/need-declaration.m4    |   42 --
 macros/psiconv.m4             |   53 --
 71 files changed, 12897 deletions(-)

commit 972f22b47c0852e207738d66fa2e16e5c37a3b66
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 30 21:42:54 2010 +0200

    Bump version

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 230af79ef72f1465b83b36df05db08f029805e65
Author: Mathias Hasselmann <mathias@openismus.com>
Date:   Fri Mar 19 08:55:57 2010 +0100

    Use dirname, instead of basename for finding srcdir
    
    Partially fixes bug #510989.

 doc/usage.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ff498d5264fdd1541c2b823334a7542bf01701f
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   Mon Jan 4 02:41:09 2010 +0100

    Updated .gitignore file

 .gitignore | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 36dfb7fa5e7147ad4503053281a9d7c6142f53fe
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 21 13:43:27 2009 +0200

    Post branch version update

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3710d54df87cc7e56fdf093cbe753d022422f73
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 6 16:11:06 2009 +0200

    Distcheck with --disable-silent-rules

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 3fae3a7912bc48ad810bb10568dd507bd23bf69f
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 6 16:10:17 2009 +0200

    Version 2.28.0

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f63b209c7023d53e6a22f43eefd8cc85d3ce4967
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 6 16:09:58 2009 +0200

    Remove MAINTAINERS, and dist the DOAP file

 MAINTAINERS | 3 ---
 Makefile.am | 1 +
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 53ca82d81d93b52bc057d649247eb18549a86d55
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 16 22:07:31 2009 +0200

    Use AM_SILENT_RULES

 Makefile.am        | 2 +-
 configure.in       | 2 ++
 macros/Makefile.am | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit 0620cc2e6ee9be9f877d4d2f4b9eed09be885b27
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Aug 9 13:55:03 2009 +0200

    Fix build breakage in modules caused by commit aac1a8ec

 macros2/gnome-common.m4 | 1 +
 1 file changed, 1 insertion(+)

commit aac1a8ec119d49276257c198327315c234ed2a0d
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Aug 8 15:22:23 2009 +0200

    Chech for single header includes.
    
    When maintainer mode is enabled, check for single header includes as
    well as deprecated flags (#557070).

 macros2/gnome-common.m4 | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit d0902887d6dac40dcc79f002a4bed2b492ad15d0
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 18 15:02:38 2009 +0200

    Support for automake 1.11

 macros2/gnome-autogen.sh | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 16f478376ed265f8a33cc72bf090de90046dc047
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 13 10:48:10 2009 +0100

    Remove auto-generated ChangeLog from the tree

 .gitignore |     1 +
 ChangeLog  | 14101 -----------------------------------------------------------
 2 files changed, 1 insertion(+), 14101 deletions(-)

commit c2ffcb78c7bf32c7bb74623a07ec5474ca0b95b6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 11 15:12:27 2009 +0200

    Autogenerate ChangeLog

 ChangeLog         | 14901 +++++++++++++++++++++++++++++++++++++++++++++++++---
 ChangeLog.pre-git |   860 +++
 Makefile.am       |    17 +-
 configure.in      |     2 +-
 4 files changed, 14948 insertions(+), 832 deletions(-)

commit cd4ebced07dcb2ff7f12e53afdcb092339ac0d89
Author: Vincent Legoll <vincent.legoll@gmail.com>
Date:   Mon Apr 27 00:07:05 2009 +0200

    Trivial update
    
    * Remove CVS references, use "repository tree"
    * Fix whitespace
    * Fix typo "The" -> "There"

 README | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 97a89c420c9b1750d958680abcdbf0fcf57f7ec8
Author: Vincent Legoll <vincent.legoll@gmail.com>
Date:   Mon Apr 27 01:36:14 2009 +0200

    Move to "development" category

 gnome-common.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 019e5c47a56d7d04aa80f04c8bc79b20297df844
Author: Vincent Legoll <vincent.legoll@gmail.com>
Date:   Mon Apr 27 01:24:55 2009 +0200

    Add the required DOAP project description (used
    gnome-system-monitor as a template)

 gnome-common.doap | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 736626f9b6140d89e02d7dcea5f6c924f4a6788c
Author: Rodney Dawes <dobey@src.gnome.org>
Date:   Sun Mar 29 03:11:13 2009 +0000

    Only pass --enable-maintainer-mode when AM_MAINTAINER_MODE is present
    
    svn path=/trunk/; revision=3929

 ChangeLog                |  7 +++++++
 macros2/gnome-autogen.sh | 12 +++++++++++-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 57131f57742b075b49c9d9f05a09c42ae5333725
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:19:02 2009 +0000

    Takeover
    
    svn path=/trunk/; revision=3928

 MAINTAINERS | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 0448d1936b347f631b14bed14c78268709ed3e2a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:18:42 2009 +0000

    Revert "Add single include disabling cppflags"
    
    Oops, this wasn't meant to be committed just yet.
    
    This reverts commit f95de3b4b636786d1e297f40df32ee32f71ebce7.
    
    svn path=/trunk/; revision=3927

 macros2/gnome-common.m4 | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 0cc2ca416d789eb1dea6078f98f0db68b08e029a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:12:22 2009 +0000

    Post branch version bump.
    
    svn path=/trunk/; revision=3926

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 510f77de5073d498eddd6ef0487934830dfb662f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:12:16 2009 +0000

    Add single include disabling cppflags
    
    svn path=/trunk/; revision=3925

 macros2/gnome-common.m4 | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b7d7db338fb95721f73330dd462764be0785f4f5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:12:10 2009 +0000

    Default to enable maintainer mode
    
    svn path=/trunk/; revision=3924

 configure.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 7d8f6323f8f5e42af52efdf4deb94d8692971011
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:12:04 2009 +0000

    Add -Wno-portability to automake invocation. Bug #529120, patch by Philip Van Hoof.
    
    svn path=/trunk/; revision=3923

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b6c649a531e1a2df8a90b585c04aad72ed87c1ad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Mar 19 20:10:35 2009 +0000

    Version 2.26.0
    
    svn path=/trunk/; revision=3920

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd2ec09f4b446045b6b9304a579f27700144ea67
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Nov 25 21:35:19 2008 +0000

    add -DWNCK_DISABLE_DEPRECATED -DLIBSOUP_DISABLE_DEPRECATED to
    
    2008-11-25  Vincent Untz  <vuntz@gnome.org>
    
    	* macros2/gnome-common.m4: add -DWNCK_DISABLE_DEPRECATED
    	-DLIBSOUP_DISABLE_DEPRECATED to DISABLE_DEPRECATED
    
    svn path=/trunk/; revision=3919

 ChangeLog               | 5 +++++
 macros2/gnome-common.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 61588ef84066b720c0c9c6e85cfe9047cbf54251
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 22 18:35:01 2008 +0000

    Post release version bump
    
    svn path=/trunk/; revision=3918

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2f5783f86490ef8fb20fcad227dc51d35f2df9a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 22 18:30:15 2008 +0000

    	=== Release 2.24.0 ===
    
    	* Makefile.am:
    	* configure.in: Version 2.24.0.
    
    svn path=/trunk/; revision=3914

 ChangeLog    | 7 +++++++
 Makefile.am  | 2 --
 configure.in | 2 +-
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 493b44ffd5589970bda124117829bf1448a1f5b7
Author: Sven Herzberg <herzi@gnome-de.org>
Date:   Fri Dec 21 17:37:45 2007 +0000

    Reviewed by: Christian Persch
    
    2007-12-21  Sven Herzberg  <herzi@gnome-de.org>
    
    	Reviewed by: Christian Persch
    
    	Abort when the first dependency fails. Fixes bug 469115.
    
    	* macros2/gnome-autogen.sh: don't use the DIE variable anymore and
    	abort on the first dependency failure
    
    
    svn path=/trunk/; revision=3913

 ChangeLog                |  9 +++++++++
 macros2/gnome-autogen.sh | 33 ++++++++++++++-------------------
 2 files changed, 23 insertions(+), 19 deletions(-)

commit 91c24d5d9e928de4936f791ecc902bde76ca7bd6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 17 18:10:52 2007 +0000

    post release version bump
    
    svn path=/trunk/; revision=3912

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08a86853a002112e5c92bed4f4290816d0c93c70
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Mon Sep 3 07:17:35 2007 +0000

    Revert accident
    
    svn path=/trunk/; revision=3910

 macros2/gnome-autogen.sh | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit dd631e9c462b1072991bba11323613915506fa2d
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Mon Sep 3 07:16:11 2007 +0000

    Fix MAINTAINERS
    
    svn path=/trunk/; revision=3909

 MAINTAINERS              |  5 ++++-
 macros2/gnome-autogen.sh | 13 ++++++++++++-
 2 files changed, 16 insertions(+), 2 deletions(-)

commit a9b22049c8e6e9c4059ecc9d02123ec1dfc52c7c
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 8 21:08:27 2007 +0000

    Don't print extra newlines when /bin/sh isn't bash. Bug #130346.
    
    2007-06-08  Christian Persch  <chpe@gnome.org>
    
    	* macros2/gnome-autogen.sh: Don't print extra newlines when /bin/sh
    	isn't bash. Bug #130346.
    
    svn path=/trunk/; revision=3908

 ChangeLog                |  5 +++++
 macros2/gnome-autogen.sh | 20 +++++++++++++-------
 2 files changed, 18 insertions(+), 7 deletions(-)

commit d6e1e2887f608774ad7e4149bd1d64dde30c3241
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 8 21:03:40 2007 +0000

    Don't print warning about missing arguments if we're not going to run
    
    2007-06-08  Christian Persch  <chpe@gnome.org>
    
    	* macros2/gnome-autogen.sh: Don't print warning about missing
    	arguments if we're not going to run configure. Bug #445584, patch by
    	"Cygwin Ports maintainer" (yselkowitz%40users.sourceforge.net).
    
    svn path=/trunk/; revision=3907

 ChangeLog                | 6 ++++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 0e9953925dd46911989afa6b4c697f350935cae2
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jun 6 19:19:11 2007 +0000

    Add datarootdir substitution.
    
    2007-06-06  Christian Persch  <chpe@gnome.org>
    
    	* doc-build/gnome-doc-common.in: Add datarootdir substitution.
    
    svn path=/trunk/; revision=3906

 ChangeLog                     | 4 ++++
 doc-build/gnome-doc-common.in | 1 +
 2 files changed, 5 insertions(+)

commit 10be8e4edb5593fee1e0d3e9587bac1e773ddac7
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 9 12:49:50 2007 +0000

    Bump version to 2.19.0.
    
    2007-04-09  Christian Persch  <chpe@gnome.org>
    
    	* configure.in: Bump version to 2.19.0.
    
    svn path=/trunk/; revision=3905

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 45d2742dd1df5922cce9be83cd4727e343d89b60
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 9 12:41:49 2007 +0000

    === Release 2.18.0 ===
    
    2007-04-09  Christian Persch  <chpe@gnome.org>
    
    	=== Release 2.18.0 ===
    
    	* autogen.sh: Use automake 1.9.
    	* configure.in: Bump version. Dist as .tar.bz2.
    
    svn path=/trunk/; revision=3902

 ChangeLog    | 7 +++++++
 autogen.sh   | 2 +-
 configure.in | 6 +++---
 3 files changed, 11 insertions(+), 4 deletions(-)

commit ec595c4f0738e93d029e9b8fdc8a8089ecdcf5ff
Author: Mariano Suárez-Alvarez <mariano@gnome.org>
Date:   Mon Jan 29 22:11:28 2007 +0000

    Bug 377185 – Hide cmp output in autogen.sh
    
    2007-01-29  Mariano Suárez-Alvarez  <mariano@gnome.org>
    
    	Bug 377185 – Hide cmp output in autogen.sh
    
    	* macros2/gnome-autogen.sh: Do not show cmp's output.
    
    
    
    svn path=/trunk/; revision=3901

 ChangeLog                |  6 ++++++
 macros2/gnome-autogen.sh | 19 ++++++++++++++-----
 2 files changed, 20 insertions(+), 5 deletions(-)

commit cfddda64894c4033a5924fdafde7706a89699191
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Mon Jan 29 21:58:58 2007 +0000

    Fix --enable-cxx-warnings checks. Bug #360693.
    
    2007-01-29  Christian Persch  <chpe@svn.gnome.org>
    
    	* macros2/gnome-compiler-flags.m4:
    	Fix --enable-cxx-warnings checks. Bug #360693.
    
    svn path=/trunk/; revision=3900

 ChangeLog                       | 5 +++++
 macros2/gnome-compiler-flags.m4 | 8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 01f5dff368a262d7e0ac909823fa178517c9c43c
Author: Shaun McCance <shaunm@src.gnome.org>
Date:   Fri Jan 12 19:13:13 2007 +0000

    - Fix for #377175 by skipping NO-AUTO-GEN directories, by Christian Persch
    
    * macros2/gnome-autogen.sh:
    - Fix for #377175 by skipping NO-AUTO-GEN directories, by Christian Persch
    
    svn path=/trunk/; revision=3899

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 5 +++++
 2 files changed, 10 insertions(+)

commit 2ea58dc73f96b36311d4b54d24596b96b484732f
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Thu Jan 11 20:38:01 2007 +0000

    Default to AM 1.9. Bug #323868, patch by Christian Kirbach.
    
    2007-01-11  Christian Persch  <chpe@svn.gnome.org>
    
    	* macros2/gnome-autogen.sh: Default to AM 1.9. Bug #323868, patch by
    	Christian Kirbach.
    
    svn path=/trunk/; revision=3898

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit cee011dd3be37adf6e3cca2abf27c210440960c6
Author: Christian Persch <chpe@svn.gnome.org>
Date:   Thu Jan 11 20:34:53 2007 +0000

    Define more deprecation symbols. Bug #343441.
    
    2007-01-11  Christian Persch  <chpe@svn.gnome.org>
    
    	* macros2/gnome-common.m4: Define more deprecation symbols.
    	Bug #343441.
    
    2006-12-01  Kjartan Maraas  <kmaraas@gnome.org>
    
    svn path=/trunk/; revision=3897

 ChangeLog               | 5 +++++
 macros2/gnome-common.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 31ef9eeecdaf3e98353548b02ae87ff4809e2e5b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Dec 31 22:55:03 2006 +0000

    Update svn:ignore and remove .cvsignore files
    
    svn path=/trunk/; revision=3896

 .cvsignore           | 14 --------------
 doc-build/.cvsignore |  3 ---
 doc/.cvsignore       |  2 --
 intl/.cvsignore      |  4 ----
 macros2/.cvsignore   |  4 ----
 5 files changed, 27 deletions(-)

commit e2376f175277350e79ea37b9904c7eaf2bec8618
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Dec 1 12:29:19 2006 +0000

    Make automake 1.10 work too.
    
    2006-12-01  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* macros2/gnome-autogen.sh: Make automake 1.10 work too.
    
    svn path=/trunk/; revision=3894

 ChangeLog                |  4 ++++
 macros2/gnome-autogen.sh | 11 ++++++-----
 2 files changed, 10 insertions(+), 5 deletions(-)

commit f9e48085185e39c3fc130c1917294e5cca7e1322
Author: Ross Golder <rossg@src.gnome.org>
Date:   Mon Nov 20 18:18:06 2006 +0000

    Re-instating accidentally removed files.
    
    svn path=/trunk/; revision=3879

 macros/ChangeLog              | 1261 +++++++++++++++++++++++++++++++++++++++++
 macros/Makefile.am            |   43 ++
 macros/README.cvs-commits     |   13 +
 macros/aclocal-include.m4     |   16 +
 macros/autogen.sh             |  210 +++++++
 macros/compiler-flags.m4      |  109 ++++
 macros/curses.m4              |  318 +++++++++++
 macros/gnome-bonobo-check.m4  |  166 ++++++
 macros/gnome-common.m4        |   14 +
 macros/gnome-cxx-check.m4     |   10 +
 macros/gnome-fileutils.m4     |  414 ++++++++++++++
 macros/gnome-gettext.m4       |  338 +++++++++++
 macros/gnome-ghttp-check.m4   |   14 +
 macros/gnome-gnorba-check.m4  |   35 ++
 macros/gnome-guile-checks.m4  |  134 +++++
 macros/gnome-libgtop-check.m4 |  217 +++++++
 macros/gnome-objc-checks.m4   |   83 +++
 macros/gnome-orbit-check.m4   |   33 ++
 macros/gnome-pilot.m4         |  213 +++++++
 macros/gnome-print-check.m4   |   63 ++
 macros/gnome-pthread-check.m4 |   18 +
 macros/gnome-support.m4       |   68 +++
 macros/gnome-undelfs.m4       |   22 +
 macros/gnome-vfs.m4           |  126 ++++
 macros/gnome-x-checks.m4      |   80 +++
 macros/gnome-xml-check.m4     |   32 ++
 macros/gnome.m4               |  130 +++++
 macros/gperf-check.m4         |   79 +++
 macros/linger.m4              |   28 +
 macros/need-declaration.m4    |   42 ++
 macros/psiconv.m4             |   53 ++
 31 files changed, 4382 insertions(+)

commit 31397032e73c70574eb58f0420cb526fa6fe9814
Author: Claudio Saavedra <csaavedra@alumnos.utalca.cl>
Date:   Fri Nov 17 18:53:02 2006 +0000

    Remove art from SUBDIRS. Remove directory. Remove. Remove art from
    
    2006-11-17  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>
    
            * Makefile.am: Remove art from SUBDIRS.
            * art/*: Remove directory.
            * art/loading.png: Remove.
            * configure.in: Remove art from AC_OUTPUT.
            * libeog/eog-collection-item.c: (get_busy_pixbuf): Use "image-loading"
            from icon theme instead of shipped icon.
    
            * macros/*: Remove old and unused macros from CVS.
    
    svn path=/trunk/; revision=3878

 macros/.cvsignore             |    3 -
 macros/ChangeLog              | 1261 -----------------------------------------
 macros/Makefile.am            |   43 --
 macros/README.cvs-commits     |   13 -
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  210 -------
 macros/compiler-flags.m4      |  109 ----
 macros/curses.m4              |  318 -----------
 macros/gnome-bonobo-check.m4  |  166 ------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 --------------
 macros/gnome-gettext.m4       |  338 -----------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  134 -----
 macros/gnome-libgtop-check.m4 |  217 -------
 macros/gnome-objc-checks.m4   |   83 ---
 macros/gnome-orbit-check.m4   |   33 --
 macros/gnome-pilot.m4         |  213 -------
 macros/gnome-print-check.m4   |   63 --
 macros/gnome-pthread-check.m4 |   18 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   22 -
 macros/gnome-vfs.m4           |  126 ----
 macros/gnome-x-checks.m4      |   80 ---
 macros/gnome-xml-check.m4     |   32 --
 macros/gnome.m4               |  130 -----
 macros/gperf-check.m4         |   79 ---
 macros/linger.m4              |   28 -
 macros/need-declaration.m4    |   42 --
 macros/psiconv.m4             |   53 --
 32 files changed, 4385 deletions(-)

commit c9abb85cb52a29838bceaf147cc8a7e43bf06eff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 20 13:48:21 2006 +0000

    exit from the check_m4macros function as soon as we have detected some
    
    2006-10-20  Bastien Nocera  <hadess@hadess.net>
    
    	* macros2/gnome-autogen.sh: exit from the check_m4macros function as
    	soon as we have detected some undefined macros, rather than leaving
    	the developer wondering what the problem is
    
    svn path=/trunk/; revision=3877

 ChangeLog                |  6 ++++++
 macros2/gnome-autogen.sh | 21 ++++++++++++++++-----
 2 files changed, 22 insertions(+), 5 deletions(-)

commit 1f7d1be8d6f32cac072878d44a0ea652bcc034e2
Author: Brent Smith <bmsmith@src.gnome.org>
Date:   Mon Jun 12 23:03:16 2006 +0000

    Merged bug-buddy-xmlrpc branch to HEAD using the following commands on a
    
    
    Merged bug-buddy-xmlrpc branch to HEAD using the following commands on
    a fresh checkout of HEAD:
    cvs update -j HEAD -j BUG_BUDDY_2_13_0
    cvs update -j BUG_BUDDY_2_13_0 -j bug-buddy-xmlrpc
    cvs update -C po/*
    
    svn path=/trunk/; revision=3795

 macros/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit d1db1fd18cd65a85f79677cdc135f4cf6a17b7a7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed May 10 10:46:57 2006 +0000

    Fix a typo.
    
    2006-05-10  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* gnome-common.spec.in: Fix a typo.
    
    svn path=/trunk/; revision=3794

 ChangeLog            | 4 ++++
 gnome-common.spec.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0a69a8e398afabe0389ee12665b7a7f42f305eab
Author: Johannes Schmid <jhs@src.gnome.org>
Date:   Mon May 8 15:52:00 2006 +0000

    fix HEAD
    
    svn path=/trunk/; revision=3778

 macros/ChangeLog | 4 ----
 1 file changed, 4 deletions(-)

commit 9ad96b1ae1c735ab7c5deb9c70c551dc81cd4c4a
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Fri Mar 10 02:10:27 2006 +0000

    Fix autogen.sh script
    
    svn path=/trunk/; revision=3776

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60172f93467d4fb5c7c928e97ef1a83ec4f2cd11
Author: James Henstridge <james@jamesh.id.au>
Date:   Thu Mar 9 16:34:41 2006 +0000

    skip directories called "_darcs", similar to the handling of other VCS
    
    2006-03-10  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh (configure_files): skip directories
    	called "_darcs", similar to the handling of other VCS metadata
    	dirs.  Fixes bug #321860.
    
    svn path=/trunk/; revision=3775

 ChangeLog                | 6 ++++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 64abedab59a3c6e2f5e2662fe1c8d9f9f4084568
Author: James Henstridge <james@jamesh.id.au>
Date:   Mon Oct 24 04:45:56 2005 +0000

    update find expression to not exclude ".." from search. Fixes non-srcdir
    
    2005-10-24  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh (configure_files): update find
    	expression to not exclude ".." from search.  Fixes non-srcdir
    	builds (where $srcdir might be "..").  Fixes bug #319496.
    
    svn path=/trunk/; revision=3774

 ChangeLog                | 6 ++++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c72bb3616bcbc9bafd2292e2625cf0bc2be1cb3e
Author: Chris Ball <cball@src.gnome.org>
Date:   Thu Sep 29 16:18:43 2005 +0000

    Updating REQUIRED_GNOME_DOC_UTILS_VERSION, as requested by shaunm.
    
    svn path=/trunk/; revision=3773

 macros2/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb4d2fba58ed308ab5481175fa500a0ea32ca14e
Author: Stepan Kasal <kasal@ucw.cz>
Date:   Tue Sep 20 06:27:53 2005 +0000

    Prefer newer versions of Automake. From bug #305641.
    
    2005-09-20  Stepan Kasal  <kasal@ucw.cz>
    
    	* macros2/gnome-autogen.sh: Prefer newer versions of Automake.
    	From bug #305641.
    
    svn path=/trunk/; revision=3772

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit ca0b6684c39baea5bbeeaddab6066401ef5f82dd
Author: James Henstridge <james@jamesh.id.au>
Date:   Tue Sep 20 06:23:01 2005 +0000

    bump version to 2.12.0
    
    2005-09-20  James Henstridge  <james@jamesh.id.au>
    
    	* configure.in: bump version to 2.12.0
    
    svn path=/trunk/; revision=3771

 ChangeLog    | 2 ++
 configure.in | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 4f90035334b19b2b6e0fb6ebb7a34a961ca11ca1
Author: James Henstridge <james@jamesh.id.au>
Date:   Tue Sep 20 05:57:41 2005 +0000

    when searching for configure.in files, skip directories starting with a
    
    2005-09-20  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh (configure_files): when searching for
    	configure.in files, skip directories starting with a dot.  This
    	avoids Bzr, Quilt and Subversion bookkeeping directories among
    	others.  Fixes bug #311951.
    
    svn path=/trunk/; revision=3768

 ChangeLog                | 7 +++++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 5a4fc459c512d6bbb97a17141bcf09cd22826501
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 6 17:32:54 2005 +0000

    Post-release version bump.
    
    2005-09-06  Vincent Untz  <vuntz@gnome.org>
    
    	* configure.in: Post-release version bump.
    
    svn path=/trunk/; revision=3623

 macros/ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 221e6759a47e9fa81a3d244ad25401c6c6e46e4a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Aug 23 19:34:12 2005 +0000

    post-release bump to 2.12.0.
    
    2005-08-23  Vincent Untz  <vuntz@gnome.org>
    
    	* configure.in: post-release bump to 2.12.0.
    
    svn path=/trunk/; revision=3612

 macros/ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit e4e760b58080c477c976b673ff5aed2cc94f8735
Author: Jens Seidel <jseidel@src.gnome.org>
Date:   Sun Aug 21 20:10:24 2005 +0000

    fixed a typo: s/occured/occurred/g
    
    svn path=/trunk/; revision=3606

 macros/gnome-bonobo-check.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07e892143d1ded887fee9a6f5f19938e68570f3c
Author: Stepan Kasal <kasal@ucw.cz>
Date:   Wed Aug 17 12:13:16 2005 +0000

    New function, prevents duplicates in $cm_macrodirs. (check_m4macros): Use
    
    2005-08-17  Stepan Kasal  <kasal@ucw.cz>
    
    	* macros2/gnome-autogen.sh (add_to_cm_macrodirs): New function,
    	prevents duplicates in $cm_macrodirs.
    	(check_m4macros): Use it.  Read the dirlist file, if it is supported
    	by the version of Automake actually in use.
    
    svn path=/trunk/; revision=3605

 ChangeLog                |  7 +++++++
 macros2/gnome-autogen.sh | 30 ++++++++++++++++++++++++++++--
 2 files changed, 35 insertions(+), 2 deletions(-)

commit 31c9a5dc170a0921a43ad4b6c994a3705361ffb0
Author: Stepan Kasal <kasal@ucw.cz>
Date:   Wed Aug 17 11:51:39 2005 +0000

    Set $variable_VERSION to the actual version number of the tool.
    
    2005-08-17  Stepan Kasal  <kasal@ucw.cz>
    
    	* macros2/gnome-autogen.sh (version_check): Set $variable_VERSION
    	  to the actual version number of the tool.
    
    svn path=/trunk/; revision=3604

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 5 +++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 5016cc29238a7050d7c1b584e266d8cf1d3b19ab
Author: James Henstridge <james@jamesh.id.au>
Date:   Wed Aug 17 00:53:06 2005 +0000

    pass --force to gnome-doc-prepare to match other tools. Fixes bug #311775.
    
    2005-08-17  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh: pass --force to gnome-doc-prepare to
    	match other tools.  Fixes bug #311775.
    
    svn path=/trunk/; revision=3603

 ChangeLog                | 3 +++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 710365e43f5e6402fc9aa1b6cbc01bee9582a124
Author: James Henstridge <james@jamesh.id.au>
Date:   Wed Aug 17 00:41:48 2005 +0000

    don't use syntax that non-GNU greps don't understand. Fixes bug #313531.
    
    2005-08-17  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh: don't use syntax that non-GNU greps
    	don't understand.  Fixes bug #313531.
    
    svn path=/trunk/; revision=3602

 ChangeLog                |  5 +++++
 macros2/gnome-autogen.sh | 10 ++++++----
 2 files changed, 11 insertions(+), 4 deletions(-)

commit c48b058463a0554f6cda17310bcb1b1d9c3971ed
Author: James Henstridge <james@jamesh.id.au>
Date:   Tue Aug 16 11:01:33 2005 +0000

    add checks for gnome-common macro names, and call require_m4macro for the
    
    2005-08-16  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-autogen.sh: add checks for gnome-common macro
    	names, and call require_m4macro for the appropriate names.  This
    	can help detect $ACLOCAL_FLAGS problems earlier.  Addresses bug
    	#312125.
    
    svn path=/trunk/; revision=3601

 ChangeLog                |  7 +++++++
 macros2/gnome-autogen.sh | 11 +++++++++++
 2 files changed, 18 insertions(+)

commit 707c6a8142883143c2255374f7b5d19fc90efd7a
Author: James Henstridge <james@jamesh.id.au>
Date:   Mon Jul 25 21:41:45 2005 +0000

    bump release number.
    
    2005-07-25  James Henstridge  <james@jamesh.id.au>
    
    	* configure.in: bump release number.
    
    svn path=/trunk/; revision=3600

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f9ad1f21848bd4700e3a4db84b95b4cf09183dea
Author: Shaun McCance <shaunm@src.gnome.org>
Date:   Tue Jul 19 22:09:26 2005 +0000

    - Bumped up the default required version of gnome-doc-utils
    
    * macros2/gnome-autogen.sh:
    - Bumped up the default required version of gnome-doc-utils
    
    svn path=/trunk/; revision=3599

 ChangeLog                | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 9741f97b0a0a93fcd634e09583cb418a5418c13a
Author: Christian Persch <chpe@cvs.gnome.org>
Date:   Mon Jul 18 21:55:24 2005 +0000

    When configure.{in,ac} contains GNOME_DOC_INIT, actually call
    
    2005-07-18  Christian Persch  <chpe@cvs.gnome.org>
    
    	* macros2/gnome-autogen.sh:
    
    	When configure.{in,ac} contains GNOME_DOC_INIT, actually call
    	gnome-doc-prepare.
    
    svn path=/trunk/; revision=3598

 ChangeLog                | 7 +++++++
 macros2/gnome-autogen.sh | 4 ++++
 2 files changed, 11 insertions(+)

commit 60f7c3822168e95b9f754ba3f93528b70dbfb05c
Author: Benoît Dejean <bdejean@src.gnome.org>
Date:   Mon Jun 6 11:46:39 2005 +0000

    Removed unused files.
    
    * support/ : Removed unused files.
    
    svn path=/trunk/; revision=3597

 support/.cvsignore              |    9 -
 support/ChangeLog               |  390 ---------------
 support/Makefile.am             |   49 --
 support/README-gnome            |  102 ----
 support/README.cvs-commits      |   13 -
 support/canonicalize.c          |  202 --------
 support/easy-vsnprintf.c        |   30 --
 support/error.c                 |  254 ----------
 support/error.h                 |   77 ---
 support/findme.c                |   43 --
 support/findme.h                |   10 -
 support/getopt.c                | 1041 ---------------------------------------
 support/getopt.h                |  135 -----
 support/getopt1.c               |  187 -------
 support/gnome-argp.c            |   12 -
 support/gnome-argp.h            |   19 -
 support/gnome-support-2.0.pc.in |   11 -
 support/gnomesupport-fake.h     |   35 --
 support/gnomesupport.awk        |  208 --------
 support/memmove.c               |   18 -
 support/mkstemp.c               |  100 ----
 support/popt-gnome.h            |  127 -----
 support/popt.c                  |  711 --------------------------
 support/poptconfig.c            |  137 ------
 support/popthelp.c              |  301 -----------
 support/poptint.h               |   86 ----
 support/poptparse.c             |  118 -----
 support/scandir.c               |  132 -----
 support/strcasecmp.c            |   75 ---
 support/strerror.c              |  837 -------------------------------
 support/strndup.c               |   53 --
 support/strnlen.c               |   30 --
 support/strtod.c                |  122 -----
 support/strtok_r.c              |   63 ---
 support/strtol.c                |  142 ------
 support/strtoul.c               |  109 ----
 support/system.h                |   55 ---
 support/vasprintf.c             |  197 --------
 support/vsnprintf.c             |  156 ------
 39 files changed, 6396 deletions(-)

commit 82bb4ac04136f4462a5096ee33849e10e7004006
Author: Sven Herzberg <herzi@gnome-de.org>
Date:   Mon Mar 21 22:10:41 2005 +0000

    added support for the gnome-doc-utils
    
    2005-03-21  Sven Herzberg  <herzi@gnome-de.org>
    
            * macros2/gnome-autogen.sh: added support for the gnome-doc-utils
    
    svn path=/trunk/; revision=3596

 ChangeLog                |  4 ++++
 macros2/gnome-autogen.sh | 10 ++++++++++
 2 files changed, 14 insertions(+)

commit 762703487dcab4d0e8fbb46d90204301eb4c932c
Author: Stepan Kasal <skasal@src.gnome.org>
Date:   Tue Mar 15 09:39:05 2005 +0000

    fix typos
    
    svn path=/trunk/; revision=3595

 ChangeLog | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 6e7bda56b1a6dc6703890e67f17e1b243134ded4
Author: Stepan Kasal <skasal@src.gnome.org>
Date:   Tue Mar 15 09:33:34 2005 +0000

    merged macros2/ChangeLog with the main one
    
    svn path=/trunk/; revision=3594

 ChangeLog         | 475 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 macros2/ChangeLog | 456 ---------------------------------------------------
 2 files changed, 470 insertions(+), 461 deletions(-)

commit 5aaf3b11b8e76b4d32441ac023629580ca7d4298
Author: Stepan Kasal <skasal@src.gnome.org>
Date:   Fri Mar 11 12:07:15 2005 +0000

    I used wrong ChangeLog
    
    svn path=/trunk/; revision=3508

 ChangeLog        | 5 -----
 macros/ChangeLog | 5 +++++
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 279c8180ba5c1257f1a2a7263c8b66cc6b216343
Author: Stepan Kasal <skasal@src.gnome.org>
Date:   Fri Feb 18 15:42:46 2005 +0000

    fix the URL of automake-1.4
    
    svn path=/trunk/; revision=3490

 ChangeLog         | 5 +++++
 macros/autogen.sh | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit fb9023329d581d156a1c77a9066e7a9e9726d240
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Fri Feb 11 09:02:47 2005 +0000

    update usage with a note about adding the macro dir to ACLOCAL_AMFLAGS if
    AC_CONFIG_MACRO_DIR is being used.
    
    svn path=/trunk/; revision=3489

 doc/usage.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c28f9bbb582a679ede9198e89fa999b4bc962cd9
Author: James Henstridge <james@jamesh.id.au>
Date:   Fri Feb 11 08:59:41 2005 +0000

    preserve COPYING and INSTALL files over the "automake --force" call. Fixes
    
    2005-02-11  James Henstridge  <james@jamesh.id.au>
    
    	* gnome-autogen.sh: preserve COPYING and INSTALL files over the
    	"automake --force" call.  Fixes bug #161916.
    
    svn path=/trunk/; revision=3488

 .cvsignore               | 18 +++++++-----------
 macros2/ChangeLog        |  5 +++++
 macros2/gnome-autogen.sh |  5 +++++
 3 files changed, 17 insertions(+), 11 deletions(-)

commit eebf878d4850685cd901edb884106f0a2ddde47d
Author: Rodney Dawes <dobey@novell.com>
Date:   Sat Jan 22 15:22:30 2005 +0000

    Fix the (AC|IT)_PROG_INTLTOOL support for both places where we grep for it
    
    2005-01-22  Rodney Dawes  <dobey@novell.com>
    
    	* gnome-autogen.sh: Fix the (AC|IT)_PROG_INTLTOOL support for
    	both places where we grep for it
    	(version_check): If we are checking for automake = 1.4, then make
    	sure we error out with that error when we find it, and not >= 1.4
    	since we don't actually check for >= 1.4
    
    	Fixes #129903
    
    svn path=/trunk/; revision=3487

 macros2/ChangeLog        | 14 ++++++++++++--
 macros2/gnome-autogen.sh | 11 ++++++++---
 2 files changed, 20 insertions(+), 5 deletions(-)

commit 83c1ee7944624c0cd45eda8155d1dc232f4d620b
Author: James Henstridge <james@jamesh.id.au>
Date:   Mon Jan 3 09:27:36 2005 +0000

    add some code to add the directory given to AC_CONFIG_MACRO_DIR to
    
    2005-01-03  James Henstridge  <james@jamesh.id.au>
    
    	* macros2/gnome-common.m4 (GNOME_COMMON_INIT): add some code to
    	add the directory given to AC_CONFIG_MACRO_DIR to ACLOCAL_FLAGS.
    
    	* doc-build/xmldocs.make (clean-local-doc): add rule to clean up
    	copied entities if srcdir!=builddir.
    
    svn path=/trunk/; revision=3486

 ChangeLog               | 8 ++++++++
 doc-build/xmldocs.make  | 8 +++++++-
 macros2/gnome-common.m4 | 7 +++++++
 3 files changed, 22 insertions(+), 1 deletion(-)

commit f9c955f0dffb1e5dec532970b9b0c9d4798584d1
Author: Mariano SuÃ¡rez-Alvarez <mariano@gnome.org>
Date:   Thu Nov 25 01:19:25 2004 +0000

    grep wants basic regexps, not extended ones: fix the regular expression
    
    2004-11-24  Mariano SuÃ¡rez-Alvarez <mariano@gnome.org>
    
    	* gnome-autogen.sh: grep wants basic regexps, not extended ones: fix the
    	regular expression for INTLTOOL.
    
    svn path=/trunk/; revision=3485

 macros2/ChangeLog        | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit cf53c531bd4ba2dbfe191b030cd945811b4aa3de
Author: Rodney Dawes <dobey@novell.com>
Date:   Wed Nov 24 17:53:26 2004 +0000

    Add support for IT_PROG_INTLTOOL which deprecates AC_PROG_INTLTOOL
    
    2004-11-24  Rodney Dawes  <dobey@novell.com>
    
    	* gnome-autogen.sh: Add support for IT_PROG_INTLTOOL which
    	deprecates AC_PROG_INTLTOOL
    
    svn path=/trunk/; revision=3484

 macros2/ChangeLog        | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 76613c8f0092ac221b15af8342c83b6408f7ed83
Author: Jordi Mallach <jordim@src.gnome.org>
Date:   Tue Nov 9 18:08:04 2004 +0000

    Fix for automake1.4.
    
    svn path=/trunk/; revision=3483

 macros2/ChangeLog        | 6 ++++++
 macros2/gnome-autogen.sh | 6 +++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit c2ca33a7a05bffbb9d78068cdeebfdb2fbda1cfa
Author: Jordi Mallach <jordi@sindominio.net>
Date:   Tue Nov 9 09:57:04 2004 +0000

    Call all the bootstrap programs (libtoolize, intltoolize, gtkdocize,
    
    2004-11-09  Jordi Mallach  <jordi@sindominio.net>
    
    	* gnome-autogen.sh: Call all the bootstrap programs (libtoolize,
    	intltoolize, gtkdocize, automake) using --force and --copy
    	consistently.
    
    svn path=/trunk/; revision=3482

 macros2/ChangeLog        | 6 ++++++
 macros2/gnome-autogen.sh | 8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 1f4269cf6fc61e01fec73684345a81998eb68d5b
Author: James Henstridge <james@jamesh.id.au>
Date:   Thu Oct 28 11:43:29 2004 +0000

    get rid of the code that modified PATH, ACLOCAL_FLAGS and LD_LIBRARY_PATH
    
    2004-10-28  James Henstridge  <james@jamesh.id.au>
    
    	* gnome-autogen.sh: get rid of the code that modified PATH,
    	ACLOCAL_FLAGS and LD_LIBRARY_PATH based on $GNOME2_PATH, since
    	this was broken.  It could cause configure tests to pass, when the
    	subsequent build would fail due to path problems.  For more
    	details, see bug #140210.
    
    svn path=/trunk/; revision=3481

 macros2/ChangeLog        |  6 ++++++
 macros2/gnome-autogen.sh | 22 ----------------------
 2 files changed, 6 insertions(+), 22 deletions(-)

commit 31b4557e615233e6972b32e293b94eb012c01b07
Author: James Henstridge <james@jamesh.id.au>
Date:   Thu Oct 28 11:36:17 2004 +0000

    if the directory is read only, skip it. This helps in cases where a
    
    2004-10-28  James Henstridge  <james@jamesh.id.au>
    
    	* gnome-autogen.sh: if the directory is read only, skip it.  This
    	helps in cases where a directory from a failed "make distcheck" is
    	lying around.  Should fix bug #136093.
    
    svn path=/trunk/; revision=3480

 macros2/ChangeLog        | 4 ++++
 macros2/gnome-autogen.sh | 6 ++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 1f8e2e6d8f103f543ac31db0403be26243a52902
Author: James Henstridge <james@jamesh.id.au>
Date:   Thu Oct 28 09:49:49 2004 +0000

    fix up the AC_CONFIG_MACRO_DIR check to work with sub-package
    
    2004-10-28  James Henstridge  <james@jamesh.id.au>
    
    	* gnome-autogen.sh (m4dir): fix up the AC_CONFIG_MACRO_DIR check
    	to work with sub-package configure.in's.
    
    svn path=/trunk/; revision=3479

 macros2/ChangeLog        | 5 +++++
 macros2/gnome-autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 7dcafe978122d9b769dbe5a5ee72db8491b2b52a
Author: James Henstridge <james@jamesh.id.au>
Date:   Wed Oct 27 15:14:52 2004 +0000

    if AC_CONFIG_MACRO_DIR() is used in configure.ac, pass that directory to
    
    2004-10-27  James Henstridge  <james@jamesh.id.au>
    
    	* gnome-autogen.sh (ACLOCAL): if AC_CONFIG_MACRO_DIR() is used in
    	configure.ac, pass that directory to aclocal.
    	Run libtoolize if the configure.ac file calls LT_INIT (the new
    	name for AC_PROG_LIBTOOL in libtool-2.0).
    
    svn path=/trunk/; revision=3478

 macros2/ChangeLog        |  7 +++++++
 macros2/gnome-autogen.sh | 16 ++++++++++++----
 2 files changed, 19 insertions(+), 4 deletions(-)

commit f06e257f23fa990d2faa3c32a5825b2527f0faef
Author: James Henstridge <james@jamesh.id.au>
Date:   Wed Oct 6 07:04:51 2004 +0000

    use $(DESTDIR) in uninstall rule. This is needed to allow packages to
    
    2004-10-06  James Henstridge  <james@jamesh.id.au>
    
        * doc-build/omf.make (uninstall-local-omf): use $(DESTDIR) in
        uninstall rule.  This is needed to allow packages to distcheck
        with newer versions of automake.
    
    svn path=/trunk/; revision=3477

 ChangeLog          | 6 ++++++
 doc-build/omf.make | 8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit d084aa0d0204c65ae2e0a0ec17a86d554fa5da07
Author: James Henstridge <james@jamesh.id.au>
Date:   Tue Sep 14 06:03:06 2004 +0000

    bump version number to 2.8.0
    
    2004-09-14  James Henstridge  <james@jamesh.id.au>
    
        * configure.in: bump version number to 2.8.0
    
    svn path=/trunk/; revision=3475

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 252cdb9e372045dc5a34d7877fca1fc0a00579d9
Author: James Henstridge <james@jamesh.id.au>
Date:   Mon Aug 30 13:39:27 2004 +0000

    fix up error message when a required M4 file isn't found. Fixes bug
    
    2004-08-30  James Henstridge  <james@jamesh.id.au>
    
        * macros2/gnome-autogen.sh: fix up error message when a required
        M4 file isn't found.  Fixes bug #147417.
    
        * macros2/gnome-autogen.sh: Revert Rodney's changes, since
        glib-gettextize has been fixed on the HEAD and 2.4 branches.
    
    svn path=/trunk/; revision=3474

 ChangeLog                |  8 ++++++++
 macros2/gnome-autogen.sh | 12 +-----------
 2 files changed, 9 insertions(+), 11 deletions(-)

commit a6446e3b2bfc69488fe5d428449b375143da6164
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Aug 16 21:25:32 2004 +0000

    Add some foo to handle automake-1.9.x too.
    
    2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>
    
    	* gnome-autogen.sh: Add some foo to handle automake-1.9.x too.
    
    svn path=/trunk/; revision=3473

 macros2/ChangeLog        | 4 ++++
 macros2/gnome-autogen.sh | 9 +++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit adc74806b584381e1c6f10b26b5871b0fd1db643
Author: Benoît Dejean <bdejean@src.gnome.org>
Date:   Sun Jul 18 20:33:56 2004 +0000

    Glibify a bit more. Closes #147618.
    
    	* doc/reference.texi:
    	* include/glibtop/command.h:
    	* include/glibtop/glib-arrays.h:
    	* include/glibtop/proclist.h:
    	* lib/glib-arrays.c: (glibtop_get_proclist_as_array_l):
    	* lib/lib.pl:
    	* scripts/c_types.pl:
    	* src/daemon/main.c: (handle_parent_connection):
    	* src/daemon/slave.c: (handle_slave_connection):
    	* support/mkstemp.c:
    	* sysdeps/aix/proclist.c: (glibtop_get_proclist_s):
    	* sysdeps/freebsd/cpu.c: (glibtop_get_cpu_p):
    	* sysdeps/freebsd/prockernel.c: (glibtop_get_proc_kernel_p):
    	* sysdeps/freebsd/proclist.c: (glibtop_get_proclist_p):
    	* sysdeps/freebsd/procmem.c: (glibtop_get_proc_mem_p):
    	* sysdeps/kernel/proclist.c: (glibtop_get_proclist_s):
    	* sysdeps/linux/proclist.c: (glibtop_get_proclist_s):
    	* sysdeps/osf1/proclist.c: (glibtop_get_proclist_p):
    	* sysdeps/solaris/proclist.c: (glibtop_get_proclist_s):
    	* sysdeps/stub/proclist.c: (glibtop_get_proclist_s):
    	* sysdeps/stub_suid/proclist.c: (glibtop_get_proclist_p):
    	* sysdeps/sun4/proclist.c: (glibtop_get_proclist_p): Glibify a bit more.
    	Closes #147618.
    
    svn path=/trunk/; revision=3455

 support/mkstemp.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9050996fa70260943fdbbfc14d0cb3995586ec64
Author: Benoît Dejean <bdejean@src.gnome.org>
Date:   Fri Jun 18 20:33:00 2004 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=3452

 support/ChangeLog | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit a7681fc4eecc077d37ac32405f1dd21b96b186ef
Author: Rodney Dawes <dobey@ximian.com>
Date:   Thu Jun 10 18:24:35 2004 +0000

    Add code to check for mkinstalldirs in the shared automake files
    
    2004-06-10  Rodney Dawes  <dobey@ximian.com>
    
    	* macros2/gnome-autogen.sh: Add code to check for mkinstalldirs in
    	the shared automake files directory, and copy it in if we are using
    	AM_GLIB_GNU_GETTEXT
    
    	Fixes #144069
     CVS: ----------------------------------------------------------------------
    
    svn path=/trunk/; revision=3451

 ChangeLog                |  8 ++++++++
 macros2/gnome-autogen.sh | 10 ++++++++++
 2 files changed, 18 insertions(+)

commit b5d3f674c694bf1a1a31ba0470aedb4a76da050f
Author: Benoît Dejean <bdejean@src.gnome.org>
Date:   Wed Jun 9 18:52:21 2004 +0000

    whitespace clean up.
    
    	* *.{c,h} : whitespace clean up.
    
    svn path=/trunk/; revision=3450

 support/canonicalize.c |  2 +-
 support/error.c        |  2 +-
 support/findme.c       |  4 ++--
 support/findme.h       |  2 +-
 support/getopt.c       | 10 +++++-----
 support/getopt1.c      |  4 ++--
 support/popt-gnome.h   | 12 ++++++------
 support/poptconfig.c   | 12 ++++++------
 support/popthelp.c     | 38 +++++++++++++++++++-------------------
 support/poptint.h      |  2 +-
 support/poptparse.c    |  4 ++--
 support/strerror.c     |  2 +-
 support/strtod.c       |  6 +++---
 support/system.h       |  4 ++--
 support/vasprintf.c    |  2 +-
 15 files changed, 53 insertions(+), 53 deletions(-)

commit 2839d0086227e9d3ef065b013de28358bfb751b9
Author: Benoît Dejean <bdejean@src.gnome.org>
Date:   Sun Jun 6 22:10:29 2004 +0000

    Cleaned.
    
    	* lib/parameter.c:
    	* support/popt.c: (poptGetContext): Cleaned.
    
    	* support/vsnprintf.c: s/strncpy/g_strlcpy
    
    svn path=/trunk/; revision=3449

 support/popt.c      | 4 +---
 support/vsnprintf.c | 3 +--
 2 files changed, 2 insertions(+), 5 deletions(-)

commit cfb53e981e5a9654c44643b4d9e0600ecdf8121f
Author: Richard Kinder <rkinder@src.gnome.org>
Date:   Fri Jun 4 10:28:59 2004 +0000

    Many apologies, building from a clean tree generates VERSION and
    PACKAGE correctly. Reverting previous commit.
    
    svn path=/trunk/; revision=3448

 ChangeLog                     | 5 -----
 doc-build/gnome-doc-common.in | 4 ++--
 2 files changed, 2 insertions(+), 7 deletions(-)

commit 211232bf3edc058a47f84b0706c3ae1823fa7432
Author: Richard Kinder <rkinder@src.gnome.org>
Date:   Fri Jun 4 10:06:02 2004 +0000

    Make gnome-doc-common work properly.
    
    svn path=/trunk/; revision=3447

 ChangeLog                     | 5 +++++
 doc-build/gnome-doc-common.in | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 36797dc9ad9df8ec4073aef8a3a66013c228301a
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Wed May 26 10:47:01 2004 +0000

    simplify documentation, and bring it into line with the current state
    of gnome-common.
    
    svn path=/trunk/; revision=3446

 doc/usage.txt | 99 +++++++++++++++++------------------------------------------
 1 file changed, 29 insertions(+), 70 deletions(-)

commit 1e24c9cb2700ed0e02af5d1b0c24b41be1e05b59
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Wed May 26 06:56:46 2004 +0000

    remove a few more unused files.
    
    svn path=/trunk/; revision=3445

 Makefile.am    | 2 +-
 bin/.cvsignore | 3 ---
 stamp-h.in     | 1 -
 stamp.h.in     | 0
 4 files changed, 1 insertion(+), 5 deletions(-)

commit ea9e85851445efa0135c3f8d08c3d1ea53760d91
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Wed May 26 06:44:22 2004 +0000

    delete some files that were unused after the reorganisation
    
    svn path=/trunk/; revision=3444

 bin/ChangeLog           | 16 ----------------
 bin/Makefile.am         | 15 ---------------
 bin/gnome-autogen.sh.in | 30 ------------------------------
 doc/Makefile.am         |  0
 4 files changed, 61 deletions(-)

commit fa7ef8fd3f48c45c309a7048117fce35e7906f7f
Author: James Henstridge <james@daa.com.au>
Date:   Wed May 26 06:42:10 2004 +0000

    some small cleanups.
    
    2004-05-26  James Henstridge  <james@daa.com.au>
    
        * macros2/gnome-compiler-warnings.m4: some small cleanups.
    
        * macros2/gnome-common.m4 (GNOME_COMMON_INIT): since caching is
        turned off in all recent Autoconfs, it doesn't make sense to use
        it.  Change implementation to instead make sure ${ACLOCAL_FLAGS}
        gets passed to aclocal when called from the makefile.
    
        * macros2/Makefile.am: alter installation so that it puts the
        macros directly into $(datadir)/aclocal instead of
        $(datadir)/aclocal/gnome2-macros
    
        * autogen.sh (REQUIRED_AUTOMAKE_VERSION): use a modern version of
        automake.
    
        * macros2/gnome-compiler-flags.m4: move from compiler-flags.m4 to
        reduce chance of collisions.
    
        * macros2/gnome-autogen.sh: move from autogen.sh
    
        * Makefile.am (SUBDIRS): don't build bin/ and macros/ directories.
    
        * configure.in: don't create makefiles for bin/ and macros/
        directories.
        Since we don't actually build the support/ directory (since 2001),
        remove the matching parts from the configure script.
    
    svn path=/trunk/; revision=3443

 ChangeLog                          |  28 +++
 Makefile.am                        |   4 +-
 autogen.sh                         |   6 +-
 configure.in                       |  33 +--
 macros2/Makefile.am                |  21 +-
 macros2/autogen.sh                 | 411 -------------------------------------
 macros2/compiler-flags.m4          | 141 -------------
 macros2/curses.m4                  | 318 ----------------------------
 macros2/gnome-autogen.sh           | 411 +++++++++++++++++++++++++++++++++++++
 macros2/gnome-common.m4            |  25 +--
 macros2/gnome-compiler-flags.m4    | 141 +++++++++++++
 macros2/gnome-deprecated-macros.m4 |  32 ---
 12 files changed, 609 insertions(+), 962 deletions(-)

commit 9d8824a338204c20411b159a3c0c0a0711b8af96
Author: James Henstridge <james@daa.com.au>
Date:   Thu May 13 10:37:44 2004 +0000

    simplify and update spec file.
    
    2004-05-13  James Henstridge  <james@daa.com.au>
    
        * gnome-common.spec.in: simplify and update spec file.
    
    svn path=/trunk/; revision=3440

 ChangeLog            |  4 +++
 gnome-common.spec.in | 85 +++++++++++++---------------------------------------
 2 files changed, 25 insertions(+), 64 deletions(-)

commit 9286c1fa44c156444512d364babc71b1660b0bd3
Author: James Henstridge <james@daa.com.au>
Date:   Thu May 13 00:51:37 2004 +0000

    Change the order the various tools are called in to match that of
    
    2004-05-13  James Henstridge  <james@daa.com.au>
    
        * autogen.sh: Change the order the various tools are called in to
        match that of autoconf's autoupdate tool.  See bug 138584.
    
    svn path=/trunk/; revision=3439

 macros2/ChangeLog  |  5 +++++
 macros2/autogen.sh | 48 ++++++++++++++++++++++++++++++------------------
 2 files changed, 35 insertions(+), 18 deletions(-)

commit 865f060ad2625847cb14c7836222ee7277c54ced
Author: Sven Herzberg <herzi@src.gnome.org>
Date:   Fri Feb 27 00:19:22 2004 +0000

    fix bug #135557
    
    svn path=/trunk/; revision=3438

 ChangeLog          | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4c17390b0e19bef4f988aca76726ad35f2b4da4c
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Tue Feb 17 21:47:26 2004 +0000

    fix one last occurrence of not using $(DESTDIR).
    
    2004-02-17  Mark McLoughlin  <mark@skynet.ie>
    
            * doc-build/xmldocs.make: fix one last occurrence of
            not using $(DESTDIR).
    
    svn path=/trunk/; revision=3437

 ChangeLog              | 5 +++++
 doc-build/xmldocs.make | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c6a1672f4b89fc98f8ffdb94ac69ef5ffb244452
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sat Jan 31 01:09:16 2004 +0000

    Use automake-1.8 if available. Patch from alexander.winston@comcast.net
    
    	* autogen.sh: Use automake-1.8 if available. Patch from
    	alexander.winston@comcast.net (Alexander Winston). Bug #132966.
    
    svn path=/trunk/; revision=3436

 macros2/ChangeLog  | 5 +++++
 macros2/autogen.sh | 7 ++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit ef3e21ee571b0c03ca6898ecbe30d4e5db619c3a
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun Jan 25 12:30:09 2004 +0000

    Deprecate the use of GNOME2_DIR and allow the use of GNOME2_PATH (bug
    
    	* autogen.sh: Deprecate the use of GNOME2_DIR and allow the use
    	of GNOME2_PATH (bug #130516).
    
    svn path=/trunk/; revision=3435

 macros2/ChangeLog  |  5 +++++
 macros2/autogen.sh | 32 ++++++++++++++++++++++----------
 2 files changed, 27 insertions(+), 10 deletions(-)

commit 4a6afff62941c5862d6dae3d04f7311b2afeeb9d
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Fri Jan 2 06:56:51 2004 +0000

    Run intltoolize after automake, since intltoolize wants mkinstalldirs now.
    
    	* autogen.sh: Run intltoolize after automake, since intltoolize
    	wants mkinstalldirs now. Should fix bugs #130309 and #130366.
    
    svn path=/trunk/; revision=3434

 macros2/ChangeLog  |  5 +++++
 macros2/autogen.sh | 11 +++++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit c6c875f031f3cfd4c2abc5af4f23f38bf5892884
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Fri Dec 12 23:43:52 2003 +0000

    Change the use of head to be 'head -n -1', since the GNU version of head
    
    	* autogen.sh: Change the use of head to be 'head -n -1', since
    	the GNU version of head appears to have changed behaviour
    	between version 5.0 and 5.0.9 somewhere. This should be portable
    	across all versions now. Fixed bug #128867.
    
    svn path=/trunk/; revision=3433

 macros2/ChangeLog  | 7 +++++++
 macros2/autogen.sh | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 42806807b7d67bfe3f9585492128f4984dc31c87
Author: Carlos Garnacho Parro <garnacho@tuxerver.net>
Date:   Tue Dec 9 01:57:09 2003 +0000

    Release 0.30.0
    
    2003-12-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>
    
    	* Release 0.30.0
    
    svn path=/trunk/; revision=3072

 macros/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit 4712e3980c9729d7af23c69bf6aa4610eaf80a2b
Author: Rodney Dawes <dobey@free.fr>
Date:   Mon Dec 8 23:18:12 2003 +0000

    Update automake checks to check incremental versions in the correct order,
    
    2003-12-08  Rodney Dawes  <dobey@free.fr>
    
    	* autogen.sh: Update automake checks to check incremental
    	versions in the correct order, Fixes #128691
    
    svn path=/trunk/; revision=3071

 macros2/ChangeLog  | 5 +++++
 macros2/autogen.sh | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 626c827638599e45cafb72dc4a8bd5944098b0b6
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Wed Nov 19 02:10:33 2003 +0000

    Replace use of -or in a find command with -o. Makes things work for people
    
    	* autogen.sh: Replace use of -or in a find command with -o.
    	Makes things work for people with less functional versions of
    	find. Fixes bug #127354 reported by Rolf Sponsel.
    
    svn path=/trunk/; revision=3070

 macros2/ChangeLog  | 6 ++++++
 macros2/autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 608ebbf942fd50e336feb42f8e8cd52ff856c838
Author: 3 <clahey@ximian.com>
Date:   Mon Nov 3 16:21:12 2003 +0000

    Removed ENABLE_WERROR and changed name to GNOME_MAINTAINER_MODE_DEFINES.
    
    2003-11-03    <clahey@ximian.com>
    
    	* gnome-common.m4: Removed ENABLE_WERROR and changed name to
    	GNOME_MAINTAINER_MODE_DEFINES.
    
    svn path=/trunk/; revision=3069

 macros2/ChangeLog       | 5 +++++
 macros2/gnome-common.m4 | 9 +++------
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 1b1b8ba991fd50239855f741326126c8957fc271
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sat Nov 1 01:18:16 2003 +0000

    Make version checking work, as pointed out by Michael H Schimek in bug
    
    	* autogen.sh: Make version checking work, as pointed out by
    	Michael H Schimek in bug #125818.
    
    svn path=/trunk/; revision=3068

 macros2/ChangeLog  | 5 +++++
 macros2/autogen.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 20acf43cff6833e25413a046b253bec71f30a05c
Author: 1 <clahey@ximian.com>
Date:   Fri Oct 31 21:06:15 2003 +0000

    Changed name of new macro to AM_MAINTAINER_MODE_DEFINES and added
    
    2003-10-31    <clahey@ximian.com>
    
    	* gnome-common.m4: Changed name of new macro to
    	AM_MAINTAINER_MODE_DEFINES and added definition for ENABLE_WERROR.
    
    svn path=/trunk/; revision=3067

 macros2/ChangeLog       | 9 +++++++--
 macros2/gnome-common.m4 | 9 ++++++---
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 35415d42b67bc5fd10bfcbfb7caef233b806785b
Author: 1 <clahey@ximian.com>
Date:   Fri Oct 31 20:29:05 2003 +0000

    New macro to disable deprecated functions and widgets when maintainer mode
    
    2003-10-31    <clahey@ximian.com>
    
    	* gnome-common.m4: New macro to disable deprecated functions and
    	widgets when maintainer mode is on.
    
    svn path=/trunk/; revision=3066

 macros2/ChangeLog       |  5 +++++
 macros2/gnome-common.m4 | 13 +++++++++++++
 2 files changed, 18 insertions(+)

commit 1b1f3ac9e7f8ac526fd600ca97074ce901d9f3a0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 20 12:14:11 2003 +0000

    make it compile
    
    2003-10-20  Bastien Nocera  <hadess@hadess.net>
    
    	* configure.in: make it compile
    
    svn path=/trunk/; revision=3062

 support/ChangeLog   | 5 +++++
 support/Makefile.am | 9 +++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 6c856cfad611102b1386bd73b345d62efbbb6f32
Author: Carlos PerellÃ³ MarÃ­n <carlos@gnome.org>
Date:   Sun Oct 19 16:54:35 2003 +0000

    Reverted libgtop changes. It's a common module and I should not modify it.
    
    2003-10-19  Carlos PerellÃ³ MarÃ­n <carlos@gnome.org>
    
    	* support/*: Reverted libgtop changes. It's a common module
    	and I should not modify it.
    	* Added/removed files. Now the move should be done.
    
    svn path=/trunk/; revision=3060

 support/.cvsignore   |   1 +
 support/ChangeLog    |   7 +-
 support/Makefile.am  |  24 ++--
 support/findme.c     |  38 +-----
 support/popt-gnome.h |  40 +++---
 support/popt.c       | 349 ++++++++++++++++++++++++++++++++-------------------
 support/poptconfig.c |  47 ++-----
 support/popthelp.c   |  50 +++-----
 support/poptint.h    |  48 ++++---
 support/poptparse.c  | 105 ++++++++--------
 10 files changed, 379 insertions(+), 330 deletions(-)

commit e08096f464bc32e1695493d23a72da9e58b14b61
Author: Carlos PerellÃ³ MarÃ­n <carlos@gnome.org>
Date:   Sun Oct 19 16:10:32 2003 +0000

    libgtop-GNOME-2-0-branch moved to HEAD.
    
    2003-10-19  Carlos PerellÃ³ MarÃ­n <carlos@gnome.org>
    
    	* libgtop-GNOME-2-0-branch moved to HEAD.
    
    svn path=/trunk/; revision=3059

 support/.cvsignore   |   1 -
 support/ChangeLog    |   7 +-
 support/Makefile.am  |  24 ++--
 support/findme.c     |  38 +++++-
 support/popt-gnome.h |  40 +++---
 support/popt.c       | 349 +++++++++++++++++++--------------------------------
 support/poptconfig.c |  47 +++++--
 support/popthelp.c   |  50 +++++---
 support/poptint.h    |  48 +++----
 support/poptparse.c  | 105 ++++++++--------
 10 files changed, 330 insertions(+), 379 deletions(-)

commit ad87f865578a31c085b031ec46808f057949a671
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Thu Oct 2 04:06:35 2003 +0000

    Distribute README in place of the non-existent ChangeLog. Doh!
    
            * doc-build/Makefile.am: Distribute README in place of the
            non-existent ChangeLog. Doh!
    
            * autogen.sh: Use the GNOME 2 autogen.sh script by default.
            * configure.in: Version number bumped.
    
    svn path=/trunk/; revision=3057

 ChangeLog             | 10 ++++++++++
 autogen.sh            |  2 +-
 configure.in          |  2 +-
 doc-build/Makefile.am |  2 +-
 4 files changed, 13 insertions(+), 3 deletions(-)

commit e2fc281c6b209a72ae41d8781a83f95893eba961
Author: Marco Pesenti Gritti <marco@gnome.org>
Date:   Sat Aug 23 16:48:09 2003 +0000

    Define WARN_CXXFLAGS instead of overwriting CXXFLAGS (like WARN_FLAGS).
    
    2003-08-23  Marco Pesenti Gritti  <marco@gnome.org>
    
            * macros2/compiler-flags.m4:
    
            Define WARN_CXXFLAGS instead of overwriting
            CXXFLAGS (like WARN_FLAGS).
    
    svn path=/trunk/; revision=3055

 ChangeLog                 | 7 +++++++
 macros2/compiler-flags.m4 | 8 +++-----
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 714401b78242b83912fcdd78a6a5615ebcc301c8
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun Aug 10 09:31:51 2003 +0000

    Show the version found for the various build tools like automake,
    
    	* autogen.sh: Show the version found for the various build tools
    	like automake, autoconf, libtool, etc. Patch from Steve Chaplin
    	(bug #119533).
    
    svn path=/trunk/; revision=3054

 macros2/ChangeLog  | 6 ++++++
 macros2/autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d2466389e502fdbd7b1a198a95f170e53ca3b79f
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Tue Aug 5 03:21:50 2003 +0000

    Continuing to try and get the flags passed to g++ in GNOME_CXX_WARNINGS
    
    	* compile-flags.m4: Continuing to try and get the flags passed
    	to g++ in GNOME_CXX_WARNINGS correct. Based on our best
    	attempts, the current set should work for the widest range of
    	g++ versions (see bug #118987 for the discussion).
    
    svn path=/trunk/; revision=3053

 macros2/ChangeLog         | 7 +++++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit f75d988c3a1149918c6d5d9fc142601fdb4606f1
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun Aug 3 12:03:05 2003 +0000

    Simplify GNOME_CXX_WARNINGS. Fixes bug #118987.
    
    	* compile-flags.m4: Simplify GNOME_CXX_WARNINGS. Fixes bug
    	#118987.
    
    svn path=/trunk/; revision=3052

 macros2/ChangeLog         | 5 +++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4abea34bf50ef30b416dde5d60c1fae47d897f6e
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Mon Jul 28 12:58:23 2003 +0000

    Default setting in the GNOME_COMPILE_WARNINGS macro is now "yes". This
    
    	* compiler-flags.m4: Default setting in the
    	GNOME_COMPILE_WARNINGS macro is now "yes". This fixes bug
    	#118479 (another good bit of debugging from Steve Chaplin).
    
    svn path=/trunk/; revision=3051

 macros2/ChangeLog         | 6 ++++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d085904377b24767b8fa61b4034ee4e9669044fc
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun Jul 20 13:31:29 2003 +0000

    Remove some redundant options as suggested by Steve Chaplin in bug
    
    	* compiler-flags.m4: Remove some redundant options as suggested
    	by Steve Chaplin in bug #115475. The warnings list looks simpler
    	now, but is no less functional.
    
    svn path=/trunk/; revision=3050

 macros2/ChangeLog         | 6 ++++++
 macros2/compiler-flags.m4 | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit a2b6f0b248b362d3dbdda5837c557461185fb087
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Tue Jul 15 03:09:01 2003 +0000

    Fixed a typo in the debugging output.
    
    svn path=/trunk/; revision=3049

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 838b0907ac94cbd30d8333998ac78e76b339df9b
Author: Frédéric Crozat <fcrozat@src.gnome.org>
Date:   Fri Jul 4 12:37:37 2003 +0000

    don't use -Wsign-promo, it is C++ only and causes warnings with gcc 3.3
    
            * macros2/compiler-flags.m4: don't use -Wsign-promo, it is
            C++ only and causes warnings with gcc 3.3 when used on C.
    
    svn path=/trunk/; revision=3048

 ChangeLog                 | 5 +++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 76b647b4d1f9d146319f35c8440040612f8590ab
Author: Sebastian Rittau <srittau@src.gnome.org>
Date:   Sat Jun 28 16:20:00 2003 +0000

    Add third argument to AC_DEFINE.
    
    svn path=/trunk/; revision=2910

 macros/ChangeLog         | 4 ++++
 macros/gnome-x-checks.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1c222954927bdf14f2f843388d7cd616159f4dee
Author: Marco Pesenti Gritti <marco@it.gnome.org>
Date:   Tue Jun 24 07:03:30 2003 +0000

    Remove --enable-compile-warnings from the default arguments passed to
    
    2003-06-24  Marco Pesenti Gritti  <marco@it.gnome.org>
    
    	* macros2/autogen.sh:
    
    	Remove --enable-compile-warnings from the default arguments
    	passed to configure because it break GNOME_COMPILE_WARNINGS
    	macro.
    
    svn path=/trunk/; revision=2908

 ChangeLog          | 8 ++++++++
 macros2/autogen.sh | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 46db5cf34c2f326275a8135cd8af79e209f4d885
Author: Malcolm Tredinnick <malcolm@commsecure.com.au>
Date:   Fri Jun 20 13:25:41 2003 +0000

    Fix some strangeness in the gnome-doc-common test.
    
    
    2003-06-20  Malcolm Tredinnick <malcolm@commsecure.com.au>
    
    	* autogen.sh: Fix some strangeness in the gnome-doc-common test.
    
    svn path=/trunk/; revision=2907

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit af3face3d2251f168bb527c35ad1bd1ad19a8dd2
Author: Gustavo J. A. M. Carneiro <gustavo@users.sourceforge.net>
Date:   Fri Jun 20 00:13:25 2003 +0000

    Inserted missing "cd $dirname" to effectively process subdirectories,
    
    2003-06-19  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>
    
    	* autogen.sh: Inserted missing "cd $dirname" to effectively
    	process subdirectories, since all it was doing was to process the
    	toplevel dir multiple times.
    
    	[Editor's note: also reported with patch by Elijah Newren in bug
    	#115481.]
    
    svn path=/trunk/; revision=2906

 macros2/ChangeLog  | 9 +++++++++
 macros2/autogen.sh | 1 +
 2 files changed, 10 insertions(+)

commit e16ea58db92e05b9720acdc6992175ec346dfc91
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sat May 24 15:16:26 2003 +0000

    Bump the version number to 2.3.0
    
    	* configure.in: Bump the version number to 2.3.0
    
    	* configure.in, Makefile.am, macros2/autogen.sh, doc-build/*:
    	Add in the infrastructure to allow user documentatin to be built
    	from some common files. This will not affect existing packages.
    	The changes required to use this are given in doc-build/README.
    
    svn path=/trunk/; revision=2905

 ChangeLog                     |  7 ++++
 Makefile.am                   |  2 +-
 configure.in                  |  9 ++--
 doc-build/.cvsignore          |  3 ++
 doc-build/Makefile.am         | 12 ++++++
 doc-build/README              |  9 ++++
 doc-build/gnome-doc-common.in | 48 ++++++++++++++++++++++
 doc-build/omf.make            | 61 +++++++++++++++++++++++++++
 doc-build/xmldocs.make        | 95 +++++++++++++++++++++++++++++++++++++++++++
 macros2/autogen.sh            | 14 ++++++-
 10 files changed, 253 insertions(+), 7 deletions(-)

commit 59c9ab024e8a72ca8393b02a4162ad5f2d3c5cdb
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sat May 24 13:52:56 2003 +0000

    I might as well admit to maintaining this module, since my claims to the
    contrary do not seem to have fooled anybody. :(
    
    svn path=/trunk/; revision=2904

 ChangeLog   | 4 ++++
 MAINTAINERS | 1 +
 2 files changed, 5 insertions(+)

commit 50085ce7225c67619bae4a3bfef148fb7c288ba2
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Tue May 20 16:28:44 2003 +0000

    Ignore {arch} subdirectories. Fixes bug #113327.
    
    	* autogen.sh: Ignore {arch} subdirectories. Fixes bug #113327.
    
    svn path=/trunk/; revision=2903

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit beb18bb0e6ad79184f26132310e537331d589ada
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun May 4 11:44:36 2003 +0000

    autogen.sh: - Extend the check_m4macros() function to handle Cygwin
    
    	autogen.sh:
    	- Extend the check_m4macros() function to handle Cygwin
    	  environments. Fixes bug #110947.
    
    svn path=/trunk/; revision=2900

 macros2/ChangeLog  |  9 ++++++---
 macros2/autogen.sh | 10 ++++++++++
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 90cccc574f0bcd207979ec619bfc0ec313536367
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sun May 4 11:18:46 2003 +0000

    Make this portable to Bourne-like shells. Fixes the problems pointed out
    
    	* autogen.sh: Make this portable to Bourne-like shells. Fixes
    	the problems pointed out by Morten Welinder in bug #110177.
    
    svn path=/trunk/; revision=2899

 macros2/ChangeLog  |   5 +++
 macros2/autogen.sh | 130 +++++++++++++++++++++++++++--------------------------
 2 files changed, 72 insertions(+), 63 deletions(-)

commit bd7e150fbf9603c20502dfb41234b03266ea376c
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Sat May 3 11:02:31 2003 +0000

    Allow users to specify the binary to run instead of libtoolize by checking
    
    	* autogen.sh: Allow users to specify the binary to run instead of
    	libtoolize by checking the value of $LIBTOOLIZE. This is apparently an
    	issue sometimes on MacOS X and fixes bug #111917.
    
    svn path=/trunk/; revision=2834

 macros/ChangeLog  | 6 ++++++
 macros/autogen.sh | 7 +++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit f2b3e6099e7ce2ba83b7f7a91b7650d03e4213d4
Author: Ross Burton <rburton@src.gnome.org>
Date:   Thu Apr 10 12:19:06 2003 +0000

    Fix a small typo in the glib-gettext code
    
    svn path=/trunk/; revision=2833

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9cb75b314c3ca14aa8eed12ca0bed9b3d383c6a4
Author: Frédéric Crozat <fcrozat@src.gnome.org>
Date:   Thu Mar 20 15:10:25 2003 +0000

    macros/autogen.sh: use GNOME2_DIR, not GNOME2_PATH which can be
    a ':' separated list.
    
    svn path=/trunk/; revision=2802

 macros/ChangeLog  | 5 +++++
 macros/autogen.sh | 6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit a2dbeb08cc140524c6ddc94e215d183a0e08b12a
Author: Malcolm Tredinnick <malcolm@src.gnome.org>
Date:   Fri Mar 7 02:15:26 2003 +0000

    Replace PACKAGE with PKG_NAME, since PKG_NAME is what is defined by the
    
    	* autogen.sh: Replace PACKAGE with PKG_NAME, since PKG_NAME is
    	what is defined by the various applications' autogen.sh. Also,
    	call autopoint rather than gettextize when appropriate (when
    	AM_GNU_GETTEXT_VERSION is present).
    
    svn path=/trunk/; revision=2781

 macros2/ChangeLog  |  7 +++++++
 macros2/autogen.sh | 11 ++++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit abc677038b7d7f1ec005e4cec344049130c800c8
Author: Mark McLoughlin <mark@skynet.ie>
Date:   Thu Feb 27 03:17:03 2003 +0000

    fix mixed up order of arguments to AC_ARG_ENABLE that made
    
    2003-02-27  Mark McLoughlin  <mark@skynet.ie>
    
            * compiler-flags.m4: fix mixed up order of arguments to
            AC_ARG_ENABLE that made --enable-compile-warnings not work
            as expected.
    
    svn path=/trunk/; revision=2780

 macros2/ChangeLog         | 6 ++++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit bd04a5981e1ace7e33077cfd1701fe354f63a418
Author: Frédéric Crozat <fcrozat@src.gnome.org>
Date:   Wed Feb 26 09:33:39 2003 +0000

    set WANT_AUTOCONF_2_5 variable to tell Mandrake autoconf wrapper we want
    
    * macros2/autogen.sh: set WANT_AUTOCONF_2_5 variable to tell
    Mandrake autoconf wrapper we want to check if autoconf 2.5x is here..
    
    svn path=/trunk/; revision=2779

 ChangeLog          | 5 +++++
 macros2/autogen.sh | 3 +++
 2 files changed, 8 insertions(+)

commit 436d85680069219f9b867164a526599c3131d873
Author: James Henstridge <james@daa.com.au>
Date:   Mon Feb 24 15:43:00 2003 +0000

    add function to forbid m4 macros. Forbid gnome-cxx-check.m4, to try and
    
    2003-02-24  James Henstridge  <james@daa.com.au>
    
        * autogen.sh (forbid_m4macro): add function to forbid m4 macros.
        Forbid gnome-cxx-check.m4, to try and catch setups where stale
        macros are left on the system.
    
    svn path=/trunk/; revision=2778

 macros2/ChangeLog  |  6 +++++
 macros2/autogen.sh | 71 +++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 55 insertions(+), 22 deletions(-)

commit dce92737640e5452d0a86965d0d00899a50b8a5f
Author: James Henstridge <james@daa.com.au>
Date:   Fri Feb 21 00:39:11 2003 +0000

    if $variable is set, then assume it is correct and skip the version check.
    
    2003-02-21  James Henstridge  <james@daa.com.au>
    
        * autogen.sh (version_check): if $variable is set, then assume
        it is correct and skip the version check.
        (autoconf): check for autoconf2.50 first, so we don't trigger
        Debian's sometimes broken autoconf version sniffer.
    
    svn path=/trunk/; revision=2777

 macros2/ChangeLog  | 7 +++++++
 macros2/autogen.sh | 8 +++++++-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 1f27af8b45f8f8f0a075de58010fceeab5ded2a2
Author: James Henstridge <james@daa.com.au>
Date:   Wed Feb 19 15:03:17 2003 +0000

    remove check-utmp.m4 (copied it to libzvt, which is the only thing using
    
    2003-02-19  James Henstridge  <james@daa.com.au>
    
        * Makefile.am (GNOME2_MACROS): remove check-utmp.m4 (copied it to
        libzvt, which is the only thing using it).
    
    svn path=/trunk/; revision=2776

 macros2/ChangeLog     |   3 +
 macros2/Makefile.am   |   1 -
 macros2/check-utmp.m4 | 243 --------------------------------------------------
 3 files changed, 3 insertions(+), 244 deletions(-)

commit 9c633dea5ac9089e47bbeeaa6e53ad05d287ffab
Author: James Henstridge <james@daa.com.au>
Date:   Wed Feb 19 04:23:22 2003 +0000

    AC_REQUIRE does not work within AU_DEFUN, so change to a simple call to
    
    2003-02-19  James Henstridge  <james@daa.com.au>
    
        * gnome-deprecated-macros.m4(GNOME_CHECK_CXX): AC_REQUIRE does not
        work within AU_DEFUN, so change to a simple call to AC_PROG_CXX.
    
    svn path=/trunk/; revision=2775

 macros2/ChangeLog                  | 5 +++++
 macros2/gnome-deprecated-macros.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit be8b7e06ae46cedac5ccb9e632480057fc5d9e74
Author: Jody Goldberg <jody@gnome.org>
Date:   Tue Feb 18 16:34:21 2003 +0000

    Don't depend on a file that James just deleted
    
    
    2003-02-18  Jody Goldberg <jody@gnome.org>
    
    	* configure.in : Don't depend on a file that James just deleted
    
    svn path=/trunk/; revision=2774

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit b19fe1b44aae2be82594ea8f2a35fabe6bdfe485
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Tue Feb 18 15:12:01 2003 +0000

    forgot to remove  this file.
    
    svn path=/trunk/; revision=2773

 macros2/gnome-platform.m4 | 37 -------------------------------------
 1 file changed, 37 deletions(-)

commit e4d093be993de45b46aef5201924ddda643e859a
Author: James Henstridge <james@daa.com.au>
Date:   Tue Feb 18 15:09:45 2003 +0000

    check to see if gnome-deprecated-macros.m4 ended up in aclocal.m4, and
    
    2003-02-18  James Henstridge  <james@daa.com.au>
    
        * autogen.sh (topdir): check to see if gnome-deprecated-macros.m4
        ended up in aclocal.m4, and warn if so.
    
        * gnome-platform.m4: kill this too (with a deprecation warning).
    
        * gnome-cxx-check.m4: move to gnome-deprecated-macros.m4
    
        * gnome-pkgconfig.m4: remove, and add a deprecation warning in its
        place.
    
        * gnome-x-checks.m4: remove, and add an AU_DEFUN in its place
        telling people not to use it.
    
        * linger.m4: removed outright.
    
        * gnome-common.m4: remove GNOME_GTKDOC_CHECK, deprecated in favour
        of GTK_DOC_CHECK.
    
        * gnome-gettext.m4: remove file (people should be using gettextize
        or glib-gettextize).
    
        * gnome-deprecated-macros.m4: new file to hold deprecated macros.
    
    svn path=/trunk/; revision=2768

 intl/.cvsignore                    |   4 +
 macros2/ChangeLog                  |  25 ++
 macros2/Makefile.am                |  14 +-
 macros2/autogen.sh                 | 455 ++++++++++++++++++++++---------------
 macros2/gnome-common.m4            |  22 --
 macros2/gnome-cxx-check.m4         |  10 -
 macros2/gnome-deprecated-macros.m4 |  32 +++
 macros2/gnome-gettext.m4           | 338 ---------------------------
 macros2/gnome-pkgconfig.m4         |  44 ----
 macros2/gnome-pthread-check.m4     |  16 --
 macros2/gnome-x-checks.m4          |  52 -----
 macros2/linger.m4                  |  28 ---
 12 files changed, 347 insertions(+), 693 deletions(-)

commit 6d8ccee455cde71467a2056530fe66f865219c0a
Author: Kalpesh Shah <kalpesh.shah@sun.com>
Date:   Fri Feb 14 15:07:48 2003 +0000

    initialize UTMP structure properly. Fixes Bug#93774. Patch reviewed by
    
    2003-02-14  Kalpesh Shah <kalpesh.shah@sun.com>
    
            * check-utmp.m4: initialize UTMP structure properly.
            Fixes Bug#93774.
            Patch reviewed by Andersca <andersca@gnu.org>
    
    svn path=/trunk/; revision=2766

 macros2/ChangeLog     | 6 ++++++
 macros2/check-utmp.m4 | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a4fc522b4035e39ec3dc9562db72d6809ebca6ac
Author: Joe Shaw <joeshaw@src.gnome.org>
Date:   Thu Jan 9 06:55:40 2003 +0000

    back out accidental commit
    
    svn path=/trunk/; revision=2710

 macros/autogen.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit ab47a40536f2be57007543e3e77d874f92eae2bc
Author: Joe Shaw <joeshaw@src.gnome.org>
Date:   Thu Jan 9 06:36:57 2003 +0000

    back out accidental commit
    
    svn path=/trunk/; revision=2709

 macros/autogen.sh | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit a7c95af6110ffe436fd904d5528ce42a4eeb23ed
Author: Jose Maria Celorio <chema@src.gnome.org>
Date:   Sat Dec 28 04:49:29 2002 +0000

    add missing .cvsignore entries
    
    svn path=/trunk/; revision=2686

 .cvsignore        | 1 +
 macros/.cvsignore | 1 +
 2 files changed, 2 insertions(+)

commit 108cca22d0ca11116496f6f6954128f876093fa7
Author: Jody Goldberg <jody@gnome.org>
Date:   Thu Dec 12 21:03:58 2002 +0000

    now that autoconf-2.52 is a prereq for things the build broke on the use
    
    
    2002-12-12  Jody Goldberg <jody@gnome.org>
    
    	* macros2/gnome-common.m4 (GNOME_DEBUG_CHECK) : now that autoconf-2.52
    	  is a prereq for things the build broke on the use of
    	      AC_DEFINE(GNOME_ENABLE_DEBUG)
    	  without the additional arguments. eg in libgnome
    
    svn path=/trunk/; revision=2678

 ChangeLog               | 7 +++++++
 macros2/gnome-common.m4 | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 87f2022e3dc0fdad24e231d7be790c954998adde
Author: Morten Welinder <mortenw@src.gnome.org>
Date:   Thu Dec 5 19:58:38 2002 +0000

    More white-space.
    
    svn path=/trunk/; revision=2662

 macros/ChangeLog | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit dfd831e26015ee0d4564f98c43d41809c3fcc0c8
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Wed Nov 27 15:27:07 2002 +0000

    Added missing quotes: PISOCK_LIBS="-lpisock -lpisync"
    
    2002-11-27  Stanislav Brabec  <sbrabec@suse.cz>
    
    	* gnome-pilot.m4: Added missing quotes:
    	PISOCK_LIBS="-lpisock -lpisync"
    
    svn path=/trunk/; revision=2658

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 21e7fe04052c2b48540f1be0841ea4af32d099fa
Author: Radek Doulik <rodo@src.gnome.org>
Date:   Wed Nov 6 16:33:24 2002 +0000

    reverted unwanted changes which slipped in while I moved gnome-2-port branch
    to gtkhtml/HEAD
    
    svn path=/trunk/; revision=2645

 macros/ChangeLog      | 21 +++++++++++++++++++++
 macros/autogen.sh     | 16 ++++++++--------
 macros/gnome-pilot.m4 | 24 ++++++++++++------------
 3 files changed, 41 insertions(+), 20 deletions(-)

commit 194bd24605add310cd420ac28ec4ef490c4a1071
Author: Radek Doulik <rodo@src.gnome.org>
Date:   Fri Nov 1 15:06:20 2002 +0000

    moving gnome-2-port branch to HEAD
    
    svn path=/trunk/; revision=2639

 macros/ChangeLog      | 21 ---------------------
 macros/autogen.sh     | 16 ++++++++--------
 macros/gnome-pilot.m4 | 24 ++++++++++++------------
 3 files changed, 20 insertions(+), 41 deletions(-)

commit 2ccc7bd6efdf612af41a9f22cb0901892e81aab3
Author: John Corwin <jcorwin@src.gnome.org>
Date:   Wed Oct 2 20:47:32 2002 +0000

    oops, didn't want to change that
    
    svn path=/trunk/; revision=2599

 macros/autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0679a0067e9b19a7f63163d13eaa0b30dfe3c1c0
Author: John Corwin <jcorwin@src.gnome.org>
Date:   Wed Oct 2 20:13:06 2002 +0000

    shouldn't need automake-1.4
    
    svn path=/trunk/; revision=2598

 macros/autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b0e7c25319e8a762920b16823fb515d08714c02
Author: Bastien Nocera <hadess@src.gnome.org>
Date:   Tue Sep 24 22:53:43 2002 +0000

    09-23  Bastien Nocera  <hadess@hadess.net>
    
            * autogen.sh: exit if aclocal, autoheader, automake or autoconf
    	fails to run without warnings. Usually compilation would fail
    	afterwards with funky errors.
    	This is more anal than the version committed to the gnome-2-0 branch
    
    svn path=/trunk/; revision=2597

 macros2/ChangeLog  |  7 +++++++
 macros2/autogen.sh | 47 +++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 50 insertions(+), 4 deletions(-)

commit c70fcf7c3b938c9d7f19544023a2c3dbab29bb04
Author: JP Rosevear <jpr@ximian.com>
Date:   Fri Sep 20 20:01:19 2002 +0000

    fix problem where -lpisync was not linked in if you didn't specify
    
    2002-09-20  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: fix problem where -lpisync was not linked in if
    	you didn't specify --with-pisock
    
    svn path=/trunk/; revision=2590

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit eee1fef91dc11f4f2c1b8bea288eb645834b366e
Author: JP Rosevear <jpr@ximian.com>
Date:   Mon Sep 16 17:31:50 2002 +0000

    Check for pilot-link 0.11.4
    
    2002-09-16  JP Rosevear  <jpr@ximian.com>
    
    	* configure.in: Check for pilot-link 0.11.4
    
    2002-09-16  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: check for pilot-link 0.11.4 by default
    
    svn path=/trunk/; revision=2582

 macros/ChangeLog      | 4 ++++
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a9808594810d12bca49b8dafd93bcca6efc47790
Author: JP Rosevear <jpr@src.gnome.org>
Date:   Mon Sep 16 17:08:10 2002 +0000

    Merging from branch.
    
    svn path=/trunk/; revision=2581

 macros/ChangeLog      | 4 ++++
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 13dd2c198881ffa8e0e6dbc63656c0216951db86
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun Sep 8 20:06:00 2002 +0000

    hardcode automake-1.4
    
    2002-09-08  Havoc Pennington  <hp@pobox.com>
    
    	* autogen.sh: hardcode automake-1.4
    
    svn path=/trunk/; revision=2572

 macros/ChangeLog  |  4 ++++
 macros/autogen.sh | 16 ++++++++--------
 2 files changed, 12 insertions(+), 8 deletions(-)

commit c6fb90580a37701293d5fbf05f8346367a4c62ab
Author: Carlos Garnacho Parro <garparr@teleline.es>
Date:   Tue Sep 3 22:30:35 2002 +0000

    Removed entry from ChangeLog file (sorry very much)
    
    2002-09-04  Carlos Garnacho Parro <garparr@teleline.es>
    
    	* Removed entry from ChangeLog file (sorry very much)
    
    svn path=/trunk/; revision=2570

 macros/ChangeLog | 8 --------
 1 file changed, 8 deletions(-)

commit da358b353220da470737660885b81036ee5bc138
Author: Carlos Garnacho Parro <garparr@teleline.es>
Date:   Tue Sep 3 17:20:17 2002 +0000

    Release 0.21.0 Changes
    
    2002-09-03  Carlos Garnacho Parro <garparr@teleline.es>
    
    	* Release 0.21.0 Changes
    
    svn path=/trunk/; revision=2569

commit b12229c837b195ec7501ec55d7150e3cead203f6
Author: Carlos Garnacho Parro <garparr@teleline.es>
Date:   Tue Sep 3 17:20:04 2002 +0000

    Release 0.21.0 Changes
    
    2002-09-03  Carlos Garnacho Parro <garparr@teleline.es>
    
    	* Release 0.21.0 Changes
    
    svn path=/trunk/; revision=2568

 macros/ChangeLog | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 7106522346863c0a1a4279d0dea99545c17fcc59
Author: Havoc Pennington <hp@pobox.com>
Date:   Sun Aug 18 22:23:29 2002 +0000

    hardcode aclocal-1.4/automake-1.4 so that users with both automake 1.6 and
    
    2002-08-18  Havoc Pennington  <hp@pobox.com>
    
    	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
    	both automake 1.6 and 1.4 installed get the right automake. Means
    	compilation from CVS will now require the latest automake 1.4
    	release, or manually creating symlinks called "automake-1.4" and
    	"aclocal-1.4"
    
    svn path=/trunk/; revision=2565

 macros2/ChangeLog  | 8 ++++++++
 macros2/autogen.sh | 9 +++++----
 2 files changed, 13 insertions(+), 4 deletions(-)

commit 319a8f2d20ad8aa83e7c2495558c915e555c692e
Author: Hidetoshi Tajima <tajima@src.gnome.org>
Date:   Tue Aug 13 06:54:00 2002 +0000

    	autogen.sh : use portable -o instead of GNU-ish -or for find test
    
    svn path=/trunk/; revision=2564

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit c88d561548c529c9d9e7428eaf8b9af30f657fdb
Author: Miles Lane <miles_lane@yahoo.com>
Date:   Mon Aug 12 07:35:14 2002 +0000

    fix the "find" test so that the presence of configure.in is reporteded.
    
    2002-08-10  Miles Lane  <miles_lane@yahoo.com>
    
    	* autogen.sh: fix the "find" test so that the presence of
    	  configure.in is reporteded.  Each expression requires its
    	  own -print flag.
    
    svn path=/trunk/; revision=2563

 macros2/ChangeLog  | 6 ++++++
 macros2/autogen.sh | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 5c24c70e10b30418a562cda2b79a41fa696b5ba5
Author: Sebastian Rittau <srittau@src.gnome.org>
Date:   Sat Aug 10 12:45:30 2002 +0000

    Added support for configure.ac.
    
    svn path=/trunk/; revision=2562

 macros2/ChangeLog  |  4 ++++
 macros2/autogen.sh | 31 ++++++++++++++++++++-----------
 2 files changed, 24 insertions(+), 11 deletions(-)

commit c81581c186792d605e56aeec8d4e5a4f8a00c772
Author: JP Rosevear <jpr@ximian.com>
Date:   Wed May 15 16:19:25 2002 +0000

    Fix quoting for AC_MSG_*
    
    2002-05-15  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: Fix quoting for AC_MSG_*
    
    svn path=/trunk/; revision=2442

 macros/ChangeLog      |  4 ++++
 macros/gnome-pilot.m4 | 16 ++++++++--------
 2 files changed, 12 insertions(+), 8 deletions(-)

commit 9a7d203157be47cfedbb18196baae4ea7c38c08b
Author: Chema Celorio <chema@celorio.com>
Date:   Fri May 10 20:19:07 2002 +0000

    fix GNOME_COMPILE_WARNINGS to work when a parameter is passed. The
    
    2002-05-10  Chema Celorio  <chema@celorio.com>
    
    	* compiler-flags.m4: fix GNOME_COMPILE_WARNINGS to work when a parameter is
    	passed. The arguments to AC_ARG_ENABLE where swapped
    
    svn path=/trunk/; revision=2441

 macros2/ChangeLog         | 5 +++++
 macros2/compiler-flags.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit a7b05a303efd62c4377d18bc9c08c4125bdc696e
Author: jacob berkman <jacob@ximian.com>
Date:   Mon Apr 1 23:11:04 2002 +0000

    kill bogus clearing of LDFLAGS
    
    2002-04-01  jacob berkman  <jacob@ximian.com>
    
    	* gnome-x-checks.m4 (GNOME2_X_CHECKS): kill bogus clearing of
    	LDFLAGS
    
    svn path=/trunk/; revision=2435

 macros2/ChangeLog         | 5 +++++
 macros2/gnome-x-checks.m4 | 1 -
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 251a1525db302d0b30e0529d3752202e4706d35a
Author: Sebastian Rittau <srittau@src.gnome.org>
Date:   Sun Mar 10 15:35:38 2002 +0000

    Distribute gnome-pilot.m4.
    
    svn path=/trunk/; revision=2354

 macros/ChangeLog   | 5 +++++
 macros/Makefile.am | 1 +
 2 files changed, 6 insertions(+)

commit 1e43e0a712106befd334a726a8b73a501e171387
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:   Thu Mar 7 23:32:32 2002 +0000

    Shh again
    
    svn path=/trunk/; revision=2350

 macros/.cvsignore | 2 ++
 1 file changed, 2 insertions(+)

commit 3a9f714fb082cc050888d5e6dca7f4e0aca81a07
Author: Dan Winship <danw@src.gnome.org>
Date:   Tue Mar 5 16:58:34 2002 +0000

    oops. not these two
    
    svn path=/trunk/; revision=2349

 macros/Makefile    | 345 -----------------------------------------------------
 macros/Makefile.in | 345 -----------------------------------------------------
 2 files changed, 690 deletions(-)

commit bef442d6ae99db3e3a4e1c2f026c97cd813b41d6
Author: Dan Winship <danw@src.gnome.org>
Date:   Tue Mar 5 16:57:29 2002 +0000

    I'm not dead yet!
    
    svn path=/trunk/; revision=2345

 macros/ChangeLog              | 1202 +++++++++++++++++++++++++++++++++++++++++
 macros/Makefile               |  345 ++++++++++++
 macros/Makefile.am            |   42 ++
 macros/Makefile.in            |  345 ++++++++++++
 macros/README.cvs-commits     |   13 +
 macros/aclocal-include.m4     |   16 +
 macros/autogen.sh             |  207 +++++++
 macros/compiler-flags.m4      |  109 ++++
 macros/curses.m4              |  318 +++++++++++
 macros/gnome-bonobo-check.m4  |  166 ++++++
 macros/gnome-common.m4        |   14 +
 macros/gnome-cxx-check.m4     |   10 +
 macros/gnome-fileutils.m4     |  414 ++++++++++++++
 macros/gnome-gettext.m4       |  338 ++++++++++++
 macros/gnome-ghttp-check.m4   |   14 +
 macros/gnome-gnorba-check.m4  |   35 ++
 macros/gnome-guile-checks.m4  |  134 +++++
 macros/gnome-libgtop-check.m4 |  217 ++++++++
 macros/gnome-objc-checks.m4   |   83 +++
 macros/gnome-orbit-check.m4   |   33 ++
 macros/gnome-pilot.m4         |  213 ++++++++
 macros/gnome-print-check.m4   |   63 +++
 macros/gnome-pthread-check.m4 |   18 +
 macros/gnome-support.m4       |   68 +++
 macros/gnome-undelfs.m4       |   22 +
 macros/gnome-vfs.m4           |  126 +++++
 macros/gnome-x-checks.m4      |   80 +++
 macros/gnome-xml-check.m4     |   32 ++
 macros/gnome.m4               |  130 +++++
 macros/gperf-check.m4         |   79 +++
 macros/linger.m4              |   28 +
 macros/need-declaration.m4    |   42 ++
 macros/psiconv.m4             |   53 ++
 33 files changed, 5009 insertions(+)

commit fa9f9f29a7a287c1e8a4a8f00cbba0389264577e
Author: Tov Are Jacobsen <charles@src.gnome.org>
Date:   Tue Mar 5 16:20:39 2002 +0000

    These macros aren't needed in gnome2
    
    
    These macros aren't needed in gnome2
    
    svn path=/trunk/; revision=2344

 macros/.cvsignore             |    7 -
 macros/ChangeLog              | 1202 -----------------------------------------
 macros/Makefile.am            |   42 --
 macros/README.cvs-commits     |   13 -
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  207 -------
 macros/compiler-flags.m4      |  109 ----
 macros/curses.m4              |  318 -----------
 macros/gnome-bonobo-check.m4  |  166 ------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 --------------
 macros/gnome-gettext.m4       |  338 ------------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  134 -----
 macros/gnome-libgtop-check.m4 |  217 --------
 macros/gnome-objc-checks.m4   |   83 ---
 macros/gnome-orbit-check.m4   |   33 --
 macros/gnome-pilot.m4         |  213 --------
 macros/gnome-print-check.m4   |   63 ---
 macros/gnome-pthread-check.m4 |   18 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   22 -
 macros/gnome-vfs.m4           |  126 -----
 macros/gnome-x-checks.m4      |   80 ---
 macros/gnome-xml-check.m4     |   32 --
 macros/gnome.m4               |  130 -----
 macros/gperf-check.m4         |   79 ---
 macros/linger.m4              |   28 -
 macros/need-declaration.m4    |   42 --
 macros/psiconv.m4             |   53 --
 32 files changed, 4326 deletions(-)

commit 20635edcc0fce58eaa51252496ca0d68e996eb9e
Author: Hilarie Fernandes/DrGenius <hilaire@src.gnome.org>
Date:   Mon Mar 4 12:45:56 2002 +0000

    Add documentation for Dr. Genius
    
    svn path=/trunk/; revision=2342

 intl/ChangeLog      |  4 ++--
 intl/Makefile.in    | 23 ++++++++++++-----------
 intl/VERSION        |  2 +-
 intl/bindtextdom.c  | 17 +++++++++--------
 intl/config.charset | 14 +++++++-------
 intl/dcgettext.c    | 17 +++++++++--------
 intl/dcigettext.c   | 18 ++++++++++--------
 intl/dcngettext.c   | 17 +++++++++--------
 intl/dgettext.c     | 17 +++++++++--------
 intl/dngettext.c    | 17 +++++++++--------
 intl/explodename.c  | 17 +++++++++--------
 intl/finddomain.c   | 17 +++++++++--------
 intl/gettext.c      | 17 +++++++++--------
 intl/gettext.h      | 17 +++++++++--------
 intl/gettextP.h     | 17 +++++++++--------
 intl/hash-string.h  | 17 +++++++++--------
 intl/intl-compat.c  | 27 ++++++++++++++-------------
 intl/l10nflist.c    | 17 +++++++++--------
 intl/libgettext.h   | 17 +++++++++--------
 intl/libgnuintl.h   | 17 +++++++++--------
 intl/loadinfo.h     | 17 +++++++++--------
 intl/loadmsgcat.c   | 17 +++++++++--------
 intl/localcharset.c |  4 ++--
 intl/locale.alias   | 19 ++++++++++---------
 intl/localealias.c  | 17 +++++++++--------
 intl/ngettext.c     | 17 +++++++++--------
 intl/plural.c       | 51 ++++++++++++++++++++++++++-------------------------
 intl/plural.y       | 17 +++++++++--------
 intl/textdomain.c   | 17 +++++++++--------
 29 files changed, 264 insertions(+), 238 deletions(-)

commit 5e4b55af036109cdc3118b6f459437d99c0f97e9
Author: Morten Welinder <mortenw@src.gnome.org>
Date:   Wed Feb 13 20:52:39 2002 +0000

    Kill bashisms as discussed.
    
    svn path=/trunk/; revision=2341

 macros2/autogen.sh         | 3 ++-
 macros2/gnome-pkgconfig.m4 | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit e8c33a0c0f2aa980e798db0594a823c697c10cb5
Author: Jose Maria Celorio <chema@src.gnome.org>
Date:   Sun Feb 10 21:10:16 2002 +0000

    add a ChangeLog entry about the port, use libglade-convert on the glade files
    
    svn path=/trunk/; revision=2307

commit 4d8dfd008c0d97744541cdc1ca338f02643fbc86
Author: Jose Maria Celorio <chema@src.gnome.org>
Date:   Sun Feb 10 21:10:00 2002 +0000

    add a ChangeLog entry about the port, use libglade-convert on the glade files
    
    svn path=/trunk/; revision=2306

 macros/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit b5be92c04ddc32da7ba04859e67c6aacd8e27990
Author: Jose Maria Celorio <chema@src.gnome.org>
Date:   Fri Feb 8 19:17:45 2002 +0000

    0.12.0 here we go
    
    svn path=/trunk/; revision=2298

commit 1fe41eea48f367ee033a006b478a7ecd23900700
Author: Jose Maria Celorio <chema@src.gnome.org>
Date:   Fri Feb 8 19:17:36 2002 +0000

    0.12.0 here we go
    
    svn path=/trunk/; revision=2296

 macros/ChangeLog | 3 +++
 1 file changed, 3 insertions(+)

commit c3bb443c9c747e11eaec24a6ac342dcb31ac52f0
Author: Morten Welinder <mortenw@src.gnome.org>
Date:   Mon Jan 28 16:51:06 2002 +0000

    One line of code in the file; one bug.
    No bugzilla module to report bugs.
    Author hasn't shown up on irc for months.
    /me chances it and commits.
    
    svn path=/trunk/; revision=2295

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d682494a37adf10a8b89dac28acd0fecb8646a7b
Author: Carlos Perelló Marín <carlos@gnome-db.org>
Date:   Sun Jan 20 13:41:39 2002 +0000

    Readded.
    
    2002-01-20  Carlos Perelló Marín <carlos@gnome-db.org>
    
    	* ChangeLog: Readded.
    
    svn path=/trunk/; revision=2249

 macros/ChangeLog | 1195 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1195 insertions(+)

commit 45ad86ccbb8fdd0e3af9f82801e9927e6fff9f4c
Author: Rodrigo Moya <rodrigo@src.gnome.org>
Date:   Sun Jan 20 12:44:19 2002 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=2248

 macros/ChangeLog | 1195 ------------------------------------------------------
 1 file changed, 1195 deletions(-)

commit 66a89dcb90df9fb8d3b754ba8ecdaef25af2b681
Author: Darin Adler <darin@src.gnome.org>
Date:   Fri Jan 18 18:34:18 2002 +0000

    Add change marker, get rid of hack-macros.
    
    svn path=/trunk/; revision=2246

 hack-macros/gnome.m4           | 474 -----------------------------------------
 hack-macros/nautilus-macros.m4 | 224 -------------------
 2 files changed, 698 deletions(-)

commit 5d3e1d18a78a4e758f0dd2aafd3cb8510cc20fb4
Author: Israel Escalante <israel@src.gnome.org>
Date:   Fri Dec 14 04:59:04 2001 +0000

    0.10.0 here we go!
    
    svn path=/trunk/; revision=2197

commit 58f2dd57513db3a739a9758f94554df879e119e6
Author: Israel Escalante <israel@src.gnome.org>
Date:   Fri Dec 14 04:58:54 2001 +0000

    0.10.0 here we go!
    
    svn path=/trunk/; revision=2196

 macros/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit a83063f0ca69ddb46e78021f20a8e831839acdb4
Author: Anders Carlsson <andersca@gnu.org>
Date:   Tue Dec 11 18:05:23 2001 +0000

    Up to 1.2.4.
    
    2001-12-11  Anders Carlsson  <andersca@gnu.org>
    
    	* configure.in: Up to 1.2.4.
    
    svn path=/trunk/; revision=2187

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 0de1aa0ccfeab11400b0f6f35e1d7e0e73d9d88d
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Wed Dec 5 04:54:00 2001 +0000

    back again !!!
    
    svn path=/trunk/; revision=2174

 macros/.cvsignore             |    7 +
 macros/ChangeLog              | 1191 +++++++++++++++++++++++++++++++++++++++++
 macros/Makefile.am            |   42 ++
 macros/README.cvs-commits     |   13 +
 macros/aclocal-include.m4     |   16 +
 macros/autogen.sh             |  207 +++++++
 macros/compiler-flags.m4      |  109 ++++
 macros/curses.m4              |  318 +++++++++++
 macros/gnome-bonobo-check.m4  |  166 ++++++
 macros/gnome-common.m4        |   14 +
 macros/gnome-cxx-check.m4     |   10 +
 macros/gnome-fileutils.m4     |  414 ++++++++++++++
 macros/gnome-gettext.m4       |  338 ++++++++++++
 macros/gnome-ghttp-check.m4   |   14 +
 macros/gnome-gnorba-check.m4  |   35 ++
 macros/gnome-guile-checks.m4  |  134 +++++
 macros/gnome-libgtop-check.m4 |  217 ++++++++
 macros/gnome-objc-checks.m4   |   83 +++
 macros/gnome-orbit-check.m4   |   33 ++
 macros/gnome-pilot.m4         |  213 ++++++++
 macros/gnome-print-check.m4   |   63 +++
 macros/gnome-pthread-check.m4 |   18 +
 macros/gnome-support.m4       |   68 +++
 macros/gnome-undelfs.m4       |   22 +
 macros/gnome-vfs.m4           |  126 +++++
 macros/gnome-x-checks.m4      |   80 +++
 macros/gnome-xml-check.m4     |   32 ++
 macros/gnome.m4               |  130 +++++
 macros/gperf-check.m4         |   79 +++
 macros/linger.m4              |   28 +
 macros/need-declaration.m4    |   42 ++
 macros/psiconv.m4             |   53 ++
 32 files changed, 4315 insertions(+)

commit 1e3512c8764cf5f73f6d576124bc6718e63506c1
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Wed Dec 5 03:46:40 2001 +0000

    welcome back intl (again)
    
    Note to self.  Use:
      cvs update -j HEAD -j before-delete .
    rather than:
      cvs update -j before-delete .
    
    svn path=/trunk/; revision=2173

 intl/ChangeLog          |    4 +
 intl/Makefile.in        |  312 +++++++++++
 intl/README.cvs-commits |   13 +
 intl/VERSION            |    1 +
 intl/bindtextdom.c      |  368 +++++++++++++
 intl/cat-compat.c       |  262 ++++++++++
 intl/config.charset     |  438 ++++++++++++++++
 intl/dcgettext.c        |   57 ++
 intl/dcigettext.c       | 1257 ++++++++++++++++++++++++++++++++++++++++++++
 intl/dcngettext.c       |   59 +++
 intl/dgettext.c         |   58 +++
 intl/dngettext.c        |   60 +++
 intl/explodename.c      |  191 +++++++
 intl/finddomain.c       |  197 +++++++
 intl/gettext.c          |   63 +++
 intl/gettext.h          |  101 ++++
 intl/gettextP.h         |  251 +++++++++
 intl/hash-string.h      |   58 +++
 intl/intl-compat.c      |  165 ++++++
 intl/intlh.inst.in      |  111 ++++
 intl/l10nflist.c        |  404 +++++++++++++++
 intl/libgettext.h       |   48 ++
 intl/libgnuintl.h       |  127 +++++
 intl/libintl.glibc      |  111 ++++
 intl/linux-msg.sed      |  100 ++++
 intl/loadinfo.h         |  108 ++++
 intl/loadmsgcat.c       |  566 ++++++++++++++++++++
 intl/localcharset.c     |  271 ++++++++++
 intl/locale.alias       |   77 +++
 intl/localealias.c      |  403 ++++++++++++++
 intl/ngettext.c         |   67 +++
 intl/plural.c           | 1325 +++++++++++++++++++++++++++++++++++++++++++++++
 intl/plural.y           |  412 +++++++++++++++
 intl/po2tbl.sed.in      |  102 ++++
 intl/ref-add.sin        |   31 ++
 intl/ref-del.sin        |   26 +
 intl/textdomain.c       |  141 +++++
 intl/xopen-msg.sed      |  104 ++++
 38 files changed, 8449 insertions(+)

commit 83ad7a54f7caf13e0a753c5d4f3d11fc4cc019fb
Author: gfarris <gfarris@src.gnome.org>
Date:   Tue Dec 4 20:55:41 2001 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=2172

 intl/ChangeLog                |    4 -
 intl/Makefile.in              |  312 ----------
 intl/README.cvs-commits       |   13 -
 intl/VERSION                  |    1 -
 intl/bindtextdom.c            |  368 ------------
 intl/cat-compat.c             |  262 --------
 intl/config.charset           |  438 --------------
 intl/dcgettext.c              |   57 --
 intl/dcigettext.c             | 1257 --------------------------------------
 intl/dcngettext.c             |   59 --
 intl/dgettext.c               |   58 --
 intl/dngettext.c              |   60 --
 intl/explodename.c            |  191 ------
 intl/finddomain.c             |  197 ------
 intl/gettext.c                |   63 --
 intl/gettext.h                |  101 ----
 intl/gettextP.h               |  251 --------
 intl/hash-string.h            |   58 --
 intl/intl-compat.c            |  165 -----
 intl/intlh.inst.in            |  111 ----
 intl/l10nflist.c              |  404 -------------
 intl/libgettext.h             |   48 --
 intl/libgnuintl.h             |  127 ----
 intl/libintl.glibc            |  111 ----
 intl/linux-msg.sed            |  100 ----
 intl/loadinfo.h               |  108 ----
 intl/loadmsgcat.c             |  566 ------------------
 intl/localcharset.c           |  271 ---------
 intl/locale.alias             |   77 ---
 intl/localealias.c            |  403 -------------
 intl/ngettext.c               |   67 ---
 intl/plural.c                 | 1325 -----------------------------------------
 intl/plural.y                 |  412 -------------
 intl/po2tbl.sed.in            |  102 ----
 intl/ref-add.sin              |   31 -
 intl/ref-del.sin              |   26 -
 intl/textdomain.c             |  141 -----
 intl/xopen-msg.sed            |  104 ----
 macros/ChangeLog              | 1191 ------------------------------------
 macros/Makefile.am            |   42 --
 macros/README.cvs-commits     |   13 -
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  207 -------
 macros/compiler-flags.m4      |  109 ----
 macros/curses.m4              |  318 ----------
 macros/gnome-bonobo-check.m4  |  166 ------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 -------------
 macros/gnome-gettext.m4       |  338 -----------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  134 -----
 macros/gnome-libgtop-check.m4 |  217 -------
 macros/gnome-objc-checks.m4   |   83 ---
 macros/gnome-orbit-check.m4   |   33 -
 macros/gnome-pilot.m4         |  213 -------
 macros/gnome-print-check.m4   |   63 --
 macros/gnome-pthread-check.m4 |   18 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   22 -
 macros/gnome-vfs.m4           |  126 ----
 macros/gnome-x-checks.m4      |   80 ---
 macros/gnome-xml-check.m4     |   32 -
 macros/gnome.m4               |  130 ----
 macros/gperf-check.m4         |   79 ---
 macros/linger.m4              |   28 -
 macros/need-declaration.m4    |   42 --
 macros/psiconv.m4             |   53 --
 69 files changed, 12757 deletions(-)

commit 401d7131668c6acf5be239aa375418bf96c8fa32
Author: James Henstridge <jamesh@src.gnome.org>
Date:   Tue Dec 4 05:43:50 2001 +0000

    fix up gfarris's mistaken commit to gnome-common (revert to yesterday's versions)
    
    svn path=/trunk/; revision=2170

 intl/ChangeLog                |    4 +
 intl/Makefile.in              |  312 ++++++++++
 intl/README.cvs-commits       |   13 +
 intl/VERSION                  |    1 +
 intl/bindtextdom.c            |  368 ++++++++++++
 intl/cat-compat.c             |  262 ++++++++
 intl/config.charset           |  438 ++++++++++++++
 intl/dcgettext.c              |   57 ++
 intl/dcigettext.c             | 1257 ++++++++++++++++++++++++++++++++++++++
 intl/dcngettext.c             |   59 ++
 intl/dgettext.c               |   58 ++
 intl/dngettext.c              |   60 ++
 intl/explodename.c            |  191 ++++++
 intl/finddomain.c             |  197 ++++++
 intl/gettext.c                |   63 ++
 intl/gettext.h                |  101 ++++
 intl/gettextP.h               |  251 ++++++++
 intl/hash-string.h            |   58 ++
 intl/intl-compat.c            |  165 +++++
 intl/intlh.inst.in            |  111 ++++
 intl/l10nflist.c              |  404 +++++++++++++
 intl/libgettext.h             |   48 ++
 intl/libgnuintl.h             |  127 ++++
 intl/libintl.glibc            |  111 ++++
 intl/linux-msg.sed            |  100 ++++
 intl/loadinfo.h               |  108 ++++
 intl/loadmsgcat.c             |  566 ++++++++++++++++++
 intl/localcharset.c           |  271 +++++++++
 intl/locale.alias             |   77 +++
 intl/localealias.c            |  403 +++++++++++++
 intl/ngettext.c               |   67 +++
 intl/plural.c                 | 1325 +++++++++++++++++++++++++++++++++++++++++
 intl/plural.y                 |  412 +++++++++++++
 intl/po2tbl.sed.in            |  102 ++++
 intl/ref-add.sin              |   31 +
 intl/ref-del.sin              |   26 +
 intl/textdomain.c             |  141 +++++
 intl/xopen-msg.sed            |  104 ++++
 macros/ChangeLog              | 1191 ++++++++++++++++++++++++++++++++++++
 macros/Makefile.am            |   42 ++
 macros/README.cvs-commits     |   13 +
 macros/aclocal-include.m4     |   16 +
 macros/autogen.sh             |  207 +++++++
 macros/compiler-flags.m4      |  109 ++++
 macros/curses.m4              |  318 ++++++++++
 macros/gnome-bonobo-check.m4  |  166 ++++++
 macros/gnome-common.m4        |   14 +
 macros/gnome-cxx-check.m4     |   10 +
 macros/gnome-fileutils.m4     |  414 +++++++++++++
 macros/gnome-gettext.m4       |  338 +++++++++++
 macros/gnome-ghttp-check.m4   |   14 +
 macros/gnome-gnorba-check.m4  |   35 ++
 macros/gnome-guile-checks.m4  |  134 +++++
 macros/gnome-libgtop-check.m4 |  217 +++++++
 macros/gnome-objc-checks.m4   |   83 +++
 macros/gnome-orbit-check.m4   |   33 +
 macros/gnome-pilot.m4         |  213 +++++++
 macros/gnome-print-check.m4   |   63 ++
 macros/gnome-pthread-check.m4 |   18 +
 macros/gnome-support.m4       |   68 +++
 macros/gnome-undelfs.m4       |   22 +
 macros/gnome-vfs.m4           |  126 ++++
 macros/gnome-x-checks.m4      |   80 +++
 macros/gnome-xml-check.m4     |   32 +
 macros/gnome.m4               |  130 ++++
 macros/gperf-check.m4         |   79 +++
 macros/linger.m4              |   28 +
 macros/need-declaration.m4    |   42 ++
 macros/psiconv.m4             |   53 ++
 69 files changed, 12757 insertions(+)

commit f10cfd3363be0389f7accd6b312fcbbd18b6ab72
Author: gfarris <gfarris@src.gnome.org>
Date:   Tue Dec 4 04:46:41 2001 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=2169

 intl/.cvsignore               |    4 -
 intl/ChangeLog                |    4 -
 intl/Makefile.in              |  312 ----------
 intl/README.cvs-commits       |   13 -
 intl/VERSION                  |    1 -
 intl/bindtextdom.c            |  368 ------------
 intl/cat-compat.c             |  262 --------
 intl/config.charset           |  438 --------------
 intl/dcgettext.c              |   57 --
 intl/dcigettext.c             | 1257 --------------------------------------
 intl/dcngettext.c             |   59 --
 intl/dgettext.c               |   58 --
 intl/dngettext.c              |   60 --
 intl/explodename.c            |  191 ------
 intl/finddomain.c             |  197 ------
 intl/gettext.c                |   63 --
 intl/gettext.h                |  101 ----
 intl/gettextP.h               |  251 --------
 intl/hash-string.h            |   58 --
 intl/intl-compat.c            |  165 -----
 intl/intlh.inst.in            |  111 ----
 intl/l10nflist.c              |  404 -------------
 intl/libgettext.h             |   48 --
 intl/libgnuintl.h             |  127 ----
 intl/libintl.glibc            |  111 ----
 intl/linux-msg.sed            |  100 ----
 intl/loadinfo.h               |  108 ----
 intl/loadmsgcat.c             |  566 ------------------
 intl/localcharset.c           |  271 ---------
 intl/locale.alias             |   77 ---
 intl/localealias.c            |  403 -------------
 intl/ngettext.c               |   67 ---
 intl/plural.c                 | 1325 -----------------------------------------
 intl/plural.y                 |  412 -------------
 intl/po2tbl.sed.in            |  102 ----
 intl/ref-add.sin              |   31 -
 intl/ref-del.sin              |   26 -
 intl/textdomain.c             |  141 -----
 intl/xopen-msg.sed            |  104 ----
 macros/.cvsignore             |    7 -
 macros/ChangeLog              | 1191 ------------------------------------
 macros/Makefile.am            |   42 --
 macros/README.cvs-commits     |   13 -
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  207 -------
 macros/compiler-flags.m4      |  109 ----
 macros/curses.m4              |  318 ----------
 macros/gnome-bonobo-check.m4  |  166 ------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 -------------
 macros/gnome-gettext.m4       |  338 -----------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  134 -----
 macros/gnome-libgtop-check.m4 |  217 -------
 macros/gnome-objc-checks.m4   |   83 ---
 macros/gnome-orbit-check.m4   |   33 -
 macros/gnome-pilot.m4         |  213 -------
 macros/gnome-print-check.m4   |   63 --
 macros/gnome-pthread-check.m4 |   18 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   22 -
 macros/gnome-vfs.m4           |  126 ----
 macros/gnome-x-checks.m4      |   80 ---
 macros/gnome-xml-check.m4     |   32 -
 macros/gnome.m4               |  130 ----
 macros/gperf-check.m4         |   79 ---
 macros/linger.m4              |   28 -
 macros/need-declaration.m4    |   42 --
 macros/psiconv.m4             |   53 --
 71 files changed, 12768 deletions(-)

commit ff6920f8c90d31dd70674f5f6ec756b58376cfb9
Author: Sebastian Rittau <srittau@src.gnome.org>
Date:   Wed Nov 28 01:38:38 2001 +0000

    Fixed a typo: inlude -> include
    
            * gnome-pilot.m4 (PILOT_LINK_HOOK):
            Fixed a typo: inlude -> include
    
    svn path=/trunk/; revision=2152

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit b48f389cb5133a429cdacc8cd8c8b1f2de1e80c4
Author: Jacob Berkman <jberkman@src.gnome.org>
Date:   Mon Oct 29 17:17:18 2001 +0000

    Add glib-gettextize and GETTEXT_PACKAGE support throughout.  please see ChangeLog, gnome-2-0-list@, or gnome-hackers@ for details
    
    svn path=/trunk/; revision=2148

 macros2/ChangeLog  |  4 ++++
 macros2/autogen.sh | 51 ++++++++++++++++++++++++++++++---------------------
 2 files changed, 34 insertions(+), 21 deletions(-)

commit 2791868fb8f39c4e0aea730f691671c68dec4a84
Author: jacob berkman <jacob@ximian.com>
Date:   Wed Oct 24 22:17:05 2001 +0000

    do a test that is not only always false, but works with autoconf 2.52 and
    
    2001-10-24  jacob berkman  <jacob@ximian.com>
    
    	* aclocal-include.m4 (AM_ACLOCAL_INCLUDE): do a test that is not
    	only always false, but works with autoconf 2.52 and isn't trying
    	to be too smart
    
    svn path=/trunk/; revision=2057

 macros/ChangeLog          | 6 ++++++
 macros/aclocal-include.m4 | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f7127f4a7b6fde1d005e98d635f2932aee8e3274
Author: Bastien Nocera <hadess@src.gnome.org>
Date:   Mon Oct 15 15:28:59 2001 +0000

    - added curses.m4 (copied from the gnome1 macros). this file is needed to gdialog
    
    svn path=/trunk/; revision=2054

 macros2/ChangeLog   |   5 +
 macros2/Makefile.am |   2 +-
 macros2/curses.m4   | 318 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 324 insertions(+), 1 deletion(-)

commit 7842363032dd621ce3485a0059da7ddab20d36da
Author: Darin Adler <darin@src.gnome.org>
Date:   Tue Oct 2 19:20:02 2001 +0000

    Complete intltool support.
    
    	* autogen.sh: Complete intltool support.
    
    svn path=/trunk/; revision=2013

 macros/ChangeLog   | 4 ++++
 macros/autogen.sh  | 8 ++++++--
 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 6 +++++-
 4 files changed, 19 insertions(+), 3 deletions(-)

commit 31ef748bbdf8777c81dbc4b98ee17be03619ef4f
Author: Darin Adler <darin@src.gnome.org>
Date:   Tue Oct 2 19:08:17 2001 +0000

    Add intltool support.
    
    	* autogen.sh: Add intltool support.
    
    svn path=/trunk/; revision=2012

 macros2/ChangeLog  |  4 ++++
 macros2/autogen.sh | 16 +++++++++++++---
 2 files changed, 17 insertions(+), 3 deletions(-)

commit 0a13b91e4d6012c8bf167aee3a84a1693662f62b
Author: Darin Adler <darin@src.gnome.org>
Date:   Tue Oct 2 19:03:43 2001 +0000

    Add intltool support.
    
    svn path=/trunk/; revision=2011

 macros/ChangeLog  |  4 ++++
 macros/autogen.sh | 14 ++++++++++++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 89ce9c3f6c75d8fc82d63a543f7144aab70fecbb
Author: Glynn Foster <glynn.foster@sun.com>
Date:   Thu Sep 20 13:47:26 2001 +0000

    replaced GNOME_PKGCONFIG_CHECK_MODULES with PKG_CHECK_MODULES
    
    2001-09-20 Glynn Foster <glynn.foster@sun.com>
    
    	* macros2/gnome-x-checks.m4: replaced
    	GNOME_PKGCONFIG_CHECK_MODULES with  PKG_CHECK_MODULES
    
    svn path=/trunk/; revision=2010

 ChangeLog                 | 5 +++++
 macros2/gnome-x-checks.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 2cc150d4ea46d5e01b1f0f0bb856a2695ae1dc5a
Author: Eskil Heyn Olsen <eskil@eskil.dk>
Date:   Mon Sep 17 04:32:38 2001 +0000

    PISOCK_CFLAGS no longer contains pilot-link version.
    
    2001-09-16  Eskil Heyn Olsen  <eskil@eskil.dk>
    
            * gnome-pilot.m4:
            PISOCK_CFLAGS no longer contains pilot-link version.
    
    svn path=/trunk/; revision=1978

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

commit c60663f6e3604ed33608b195004a473f90f425fe
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Mon Sep 10 00:42:32 2001 +0000

    Stuff to check version of gnome-pilot
    
    
            * gnome-pilot.m4:
            Stuff to check version of gnome-pilot
    
    svn path=/trunk/; revision=1974

 macros/ChangeLog      |  5 ++++
 macros/gnome-pilot.m4 | 66 ++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 65 insertions(+), 6 deletions(-)

commit 0d1b68492c8d8eae4734c798f2f4b006a262e19e
Author: Frank Belew (Myth) <frb@src.gnome.org>
Date:   Tue Sep 4 19:03:58 2001 +0000

    change gettext regexp to work with non-gnu grep
    
    * autogen.sh: change gettext regexp to work with non-gnu grep
    
    svn path=/trunk/; revision=1973

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit c30124c50e008c47f4b89dfe31c1241e2cd7647c
Author: George Lebl <jirka@src.gnome.org>
Date:   Mon Sep 3 08:26:09 2001 +0000

    Shut up CVS -George
    
    Shut up CVS
    -George
    
    svn path=/trunk/; revision=1969

 macros/.cvsignore | 1 +
 1 file changed, 1 insertion(+)

commit a5484729871530d436e7ea4fc7ce29600635f225
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Mon Aug 20 15:43:30 2001 +0000

    Specify additional includes when testing for ext2fs/ext2fs.h.
    
    * gnome-undelfs.m4 (GNOME_UNDELFS_CHECKS): Specify additional
    includes when testing for ext2fs/ext2fs.h.
    
    svn path=/trunk/; revision=1945

 macros/ChangeLog        | 3 +++
 macros/gnome-undelfs.m4 | 8 +++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit bc24ef92030b2f666185b1fa66531b6f01290524
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Mon Aug 20 08:00:31 2001 +0000

    Specify additional includes when testing for rpc/pmap_clnt.h. Needed for
    
    * gnome-vfs.m4 (GNOME_WITH_VFS): Specify additional includes
    when testing for rpc/pmap_clnt.h.  Needed for Autoconf 2.50+
    only - older versions don't try to compile headers and ignore
    this argument.
    
    svn path=/trunk/; revision=1944

 macros/ChangeLog    | 7 +++++++
 macros/gnome-vfs.m4 | 8 +++++++-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 620f647cfea0d1ff5347accc2cd2679cb57c5bbc
Author: Darin Adler <darin@src.gnome.org>
Date:   Sat Aug 18 20:48:43 2001 +0000

    Don't ask people to ignore xml-i18n-tools messages.
    
    	* autogen.sh: Don't ask people to ignore xml-i18n-tools messages.
    
    svn path=/trunk/; revision=1943

 macros2/ChangeLog  | 4 ++++
 macros2/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 3d1f9c68df32574ce2b0c60459fa205f875f887f
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Tue Aug 14 00:39:18 2001 +0000

    Replace "Can't" with "Cannot" in a comment.
    
    svn path=/trunk/; revision=1940

 macros/gnome-fileutils.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77674e63a48f51e40b9975c21ac0a1107b4b2a97
Author: Darin Adler <darin@src.gnome.org>
Date:   Sat Aug 4 19:34:08 2001 +0000

    Update gettext logic to allow anything that starts with AM and ends with
    
    	* autogen.sh: Update gettext logic to allow anything that
    	starts with AM and ends with gettext. This makes it work with
    	AM_GLIB_GNU_GETTEXT, which is what libbonobo is now using.
    
    svn path=/trunk/; revision=1939

 macros2/ChangeLog  |  6 ++++++
 macros2/autogen.sh | 23 ++---------------------
 2 files changed, 8 insertions(+), 21 deletions(-)

commit 49cce413c7eb5507ae706b796836f16bb456709d
Author: Darin Adler <darin@src.gnome.org>
Date:   Sat Aug 4 19:29:35 2001 +0000

    Ignore generated .dep file.
    
    	* .cvsignore: Ignore generated .dep file.
    
    svn path=/trunk/; revision=1910

 macros/.cvsignore | 1 +
 macros/ChangeLog  | 4 ++++
 2 files changed, 5 insertions(+)

commit c5b6784fbdab9d25505cfd2625c4485b71ca4fa4
Author: Andrew Hughes Chatham <chatham@src.gnome.org>
Date:   Fri Aug 3 22:36:03 2001 +0000

    Adding cvsignore files
    
    svn path=/trunk/; revision=1906

 macros/.cvsignore | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6fbd99b522f4287f65c5e86767263e767f47ab77
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Aug 3 19:32:55 2001 +0000

    Removed. (GNOME_PKGCONFIG_CHECK_CFLAG): Removed.
    
    2001-08-03  Martin Baulig  <baulig@suse.de>
    
    	* gnome-pkgconfig.m4 (GNOME_PKGCONFIG_CHECK_VERSION): Removed.
    	(GNOME_PKGCONFIG_CHECK_CFLAG): Removed.
    	(GNOME_PKGCONFIG_ACLOCALFLAGS): Removed.
    	(GNOME_PKGCONFIG_CHECK_OPTIONAL_MODULES): Removed.
    	(GNOME_PKGCONFIG_CHECK_MODULES): Removed.
    	(GNOME_CHECK_PKGCONFIG): Use $PKG_CONFIG --atleast-pkgconfig-version
    	to check for the pkg-config version.
    
    svn path=/trunk/; revision=1905

 macros2/ChangeLog          |  10 +++
 macros2/gnome-pkgconfig.m4 | 159 ++-------------------------------------------
 2 files changed, 16 insertions(+), 153 deletions(-)

commit 4d80cc7c88686761812ffd8d1b7a3e6a61b4369e
Author: Martin Baulig <martin@src.gnome.org>
Date:   Fri Aug 3 19:27:09 2001 +0000

    Fixed my email address.
    
    svn path=/trunk/; revision=1904

 doc/usage.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0abbc40848c4d2ce9e5dd1c0101927d0412f409
Author: Jody Goldberg <jody@src.gnome.org>
Date:   Thu Aug 2 15:43:54 2001 +0000

    Revert mistaken commit
    
    svn path=/trunk/; revision=1895

 macros/autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8669d6d39ebd1cd9094e2e7b80b6c7df151861ed
Author: J.H.M. Dassen (Ray) <jdassen@debian.org>
Date:   Thu Aug 2 15:35:57 2001 +0000

    Made "--without-guile" work. Added $guile_msg for reporting back.
    
    2001-08-02  J.H.M. Dassen (Ray) <jdassen@debian.org>
    
    	* gnome-guile-checks.m4: Made "--without-guile" work. Added $guile_msg
    	  for reporting back.
    
    2001-08-02  J.H.M. Dassen (Ray) <jdassen@debian.org>
    
    	* configure.in: Use the new improved (functional) guile tests.
    
    svn path=/trunk/; revision=1894

 macros/ChangeLog             |  5 +++++
 macros/autogen.sh            |  6 +++---
 macros/gnome-guile-checks.m4 | 15 +++++++++++++++
 3 files changed, 23 insertions(+), 3 deletions(-)

commit 4d602fbfb83cbd1ada01210f434a7428646062c0
Author: Michael Meeks <michael@ximian.com>
Date:   Wed Aug 1 20:12:40 2001 +0000

    Version 1.2.3
    
    2001-08-02  Michael Meeks  <michael@ximian.com>
    
    	* Version 1.2.3
    
    svn path=/trunk/; revision=1891

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2e1319f983f28da11106f76a8fcf9164001dac89
Author: Martin Baulig <martin@src.gnome.org>
Date:   Wed Aug 1 12:34:22 2001 +0000

    This directory is *shared* between a lot of modules in GNOME CVS -
    which means that every change you're doing here immediately affects
    a very large number of modules.
    
    Please, do *ALWAYS ASK FIRST* on gnome-hackers@gnome.org before you
    commit anything to this directory. If unsure, feel free to send me
    a patch <martin@gnome.org> and I'll commit it for you it it's ok.
    
    Thanks for your understanding,
    
    August 1st, 2001
    Martin Baulig <martin@gnome.org>
    
    svn path=/trunk/; revision=1883

 intl/README.cvs-commits    | 13 +++++++++++++
 macros/README.cvs-commits  | 13 +++++++++++++
 macros2/README.cvs-commits | 13 +++++++++++++
 support/README.cvs-commits | 13 +++++++++++++
 4 files changed, 52 insertions(+)

commit d74feee286ce41240288a0953c93c27daafdfe59
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Tue Jul 31 15:46:23 2001 +0000

    Fix ftp location and update current version of gettext to 0.10.39.
    
    svn path=/trunk/; revision=1880

 macros/autogen.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4b572dec638d49c111a15f2ff89f6f23cd5d1381
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Tue Jul 31 05:00:13 2001 +0000

    Revert naba's change again.
    
    svn path=/trunk/; revision=1879

 intl/Makefile.in | 230 +++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 162 insertions(+), 68 deletions(-)

commit d3841e53b6d903667902ca7da7cd406a87c357b4
Author: Naba Kumar <naba@src.gnome.org>
Date:   Mon Jul 30 13:28:56 2001 +0000

    Minor fixes.
    
    
    
    Minor fixes.
    
    svn path=/trunk/; revision=1878

 intl/Makefile.in | 230 ++++++++++++++++---------------------------------------
 1 file changed, 68 insertions(+), 162 deletions(-)

commit de05960e739b93c08e09b700e4681db051ae975c
Author: Darin Adler <darin@src.gnome.org>
Date:   Thu Jul 26 19:50:22 2001 +0000

    Point to the new home of pkgconfig at www.freedesktop.org instead of
    
    	* configure.in: Point to the new home of pkgconfig at
    	www.freedesktop.org instead of "sourceforce.net" [sic].
    
    svn path=/trunk/; revision=1877

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit bf53c0a1845ccbd2c19586b43964c0a109ef59cd
Author: Darin Adler <darin@src.gnome.org>
Date:   Thu Jul 26 19:25:57 2001 +0000

    Point to the new home of pkgconfig at www.freedesktop.org.
    
    	* doc/usage.txt: Point to the new home of pkgconfig at
    	www.freedesktop.org.
    
    svn path=/trunk/; revision=1876

 ChangeLog     | 5 +++++
 doc/usage.txt | 6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 51b7010c51a4e573e91e725f22498b9af1f311d0
Author: Jody Goldberg <jgoldberg@home.com>
Date:   Wed Jul 25 00:33:17 2001 +0000

    Add psion macros from Frodo Looijaard <frodol@dds.nl>
    
    2001-07-24  Jody Goldberg <jgoldberg@home.com>
    
    	* psiconv.m4 : Add psion macros from Frodo Looijaard <frodol@dds.nl>
    
    svn path=/trunk/; revision=1858

 macros/ChangeLog  |  4 ++++
 macros/psiconv.m4 | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit 211a7d3850fe2c20d7b1208c34e54d7505139cd4
Author: Frédéric Crozat <fcrozat@src.gnome.org>
Date:   Tue Jul 24 07:39:00 2001 +0000

    Correct minimal version test
    
    * gnome-print-check.m4 (AM_PATH_GNOME_PRINT):
    	Correct minimal version test
    
    svn path=/trunk/; revision=1857

 macros/ChangeLog            | 5 +++++
 macros/gnome-print-check.m4 | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 1e72d5884a41b85e8d971d9af7c4803e80122a81
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 23 16:53:03 2001 +0000

    Pkg-config can be found at www.freedesktop.org, not www.freesoftware.com.
    
    svn path=/trunk/; revision=1856

 macros2/gnome-pkgconfig.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 673318709b2f554341f1fc0bc28ee5193de8d2c1
Author: Andrew Hughes Chatham <chatham@src.gnome.org>
Date:   Mon Jul 23 13:07:02 2001 +0000

    Removing changes to Makefile.am; didn't know this was a global directory
    
    svn path=/trunk/; revision=1855

 macros/Makefile.am | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 77ed0d3ffad5062b5ec3fa685f13502e263c66e8
Author: Andrew Hughes Chatham <chatham@src.gnome.org>
Date:   Sun Jul 22 18:52:12 2001 +0000

    Removing these macros from the global gnome macros directory. Sorry about that.
    
    svn path=/trunk/; revision=1854

 macros/mozilla-version.pl | 12 ---------
 macros/mozilla.m4         | 66 -----------------------------------------------
 macros/xerces-version.pl  | 13 ----------
 macros/xerces.m4          | 57 ----------------------------------------
 4 files changed, 148 deletions(-)

commit da37a018b4221309f7e5f8e6659203a0d8ec7129
Author: Kevin Gibbs <kgibbs@src.gnome.org>
Date:   Fri Jul 20 21:39:10 2001 +0000

    Make dist, dist check, and rpm are now supported and working. If you want to distribute a copy of SashMo to someone, you should type "make dist" and send them the tarball.
    
    svn path=/trunk/; revision=1843

 macros/Makefile.am        |  6 +++--
 macros/mozilla-version.pl | 12 +++++++++
 macros/mozilla.m4         | 66 +++++++++++++++++++++++++++++++++++++++++++++++
 macros/xerces-version.pl  | 13 ++++++++++
 macros/xerces.m4          | 57 ++++++++++++++++++++++++++++++++++++++++
 5 files changed, 152 insertions(+), 2 deletions(-)

commit 5e59e0506dd3dded338ddf9168eb41dbd600257f
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Jul 20 14:03:49 2001 +0000

    Require pkg-config 0.8.0.
    
    2001-07-20  Martin Baulig  <baulig@suse.de>
    
    	* gnome-pkgconfig.m4: Require pkg-config 0.8.0.
    
    svn path=/trunk/; revision=1842

 macros2/ChangeLog          | 4 ++++
 macros2/gnome-pkgconfig.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 821847d579b3eeb72aeb2d0b943188a8c2d39329
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Sun Jul 15 16:35:16 2001 +0000

    Revert last change.
    
    svn path=/trunk/; revision=1840

 intl/Makefile.in | 230 +++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 162 insertions(+), 68 deletions(-)

commit d1ac31141968638ea3b68a87e2d17842d21a4149
Author: Naba Kumar <naba@src.gnome.org>
Date:   Sun Jul 15 14:10:47 2001 +0000

    Changed png graphics with white background. Changed project version.
    
    
    
    Changed png graphics with white background.
    Changed project version.
    Changed sgml docs ids with '-' to '_'
    
    svn path=/trunk/; revision=1839

 intl/Makefile.in | 230 ++++++++++++++++---------------------------------------
 1 file changed, 68 insertions(+), 162 deletions(-)

commit cb47712ad60905e88d7b3ff1cb2e10f8340abd18
Author: Darin Adler <darin@src.gnome.org>
Date:   Fri Jul 13 00:13:16 2001 +0000

    Remove AC_ARG_PROGRAM, because AM_INIT_AUTOMAKE already takes care of
    
    	* configure.in: Remove AC_ARG_PROGRAM, because AM_INIT_AUTOMAKE
    	already takes care of that.
    
    svn path=/trunk/; revision=1838

 ChangeLog    | 5 +++++
 configure.in | 1 -
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 607a53393521d00c59f451341f2e81fa49cb392e
Author: Laszlo Peter <laca@ireland.sun.com>
Date:   Fri Jun 29 14:36:17 2001 +0000

    Fix the regexp to process all 6 version numbers.
    
    2001-06-29  Laszlo Peter <laca@ireland.sun.com>
    
    	* gnome-pkgconfig.m4 (GNOME_PKGCONFIG_CHECK_VERSION): Fix the regexp
    	to process all 6 version numbers.
    
    svn path=/trunk/; revision=1837

 macros2/ChangeLog          | 5 +++++
 macros2/gnome-pkgconfig.m4 | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit e67857422148467c9d6c85545f5803e99a2e871f
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Fri Jun 29 06:38:47 2001 +0000

    Add missing files from gettext-0.10.38.
    
    svn path=/trunk/; revision=1836

 intl/config.charset |  438 +++++++++++++++++
 intl/dcigettext.c   | 1257 ++++++++++++++++++++++++++++++++++++++++++++++++
 intl/dcngettext.c   |   59 +++
 intl/dngettext.c    |   60 +++
 intl/libgnuintl.h   |  127 +++++
 intl/localcharset.c |  271 +++++++++++
 intl/locale.alias   |   77 +++
 intl/ngettext.c     |   67 +++
 intl/plural.c       | 1325 +++++++++++++++++++++++++++++++++++++++++++++++++++
 intl/plural.y       |  412 ++++++++++++++++
 intl/ref-add.sin    |   31 ++
 intl/ref-del.sin    |   26 +
 12 files changed, 4150 insertions(+)

commit c43e25d0fb6a4272f3a4bfdd4e4075174c14ca15
Author: Jody Goldberg <jody@src.gnome.org>
Date:   Fri Jun 29 00:22:33 2001 +0000

    Release 0.67
    
    svn path=/trunk/; revision=1834

 intl/ChangeLog     | 1086 +---------------------------------------------------
 intl/Makefile.in   |  249 ++++++++----
 intl/VERSION       |    2 +-
 intl/bindtextdom.c |  319 +++++++++++----
 intl/dcgettext.c   |  577 +---------------------------
 intl/dgettext.c    |   11 +-
 intl/explodename.c |   29 +-
 intl/finddomain.c  |   51 +--
 intl/gettext.c     |   21 +-
 intl/gettext.h     |   18 +-
 intl/gettextP.h    |  178 ++++++++-
 intl/hash-string.h |   19 +-
 intl/intl-compat.c |  111 +++++-
 intl/l10nflist.c   |   35 +-
 intl/libgettext.h  |  174 +--------
 intl/loadinfo.h    |   36 +-
 intl/loadmsgcat.c  |  412 ++++++++++++++++++--
 intl/localealias.c |  143 +++----
 intl/textdomain.c  |   81 ++--
 19 files changed, 1314 insertions(+), 2238 deletions(-)

commit 66360a8277e1b339e51ef7190f37f9a58fec36d7
Author: Eskil Heyn Olsen <eskil@eskil.dk>
Date:   Sat Jun 23 05:14:10 2001 +0000

    Fixed the cat of pi-version.h
    
    2001-06-22  Eskil Heyn Olsen  <eskil@eskil.dk>
    
            * gnome-pilot.m4:
            Fixed the cat of pi-version.h
    
    svn path=/trunk/; revision=1802

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit a3bbcf7f886aace72120634416ef746420682f78
Author: Elliot Lee <sopwith@redhat.com>
Date:   Fri Jun 22 05:00:48 2001 +0000

    N'sync with the gnome1 version, bye bye buggies.
    
    
    
    2001-06-22  Elliot Lee  <sopwith@redhat.com>
    
    	* gnome-gettext.m4: N'sync with the gnome1 version, bye bye buggies.
    
    svn path=/trunk/; revision=1801

 macros2/ChangeLog        |  4 ++++
 macros2/gnome-gettext.m4 | 10 ++++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 87d3aa32043313b2f4da3c994b59706750662c76
Author: Havoc Pennington <hp@redhat.com>
Date:   Thu Jun 21 15:37:23 2001 +0000

    fix to include the CFLAGS for extra libraries
    
    2001-06-20  Havoc Pennington  <hp@redhat.com>
    
    	* gnome.m4: fix to include the CFLAGS for extra libraries
    
    svn path=/trunk/; revision=1797

 macros/ChangeLog | 4 ++++
 macros/gnome.m4  | 2 ++
 2 files changed, 6 insertions(+)

commit 2d5742d067dbaf08b2ba4e7125fb239cb802bb60
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Thu Jun 14 02:38:24 2001 +0000

    foo
    
    svn path=/trunk/; revision=1792

 macros/gnome-pilot.m4 | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 89b5f842b950e5bdad7b6561cf0281e2be48d27b
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Wed Jun 13 19:17:16 2001 +0000

    Always explicitly declare main() with the return type `int'. Don't use
    
    * gnome-fileutils.m4: Always explicitly declare main() with the
    return type `int'. Don't use exit() since it may be undeclared.
    Use `return' instead.
    * gnome-pilot.m4: Likewise.
    * gperf-check.m4: Likewise.
    * linger.m4: Likewise.
    
    svn path=/trunk/; revision=1791

 macros/ChangeLog          |  9 +++++++++
 macros/gnome-fileutils.m4 | 20 ++++++++++----------
 macros/gnome-pilot.m4     |  8 ++++----
 macros/gperf-check.m4     |  2 +-
 macros/linger.m4          |  4 ++--
 5 files changed, 26 insertions(+), 17 deletions(-)

commit 164775f05c4ac3c36275478f864af5d1e7e0cf86
Author: Martin Baulig <baulig@suse.de>
Date:   Wed Jun 13 17:15:32 2001 +0000

    Require pkg-config 0.7.0 and fix download URL.
    
    2001-06-13  Martin Baulig  <baulig@suse.de>
    
    	* gnome-pkgconfig.m4 (GNOME_CHECK_PKGCONFIG): Require pkg-config 0.7.0
    	and fix download URL.
    
    	* gnome-platform.m4: Require pkgconfig on the GNOME 2.0 platform.
    
    svn path=/trunk/; revision=1790

 macros2/ChangeLog          | 7 +++++++
 macros2/gnome-pkgconfig.m4 | 4 ++--
 macros2/gnome-platform.m4  | 1 +
 3 files changed, 10 insertions(+), 2 deletions(-)

commit 79d04ac7e95b9fa42e5e58a354c5b749d399425a
Author: Andrew Hughes Chatham <chatham@src.gnome.org>
Date:   Wed Jun 13 01:42:44 2001 +0000

    Removing xerces tests. Didn't know this directory was in gnome-common
    
    svn path=/trunk/; revision=1789

 macros/xerces-version.pl | 13 ----------
 macros/xerces.m4         | 65 ------------------------------------------------
 2 files changed, 78 deletions(-)

commit a217d06cf25e9b2524f2c3c9c36fb5cab41b7a06
Author: Julian Missig <julianm@src.gnome.org>
Date:   Tue Jun 12 21:58:16 2001 +0000

    Now checks  for Xerces
    
    svn path=/trunk/; revision=1787

 macros/xerces.m4 | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 4ad30368a67b78ac8dfc732a0ef6a1baf718f5c6
Author: Andrew Hughes Chatham <chatham@src.gnome.org>
Date:   Thu Jun 7 13:54:51 2001 +0000

    Added .cvsignore files and changed the configure script so that it will
    detect the presence of uuid/uuid.h and also detect the right version of xerces.
    Removed as many references to XERCESCROOT as possible (all of them, I believe).
    
    svn path=/trunk/; revision=1783

 macros/xerces-version.pl | 13 +++++++++++
 macros/xerces.m4         | 56 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

commit 0d1dc2b46ded02314f0d2f574af67e8e3e86e9f7
Author: Peter Williams <peterw@ximian.com>
Date:   Sat Jun 2 13:45:14 2001 +0000

    macros/ChangeLog:
    2001-06-01  Peter Williams  <peterw@ximian.com>
    
           * autogen.sh: s,Gnome,$PKG_NAME,g
    
    macros2/ChangeLog:
    2001-06-01  Peter Williams  <peterw@ximian.com>
    
           * autogen.sh: s,Gnome,$PKG_NAME,g
    
    svn path=/trunk/; revision=1779

 macros/ChangeLog   |  4 ++++
 macros/autogen.sh  | 12 ++++++------
 macros2/ChangeLog  |  4 ++++
 macros2/autogen.sh | 12 ++++++------
 4 files changed, 20 insertions(+), 12 deletions(-)

commit b0ca22c2bc012b3e0d4799d65a3fc372ef2b7a80
Author: Arturo Espinosa Aldama <arturo@ximian.com>
Date:   Fri May 25 00:59:35 2001 +0000

    0.5 RELEASE
    
    2001-05-24  Arturo Espinosa Aldama  <arturo@ximian.com>
    
    	* 0.5 RELEASE
    
    svn path=/trunk/; revision=1759

 macros/ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit 2bb77b14f56d5b25d3414c5b0a69023f54a84cf3
Author: jacob berkman <jacob@ximian.com>
Date:   Thu May 24 18:35:34 2001 +0000

    add hp-ux specific check from glib
    
    2001-05-24  jacob berkman  <jacob@ximian.com>
    
    	* gnome-pthread-check.m4 (GNOME_PTHREAD_CHECK): add hp-ux specific
    	check from glib
    
    svn path=/trunk/; revision=1758

 macros/ChangeLog              | 5 +++++
 macros/gnome-pthread-check.m4 | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 8084bcfa2f0b8b849876c6c14dc9fedbf44e535a
Author: Darin Adler <darin@src.gnome.org>
Date:   Wed May 23 00:06:51 2001 +0000

    Add BUILD_INCLUDED_LIBINTL for compatibility with the new gettext.
    
    	* hack-macros/gnome.m4: Add BUILD_INCLUDED_LIBINTL for
    	compatibility with the new gettext.
    
    svn path=/trunk/; revision=1757

 ChangeLog | 5 +++++
 1 file changed, 5 insertions(+)

commit 4afd321da7b3f9e733a745d8b8106a7e2d659829
Author: Darin Adler <darin@src.gnome.org>
Date:   Wed May 23 00:02:54 2001 +0000

    	Fixed problem compiling with new gettext:
    
    	* hack-macros/gnome.m4: Add BUILD_INCLUDED_LIBINTL for
    	compatibility with the new gettext.
    
    	Fixed a problem with the throbber detecting that its X window is
    	gone. Based on suggestions from Owen Taylor.
    
    	* libnautilus/nautilus-bonobo-workarounds.h:
    	* libnautilus/nautilus-bonobo-workarounds.c:
    	(destroy_later_callback), (destroyed_before_timeout_callback),
    	(nautilus_bonobo_object_force_destroy_later): Changed to "destroy
    	later" instead of "destroy at idle". This makes us less likely to
    	experience race conditions.
    
    	* src/nautilus-window.c: (nautilus_window_initialize_class),
    	(nautilus_window_unrealize), (nautilus_window_destroy): Moved the
    	throbber destruction to unrealize so we destroy the throbber
    	before we destroy its X window.
    
    	Starting with patch by Anders Carlsson <andersca@gnu.org>, added
    	both prelighting and tracking to the throbber, also making it take
    	action on release, not press.
    
    	* components/throbber/nautilus-throbber.c:
    	(nautilus_throbber_initialize_class): Add handlers for enter,
    	leave, and release.
    	(nautilus_throbber_initialize): Set flags so we get enter and
    	leave events.
    	(select_throbber_image): Ref the image that's returned.
    	(draw_throbber_image): Make the image be prelit if the mouse is
    	over the throbber but it wasn't clicked, and darkened if the mouse
    	is over the throbber and it was clicked.
    	(nautilus_throbber_enter_notify_event): Set flag and request
    	redraw to prelight.
    	(nautilus_throbber_leave_notify_event): Set flag and request
    	redraw to un-prelight.
    	(nautilus_throbber_button_press_event): Set flag to indicate we
    	hit the button in the throbber. Also, respond only to left clicks.
    	(nautilus_throbber_button_release_event): Look at flag set in
    	press event. Do the work here now instead of at press time since
    	we are more like a real button.
    
    	Rolled in change by Miguel Rodríguez Pérez <migrax@terra.es> to
    	fix volume mounting problems:
    
    	* configure.in: Check for hasmntopt.
    	* libnautilus-private/nautilus-volume-monitor.c:
    	(get_removable_volumes): Fix typo (HAVE_MNTTENT_H ->
    	HAVE_MNTENT_H).
    
    	Integrated patch by Miguel Rodríguez Pérez <migrax@terra.es> to
    	make Nautilus not try to preview MPEG lists:
    
    	* src/file-manager/fm-icon-view.c:
    	(icon_container_preview_callback): Made audio/x-mpegurl another
    	exception to the list of audio types we can preview.
    
    	Rolled in change by Dennis Smit <synap@area101.penguin.nl>:
    
    	* THANKS: added more translators that were missing from the
    	THANKS file (names from all the .po files in ./po).
    
    	Other updates to THANKS:
    
    	* THANKS: Added Jon K Hellan.
     	* check-THANKS.pl: Fixed logic so you can be credited as both an
    	author and translator.
    
    	Other changes:
    
    	* src/file-manager/fm-list-view.c: (get_default_zoom_level): Fix
    	typo (storaged -> storage).
    
    	* src/nautilus-shell-ui.xml:
    	* src/file-manager/nautilus-directory-view-ui.xml:
    	Fixed keybindings entries to use the correct tags as described by
    	ui-xml.txt.
    
    svn path=/trunk/; revision=1712

 hack-macros/gnome.m4 | 2 ++
 1 file changed, 2 insertions(+)

commit c864198f0fdf9b2ccf4dc1a41ba9fbd7a0cc5cd9
Author: Jody Goldberg <jgoldberg@home.com>
Date:   Sat May 19 17:43:23 2001 +0000

    This should fix that irritating
    	make[2]: *** No rule to make target `all-no-@BUILD_INCLUDED_LIBINTL@', needed by `all-no'.
    
    2001-05-19  Jody Goldberg <jgoldberg@home.com>
    
    	* gnome-gettext.m4 : Add BUILD_INCLUDED_LIBINTL so that newer versions
    	  work.
    
    svn path=/trunk/; revision=1708

 macros/ChangeLog        | 5 +++++
 macros/gnome-gettext.m4 | 2 ++
 2 files changed, 7 insertions(+)

commit f02b65da8ca88eedbc9996d860d3831539ecd77a
Author: Darin Adler <darin@src.gnome.org>
Date:   Mon May 7 18:40:30 2001 +0000

    Update freetype to work with freetype-configs that use . instead of :
    as version part separator. Not sure why this is inconsistent.
    
    svn path=/trunk/; revision=1702

 hack-macros/nautilus-macros.m4 | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 327670c10128141fabbf82f08b0e1ebec51868f1
Author: Ramiro Estrugo <ramiro@src.gnome.org>
Date:   Wed May 2 02:16:06 2001 +0000

    Add a nice macro for freetype2 checks that works with both RPMS and
    freetype2 built from source.
    
    svn path=/trunk/; revision=1698

 hack-macros/nautilus-macros.m4 | 170 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 169 insertions(+), 1 deletion(-)

commit 0b78c242885cd0be8dc74eec3e4896b278881288
Author: Darin Adler <darin@src.gnome.org>
Date:   Mon Apr 16 17:10:03 2001 +0000

    A cut at updating the spec file now that the pkgconfig stuff and support
    
    	* gnome-common.spec.in: A cut at updating the spec file now that
    	the pkgconfig stuff and support stuff has gone away.
    
    svn path=/trunk/; revision=1697

 ChangeLog            |  5 +++++
 gnome-common.spec.in | 34 ----------------------------------
 2 files changed, 5 insertions(+), 34 deletions(-)

commit 06598487dbe14b3ca360ecd65f5d8a32d11692ff
Author: Jaka Mocnik <jaka@gnu.org>
Date:   Mon Apr 16 09:30:54 2001 +0000

    change $(cmd) to `cmd` in order to make it usable in non-bash bourne
    
    
    2001-04-16  Jaka Mocnik  <jaka@gnu.org>
    
    	* gnome-print-check.m4: change $(cmd) to `cmd` in order to make it
    	usable in non-bash bourne shells.
    
    svn path=/trunk/; revision=1661

 macros/ChangeLog            | 5 +++++
 macros/gnome-print-check.m4 | 8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 06b6d96d6f6029693b4df35000edcb4a42b3f72a
Author: Martin Baulig <baulig@suse.de>
Date:   Sat Apr 14 18:48:46 2001 +0000

    Removed.
    
    2001-04-14  Martin Baulig  <baulig@suse.de>
    
    	* gnome-common.pc.in, gnome-common-2.0.pc.in: Removed.
    
    	* configure.in: Set version number to 1.2.2.
    	(--enable-platform-gnome-2): Removed this command line argument;
    	this package is now the same for GNOME 1.x and GNOME 2.0.
    
    	* acinclude.m4: Removed.
    	* acconfig.h: Removed.
    
    	* support/: We don't build this directory anymore; the GNOME 1.x
    	version of it is in gnome-libs/support and the GNOME 2.0 one is in
    	libgnomebase/libgnomesupport.
    
    svn path=/trunk/; revision=1660

 .cvsignore             |   3 +-
 ChangeLog              |  15 +++++++
 Makefile.am            |  14 +------
 acconfig.h             |   3 --
 acinclude.m4           | 110 -------------------------------------------------
 configure.in           |  34 ++++-----------
 gnome-common-2.0.pc.in |  10 -----
 gnome-common.pc.in     |  10 -----
 8 files changed, 25 insertions(+), 174 deletions(-)

commit a8eff2c2860b677e15b2e24cede9a437484b1daa
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Apr 13 17:05:18 2001 +0000

    Set variable `have_<name>' to yes or no depending on whether the module
    
    2001-04-13  Martin Baulig  <baulig@suse.de>
    
    	* gnome-pkgconfig.m4 (GNOME_PKGCONFIG_CHECK_OPTIONAL_MODULES):
    	Set variable `have_<name>' to yes or no depending on whether the
    	module was found or not; allows you to define automake conditionals
    	for optional modules.
    
    svn path=/trunk/; revision=1659

 macros2/ChangeLog          | 7 +++++++
 macros2/gnome-pkgconfig.m4 | 3 +++
 2 files changed, 10 insertions(+)

commit 3b0e95bc750a42b4b38cc94a12c50b3d11da1693
Author: Ramiro Estrugo <ramiro@src.gnome.org>
Date:   Tue Apr 10 03:02:03 2001 +0000

    Add nautilus-macros.m4
    
    svn path=/trunk/; revision=1655

 hack-macros/nautilus-macros.m4 | 56 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

commit 806fc377648b3a4bd9112c120cbbf923caeb43ce
Author: Robin Slomkowski <rslomkow@src.gnome.org>
Date:   Mon Mar 26 22:41:14 2001 +0000

    removed .m4 restriction
    
    svn path=/trunk/; revision=1654

 gnome-common.spec.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ede406f07a5fb13348ccf9e32741a71d93126880
Author: Robin Slomkowski <rslomkow@src.gnome.org>
Date:   Mon Mar 26 22:27:25 2001 +0000

    added gnome-common.spec.in to EXTRA_DISTS added gnome-common.spec.in
    
    	* Makefile.am: added gnome-common.spec.in to EXTRA_DISTS
    	* configure.in: added gnome-common.spec.in
    	* gnome-common.spec: removed from repository as it appeared
                                 generic
    	* gnome-common.spec.in: new spec file using Martin's suggestions
    
    svn path=/trunk/; revision=1653

 ChangeLog            |   8 ++++
 Makefile.am          |   2 +-
 configure.in         |   1 +
 gnome-common.spec    |  64 ----------------------------
 gnome-common.spec.in | 116 +++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 126 insertions(+), 65 deletions(-)

commit 0ae18eb03856fbb8ea4e9d9a1c26d79f11075445
Author: Martin Baulig <martin@src.gnome.org>
Date:   Sat Mar 24 01:08:31 2001 +0000

    Ooops, forgot this.
    
    svn path=/trunk/; revision=1652

 macros2/autogen.sh | 4 ++++
 1 file changed, 4 insertions(+)

commit 38f7a1098ae6a5de054cc7dcb2ddcf9bf50aafbc
Author: Martin Baulig <baulig@suse.de>
Date:   Sat Mar 24 00:56:54 2001 +0000

    Add the xml-i18n-tools stuff here.
    
    2001-03-24  Martin Baulig  <baulig@suse.de>
    
    	* autogen.sh: Add the xml-i18n-tools stuff here.
    
    svn path=/trunk/; revision=1651

 macros2/ChangeLog  |  4 ++++
 macros2/autogen.sh | 10 ++++++++++
 2 files changed, 14 insertions(+)

commit a4345553ce1fb5f81b0b9c3d6f8f4e9f4c8fc801
Author: JP Rosevear <jpr@ximian.com>
Date:   Fri Mar 2 01:33:29 2001 +0000

    quote a test and make sure incdir is always set so 'cat' works
    
    2001-03-01  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: quote a test and make sure incdir is always set
    	so 'cat' works
    
    svn path=/trunk/; revision=1602

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 3 ++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9add901178270c5c4bca4c10f2760376a5e45b63
Author: Lauris Kaplinski <lauris@src.gnome.org>
Date:   Wed Feb 21 19:34:27 2001 +0000

    Replaced awk with sed in gnome-print checks, seems to work now
    
    svn path=/trunk/; revision=1588

 macros/ChangeLog            |  6 ++++++
 macros/gnome-print-check.m4 | 26 ++++++++++++++++++--------
 2 files changed, 24 insertions(+), 8 deletions(-)

commit d8f06e423efcda655fecbd41cf83f2040b4bd56d
Author: JP Rosevear <jpr@ximian.com>
Date:   Mon Feb 19 23:52:20 2001 +0000

    Revert my previous patch now that gnome-pim and evolution are fixed to
    
    2001-02-19  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: Revert my previous patch now that gnome-pim and
    	evolution are fixed to accomodate the change
    
    svn path=/trunk/; revision=1584

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

commit abe9862b99c496da0f7c1059bf1dde584601be42
Author: JP Rosevear <jpr@ximian.com>
Date:   Mon Feb 19 23:27:29 2001 +0000

    AC_SUBST the PISOCK_LIBDIR var
    
    2001-02-19  JP Rosevear  <jpr@ximian.com>
    
    	* gnome-pilot.m4: AC_SUBST the PISOCK_LIBDIR var
    
    svn path=/trunk/; revision=1583

 macros/ChangeLog      | 4 ++++
 macros/gnome-pilot.m4 | 2 ++
 2 files changed, 6 insertions(+)

commit f9dd6ad1f1071b7d9eb9424ba1f2e067a820e158
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Mon Feb 19 10:04:00 2001 +0000

    Don't display the sed command to generate gpilotConf.sh
    
    
    	* Makefile.am:
    	Don't display the sed command to generate gpilotConf.sh
    
    	* capplet/Makefile.am:
    	* conduits/backup/Makefile.am:
    	* conduits/email/Makefile.am:
    	* conduits/expense/Makefile.am:
    	* conduits/file/Makefile.am:
    	* conduits/memo/Makefile.am:
    	* conduits/memo_file/Makefile.am:
    	* conduits/test/Makefile.am:
    	* gpilot-fileman/Makefile.am:
    	* gpilotd/Makefile.am:
    	* libgpilotdCM/Makefile.am:
    	* utils/Makefile.am:
    	Did a cleanup of the makefiles wrt LIBADD stuff (PISOCK_LIBS now
    	contains the PISOCK_LIBDIR as well).
    
    	* configure.in:
    	Use $GNOME_CONFIG
    	Shortened --enable-usb-visor to --enable-usb.
    	Nicifyed the config configuration output
    
    	* gpilotd/gnome-pilot-client.gob:
    	Added a missing #ifdef around some VFS code
    
    	* gpilotd/gpilot-structures.h:
    	* gpilotd/gpilot-structures.c: (gpilot_context_new),
    	(gpilot_context_init_user), (gpilot_context_free),
    	(gpilot_device_new), (gpilot_serial_device_init),
    	(gpilot_serial_device_free), (gpilot_usb_device_init),
    	(gpilot_usb_device_free), (gpilot_irda_device_init),
    	(gpilot_irda_device_free), (gpilot_device_init),
    	(gpilot_device_load), (gpilot_device_free), (get_devices),
    	(get_pilots):
    	Code indent.
    	Cleaned up the device destroy/init stuff.
    
    	* gpilotd/gpilotd.c: (device_in), (wait_for_sync_and_sync),
    	(dump_build_info):
    	USB device destroy now closes the IO channels.
    	Output build options on start (usb, irda, vfs etc).
    
    	* gpilotd/orbit_daemon_glue.c: (pause_device):
    	Added check in pause_device to see if it has io channels.
    
    	* macros/gnome-pilot.m4:
    	Collapsed PISOCK_LIBS and PISOCK_LIBDIRS, removed PILOT_* and
    	renames PISOCK_INCLUDEDIR to PISOCK_CFLAGS (to be more conformant
    	to the normal trend).
    	Sprinkled in some magic to give the full pilot-link version - just
    	hope it wont break when the -preX part goes away.
    
    svn path=/trunk/; revision=1582

 macros/gnome-pilot.m4 | 64 +++++++++++++++++++++++++++++----------------------
 1 file changed, 37 insertions(+), 27 deletions(-)

commit 9dfc30f001012601955ffcb9a1050cc57feb2f8a
Author: Lauris Kaplinski <lauris@src.gnome.org>
Date:   Sat Feb 17 05:10:50 2001 +0000

    Put gnome-print-check.m4 to diet
    
    svn path=/trunk/; revision=1581

 macros/ChangeLog            |   5 ++
 macros/gnome-print-check.m4 | 168 +++++++-------------------------------------
 2 files changed, 30 insertions(+), 143 deletions(-)

commit 03ffbe921e84836ef51423f8eca3ff1a7ba49602
Author: Kenneth Christiansen <kenneth@gnu.org>
Date:   Wed Feb 7 22:53:06 2001 +0000

    Added test for xml-i18n-tools if AM_PROG_XML_I18N_TOOLS is found.
    
    2001-02-07  Kenneth Christiansen  <kenneth@gnu.org>
    
            * autogen.sh: Added test for xml-i18n-tools if
            AM_PROG_XML_I18N_TOOLS is found.
    
    svn path=/trunk/; revision=1558

 macros/ChangeLog | 5 +++++
 1 file changed, 5 insertions(+)

commit 8dbbd866ed86e43951e3d637e8f7cf55a1ba002a
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Wed Feb 7 21:33:01 2001 +0000

    Quote first argument to AC_DEFUN. Likewise. Likewise. Likewise. Likewise.
    
    * macros/curses.m4: Quote first argument to AC_DEFUN.
    * macros/gnome-cxx-check.m4: Likewise.
    * macros/gnome-gettext.m4: Likewise.
    * macros/gnome-libgtop-check.m4: Likewise.
    * macros/gnome-print-check.m4: Likewise.
    * macros/linger.m4: Likewise.
    * macros/need-declaration.m4: Likewise.
    
    svn path=/trunk/; revision=1555

 macros/curses.m4              | 12 ++++++------
 macros/gnome-cxx-check.m4     |  2 +-
 macros/gnome-gettext.m4       |  4 ++--
 macros/gnome-libgtop-check.m4 |  2 +-
 macros/gnome-print-check.m4   |  2 +-
 macros/linger.m4              |  2 +-
 macros/need-declaration.m4    |  4 ++--
 7 files changed, 14 insertions(+), 14 deletions(-)

commit 554908872e64b869762ae0809bdbbb4b46363ea1
Author: Kenneth Christiansen <kenneth@gnu.org>
Date:   Sun Feb 4 04:10:39 2001 +0000

    Added AM_PROG_XML_I18N_TOOLS so translations works correctly. Added a
    
    2001-02-04  Kenneth Christiansen  <kenneth@gnu.org>
    
            * configure.in: Added AM_PROG_XML_I18N_TOOLS
            so translations works correctly.
            * macros/autogen.sh: Added a check for xml-i18n-tools.
    
    svn path=/trunk/; revision=1544

 macros/autogen.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c721c723cf9c1ecc7f23b0a5c02473efe6db5ce0
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Tue Jan 30 17:39:59 2001 +0000

    Fix mishandling of --without-samba due to a typo.
    
    * macros/gnome-vfs.m4 (GNOME_WITH_VFS): Fix mishandling of
    --without-samba due to a typo.
    
    svn path=/trunk/; revision=1542

 macros/gnome-vfs.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b29efc9b9b529295ddfd784ee028657d711bf0ea
Author: Fatih Demir <kabalak@src.gnome.org>
Date:   Wed Jan 24 12:16:19 2001 +0000

    .cvsignore + nautilus
    
    svn path=/trunk/; revision=1534

 macros/.cvsignore | 1 +
 1 file changed, 1 insertion(+)

commit 7a461ce3c979575565fbf0cbdde5fa86a8f8d38e
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Thu Jan 11 16:04:13 2001 +0000

    Propagateg change by Owen Taylor from acinclude.m4 in gtk+: Don't define
    
    * macros/gnome-gettext.m4: Propagateg change by Owen Taylor
    from acinclude.m4 in gtk+:
    Don't define ENABLE_NLS unless we have a working NLS.
    (This should keep libintl.h from being included when it doesn't
    exist).
    
    svn path=/trunk/; revision=1522

 macros/gnome-gettext.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f536fa7529413fad38ffe4e58d578e600080c260
Author: Maciej Stachowiak <mstachow@src.gnome.org>
Date:   Sat Jan 6 01:15:24 2001 +0000

    Added missing PROG.
    
    	* autogen.sh: Added missing PROG.
    
    svn path=/trunk/; revision=1519

 macros/ChangeLog  | 4 ++++
 macros/autogen.sh | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d4565aa6667979ecb2e9523115fee801ccc507cc
Author: Maciej Stachowiak <mstachow@src.gnome.org>
Date:   Sat Jan 6 00:54:34 2001 +0000

    xml-i18n-toolize if AM_PROG_XML_I18N_TOOLS is found in configure.in.
    
    	* autogen.sh: xml-i18n-toolize if AM_PROG_XML_I18N_TOOLS is found
    	in configure.in.
    
    svn path=/trunk/; revision=1518

 macros/ChangeLog  | 5 +++++
 macros/autogen.sh | 4 ++++
 2 files changed, 9 insertions(+)

commit 4907c68e488f782e707adcac121557947f678313
Author: Kenneth Christiansen <kenneth@src.gnome.org>
Date:   Fri Jan 5 21:10:32 2001 +0000

    Reverted, until me and maciej get some good ideas
    
    svn path=/trunk/; revision=1517

 macros/autogen.sh | 4 ----
 1 file changed, 4 deletions(-)

commit 14d6a8ba7d1672563b6f1c0f2a86abce5552e8b5
Author: Kenneth Christiansen <kenneth@gnu.org>
Date:   Fri Jan 5 13:58:54 2001 +0000

    added support for xml-i18n-tools. This module is now required when
    
    2001-01-06  Kenneth Christiansen  <kenneth@gnu.org>
    
            * configure.in, macros/autogen.sh:
              added support for xml-i18n-tools. This module is now required
              when building from cvs. Please make sure that the macrofile
              installed by xml-i18n-tools is installed so it's in aclocal's
              path. or do:
    
              export ACLOCAL_FLAGS='-I /usr/local/share/aclocal'
    
    svn path=/trunk/; revision=1516

 macros/autogen.sh | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit d6efe16190a9a4e907e76785448d39cdfe432777
Author: Martin Baulig <martin@src.gnome.org>
Date:   Fri Dec 1 21:42:58 2000 +0000

    Test. Committing blank line.
    
    svn path=/trunk/; revision=1480

 hack-macros/gnome.m4 | 1 +
 1 file changed, 1 insertion(+)

commit ccd9ad05ea64f84ab78646a66e7d27c65cc3f738
Author: Robin Slomkowski <rslomkow@src.gnome.org>
Date:   Fri Dec 1 21:27:30 2000 +0000

    re-added with no changes. Please email me as this is needed by nautilus
    
    * gnome.m4: re-added with no changes.  Please email
    me as this is needed by nautilus and medusa, I will
    be happy to move these macros somewhere else that makes
    sense.
    
    svn path=/trunk/; revision=1479

 hack-macros/gnome.m4 | 471 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 471 insertions(+)

commit 5485132f54b4a6f5d531859e48f06759f49ff2b7
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Dec 1 16:10:45 2000 +0000

    Enable maximum compile warnings, fix Perl check and correctly set
    
    2000-12-01  Martin Baulig  <baulig@suse.de>
    
    	* configure.in: Enable maximum compile warnings, fix Perl check
    	and correctly set GNOME_VFS_VERSION.
    
    	* gnome.m4: Removed.
    
    svn path=/trunk/; revision=1478

 hack-macros/gnome.m4 | 471 ---------------------------------------------------
 1 file changed, 471 deletions(-)

commit 21f20775983b6c4147c64b760fafeb868853e325
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Dec 1 12:54:15 2000 +0000

    Released gnome-common 1.2.1.
    
    2000-12-01  Martin Baulig  <baulig@suse.de>
    
    	Released gnome-common 1.2.1.
    
    svn path=/trunk/; revision=1476

 ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit f5913c6435478563d59b948178c93b1932561af3
Author: Martin Baulig <baulig@suse.de>
Date:   Fri Dec 1 12:52:04 2000 +0000

    Improved compile warnings check; the --enable-compile-warnings parameter
    
    2000-12-01  Martin Baulig  <baulig@suse.de>
    
    	* compile-warnings.m4: Improved compile warnings check; the
    	--enable-compile-warnings parameter now takes 5 different
    	values (no/minimum/yes/maximum/error). AC_SUBST(WARN_CFLAGS).
    
    svn path=/trunk/; revision=1475

 macros2/ChangeLog         |   6 +++
 macros2/compiler-flags.m4 | 116 ++++++++++++++++++++++++++++++----------------
 2 files changed, 81 insertions(+), 41 deletions(-)

commit 5cbf1adf6c9ec9c9fa3b3da52b851c94ce3cef62
Author: Martin Baulig <baulig@suse.de>
Date:   Tue Nov 28 23:02:43 2000 +0000

    Removed.
    
    2000-11-29  Martin Baulig  <baulig@suse.de>
    
    	* gnome.m4, gnome-gnorba-check.m4, gnome-fileutils.m4: Removed.
    
    svn path=/trunk/; revision=1474

 macros2/ChangeLog             |   4 +
 macros2/Makefile.am           |   5 +-
 macros2/gnome-fileutils.m4    | 414 ------------------------------------------
 macros2/gnome-gnorba-check.m4 |  35 ----
 macros2/gnome.m4              | 124 -------------
 5 files changed, 6 insertions(+), 576 deletions(-)

commit cc1c5fc96cb06dc73f5df61cc200302260e2f7d3
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Sun Nov 26 15:01:12 2000 +0000

    Use GNOME_PKGCONFIG_CHECK_MODULES.
    
    2000-11-26  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-x-checks.m4 (GNOME2_X_CHECKS): Use
    	GNOME_PKGCONFIG_CHECK_MODULES.
    
    	* gnome-pkgconfig.m4 (GNOME_PKGCONFIG_CHECK_VERSION): Don't
    	AC_REQUIRE([GNOME_REQUIRE_PKGCONFIG]).
    	(GNOME_CHECK_PKGCONFIG): Check for pkg-config >= 0.4.1.
    
    svn path=/trunk/; revision=1473

 macros2/ChangeLog          |  9 ++++++
 macros2/gnome-pkgconfig.m4 | 77 ++++++++++++++++++++++++----------------------
 macros2/gnome-x-checks.m4  |  6 ++--
 3 files changed, 54 insertions(+), 38 deletions(-)

commit f98e0213661af27afccdcef5c2f76a8cbfe99a61
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Wed Nov 22 13:39:50 2000 +0000

    Added GNOME_PKGCONFIG_CHECK_OPTIONAL_MODULES to check for a list of
    
    2000-11-22  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-pkgconfig.m4: Added GNOME_PKGCONFIG_CHECK_OPTIONAL_MODULES
    	to check for a list of optional modules.
    
    	* gnome-platform.m4: Require GNOME_REQUIRE_PKGCONFIG.
    
    svn path=/trunk/; revision=1472

 macros2/ChangeLog          |  7 +++++++
 macros2/gnome-pkgconfig.m4 | 36 +++++++++++++++++++++++++++++-------
 macros2/gnome-platform.m4  |  2 ++
 3 files changed, 38 insertions(+), 7 deletions(-)

commit 5ec2fbc2866257c0b5851533d6ae68c210d53e68
Author: Martin Baulig <martin@src.gnome.org>
Date:   Wed Nov 22 13:38:32 2000 +0000

    Small AM_GNOME2_GETTEXT fix.
    
    svn path=/trunk/; revision=1471

 macros2/autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b029394f188d8ee30d1d7e31edcaeb226c01e144
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Wed Nov 22 12:06:00 2000 +0000

    New file. This defines GNOME_PLATFORM_GNOME_2.
    
    2000-11-22  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-platform.m4: New file. This defines
    	GNOME_PLATFORM_GNOME_2.
    
    	* gnome-pkgconfig.m4: Disable the --extra-flags argument to
    	pkg-config, this doesn't exist anymore.
    
    svn path=/trunk/; revision=1470

 macros2/ChangeLog          |  8 ++++++++
 macros2/Makefile.am        |  2 +-
 macros2/gnome-pkgconfig.m4 |  6 ------
 macros2/gnome-platform.m4  | 34 ++++++++++++++++++++++++++++++++++
 4 files changed, 43 insertions(+), 7 deletions(-)

commit b703777a7de0dbda8ee8e186394424dbd6486572
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Wed Nov 22 11:30:26 2000 +0000

    New file. This defines GNOME_CHECK_PKGCONFIG, GNOME_REQUIRE_PKGCONFIG and
    
    2000-11-22  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-pkgconfig.m4: New file. This defines
    	GNOME_CHECK_PKGCONFIG, GNOME_REQUIRE_PKGCONFIG and
    	GNOME_PKGCONFIG_* macros from pkg-config.
    
    svn path=/trunk/; revision=1469

 macros2/ChangeLog          |   6 ++
 macros2/Makefile.am        |   2 +-
 macros2/gnome-pkgconfig.m4 | 166 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 173 insertions(+), 1 deletion(-)

commit 0e9a3cd994eab91e382efb3c20c5ca3a5991713e
Author: Martin Baulig <martin@src.gnome.org>
Date:   Tue Nov 21 18:27:26 2000 +0000

    Updated usage instruction.
    
    svn path=/trunk/; revision=1468

 doc/usage.txt | 50 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 31 insertions(+), 19 deletions(-)

commit 4bef9ecf9296f5ba660ec873dd90af42ca1190bd
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Tue Nov 21 18:16:48 2000 +0000

    New file. Autogen gnome-autogen.sh from it; added GNOME_COMMON_DATA_DIR
    
    2000-11-21  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-autogen.sh.in: New file. Autogen gnome-autogen.sh
    	from it; added GNOME_COMMON_DATA_DIR and make it actually
    	work.
    
    svn path=/trunk/; revision=1467

 bin/.cvsignore          |  1 +
 bin/ChangeLog           |  4 +++-
 bin/Makefile.am         | 12 +++++++++++-
 bin/gnome-autogen.sh    | 19 -------------------
 bin/gnome-autogen.sh.in | 30 ++++++++++++++++++++++++++++++
 configure.in            |  1 +
 6 files changed, 46 insertions(+), 21 deletions(-)

commit 1f8d693b87ce9132f3880809f52ede46727ef5e4
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Tue Nov 21 17:18:11 2000 +0000

    Set version number to 1.2.1.
    
    2000-11-21  Martin Baulig  <martin@home-of-linux.org>
    
    	* configure.in: Set version number to 1.2.1.
    
    	* configure.in (--enable-platform-gnome-2): New configure
    	command line argument to enable support for the GNOME 2.x
    	platform.
    	(PLATFORM_GNOME_2): New automake conditional.
    	* Do the GNOME_SUPPORT_CHECKS here if we're on the GNOME 2.x
    	platform.
    
    	* Makefile.am (SUBDIRS): Conditionally add support for the
    	GNOME 2.x platform.
    
    	* acinclude.m4: New file. Put stuff from gnome-support.m4
    	and need-declaration.m4 here.
    
    svn path=/trunk/; revision=1466

 .cvsignore             |   2 +
 ChangeLog              |  17 ++++++++
 Makefile.am            |  20 +++++----
 acinclude.m4           | 110 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in           |  38 +++++++++++++++--
 gnome-common-2.0.pc.in |  10 +++++
 gnome-common.pc.in     |  10 +++++
 7 files changed, 197 insertions(+), 10 deletions(-)

commit c0a8b9ac7e2ffa3ec0199412354df7441226bbfc
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Tue Nov 21 17:11:44 2000 +0000

    Put gnome-autogen.sh here.
    
    2000-11-21  Martin Baulig  <martin@home-of-linux.org>
    
    	* Makefile.am (EXTRA_DIST): Put gnome-autogen.sh here.
    
    svn path=/trunk/; revision=1465

 bin/ChangeLog   | 4 ++++
 bin/Makefile.am | 3 +++
 2 files changed, 7 insertions(+)

commit d7074908eaabf0016b3c675346f6eafb647db9c6
Author: Martin Baulig <baulig@suse.de>
Date:   Tue Nov 21 17:11:10 2000 +0000

    Removed.
    
    2000-11-21  Martin Baulig  <baulig@suse.de>
    
    	* gnome-support.m4, need-declaration.m4: Removed.
    
    svn path=/trunk/; revision=1464

 macros2/ChangeLog           |  4 +++
 macros2/Makefile.am         |  7 ++---
 macros2/gnome-support.m4    | 68 ---------------------------------------------
 macros2/need-declaration.m4 | 42 ----------------------------
 4 files changed, 7 insertions(+), 114 deletions(-)

commit c07a374161830c162186c296b2017a6550f6b2a2
Author: Martin Baulig <baulig@suse.de>
Date:   Tue Nov 21 16:56:48 2000 +0000

    Install libgnomesupport.la, but call it libgnomesupport-1.3.la.
    
    2000-11-21  Martin Baulig  <baulig@suse.de>
    
    	* Makefile.am: Install libgnomesupport.la, but call it
    	libgnomesupport-1.3.la.
    
    	* gnome-support-2.0.pc.in: Added pkg-config file.
    
    svn path=/trunk/; revision=1463

 support/.cvsignore              |  1 +
 support/ChangeLog               |  7 +++++++
 support/Makefile.am             | 13 ++++++++-----
 support/gnome-support-2.0.pc.in | 11 +++++++++++
 4 files changed, 27 insertions(+), 5 deletions(-)

commit 9ffde11a5911f86986633acce99cd6a0f40af1a5
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Nov 20 16:26:49 2000 +0000

    Initialize GNOME_DATADIR from GNOME_DIR if set before trying gnome-config.
    
    2000-11-20  Martin Baulig  <baulig@suse.de>
    
    	* gnome-autogen.sh: Initialize GNOME_DATADIR from
    	GNOME_DIR if set before trying gnome-config.
    
    svn path=/trunk/; revision=1462

 bin/ChangeLog        | 5 +++++
 bin/gnome-autogen.sh | 6 +++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 38f93f79e6a4ad79c2f94ccc4f3605d320128e62
Author: Hans Petter <hansp@src.gnome.org>
Date:   Mon Nov 6 21:40:14 2000 +0000

    Applied build patch from Mathieu Lacage.
    
    svn path=/trunk/; revision=1433

 macros/gnome-xml-check.m4 | 2 ++
 1 file changed, 2 insertions(+)

commit cef105d0ded55628809e482ffc23aed4424f8660
Author: Martin Baulig <baulig@suse.de>
Date:   Sun Nov 5 15:08:14 2000 +0000

    Added stuff for `bonobox'.
    
    2000-11-05  Martin Baulig  <baulig@suse.de>
    
    	* gnome-bonobo-check.m4 (BONOBO_CFLAGS, BONOBO_LIBS): Added
    	stuff for `bonobox'.
    
    svn path=/trunk/; revision=1432

 macros/ChangeLog             | 5 +++++
 macros/gnome-bonobo-check.m4 | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 1018f21c080084e275c12e0c9f9bf60748db80d6
Author: Martin Baulig <baulig@suse.de>
Date:   Sun Nov 5 15:07:08 2000 +0000

    Put this back; I suppose Elliot reverted it by accident since
    he didn't mention this in the ChangeLog.
    
    2000-06-13  Martin Baulig  <baulig@suse.de>
    
    	* Makefile.am (EXTRA_DIST): Added `gnome-gettext.m4'.
    	(gnome_aclocal_DATA): Added `gnome-gettext.m4'.
    
    svn path=/trunk/; revision=1431

 macros/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 331c8faa8f4de0a9073539f2b76d0961c0c03559
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Mon Oct 30 05:21:59 2000 +0000

    Did some regexp nicefications of the code. And added the timeout field.
    
    
    	* capplet/gpilotd-capplet-strings.c:
    	* capplet/gpilotd-capplet.glade:
    	* capplet/gpilotd-control-applet.c: (gpilotd_request_completed),
    	(gpilotd_userinfo_requested), (saveSettingsAndRestartDaemon),
    	(doTrySettings), (doSaveSettings), (doRevertSettings),
    	(insert_numeric_callback), (statechange_cb), (insert_syncpc_id),
    	(insert_username_callback), (insert_device_callback),
    	(activate_sync_type), (activate_speed), (cancel_sync),
    	(run_sync_dialog), (run_error_dialog), (run_question_dialog),
    	(activate_device_menu), (run_choose_dialog), (pick_pilot_device),
    	(get_from_pilot_cb), (send_to_pilot_cb), (pilots_selection_cb),
    	(clist_unselection_cb), (devices_selection_cb),
    	(clist_button_press), (sync_type_int_to_str), (compare_pilot_info),
    	(compare_device_info), (check_base_directory), (pilots_add_cb),
    	(pilots_edit_cb), (pilots_delete_cb), (devices_edit_cb),
    	(devices_add_cb), (devices_delete_cb), (createHostCfgWindow),
    	(setHostCfg), (readHostCfg), (build_speed_menu),
    	(configureDeviceDialog), (createDeviceCfgDialog), (setDeviceCfg),
    	(compare_device_name), (next_cradle_name), (compare_pilot_name),
    	(next_pilot_name), (setDeviceDialogCfg), (readDeviceDialogCfg),
    	(configurePilotDialog), (createPilotCfgDialog), (setPilotCfg),
    	(setPilotDialogCfg), (readPilotDialogCfg),
    	(pilot_capplet_glade_init), (pilot_capplet_setup),
    	(monitor_pilots), (main), (druid_gpilotd_userinfo_requested),
    	(druid_gpilotd_request_completed), (no_button_toggled),
    	(ask_to_cancel), (druid_canceled), (druid_finished),
    	(druid_sync_page_back), (druid_presync_page_next),
    	(druid_pilot2_page_next), (druid_delete_window),
    	(gpilotd_druid_show):
    	Did some regexp nicefications of the code. And added the
    	timeout field.
    
    	* capplet/pilot.c: (copy_device), (loadDeviceCfg),
    	(savePilotState):
    	Added the timeout field to GPilotDevice
    
    	* configure.in:
    	Requires pilot-link 0.9.5
    
    	* gnome-pilot.spec.in:
    	Add ${prefix}/lib to /etc/ld.so.conf if not there
    
    	* gpilotd/gpilot-structures.c: (gpilot_device_init):
    	* gpilotd/gpilot-structures.h:
    	* gpilotd/gpilotd.c: (pilot_connect):
    	Added a timeout-field to the device, which is
    	passed to pi_accept_to.
    
    	* macros/gnome-pilot.m4:
    	Improved the check for libpisock
    	Bonged requied pilotlink version to 0.9.5
    
    svn path=/trunk/; revision=1423

 macros/gnome-pilot.m4 | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit 2c2f69d2e70b69040b5d83c7aa3219700be2283d
Author: Kenneth Christiansen <kenneth@src.gnome.org>
Date:   Thu Oct 26 21:28:34 2000 +0000

    Added small test for po/Makefile.i18npatch, so that if it exists it will patch the gettext dependent po/Makefile.in.in file. This allows us to integrate the i18n scripts, etc even more.
    
    svn path=/trunk/; revision=1420

 macros/autogen.sh | 7 +++++++
 1 file changed, 7 insertions(+)

commit 363633f64268e3e46b932158e6a5af346a85dad4
Author: Martin Baulig <baulig@suse.de>
Date:   Sat Sep 30 14:47:31 2000 +0000

    Switch to pkg-config to check for GTK+ 2.0; Removed all
    
    2000-09-30  Martin Baulig  <baulig@suse.de>
    
    	* gnome-x-checks.m4: Switch to pkg-config to check for GTK+ 2.0;
    	Removed all `gnome_cv_passdown_x_*' variables and `USE_DEVGTK'.
    
    	* gnome-common.m4 (GNOME_COMMON_INIT): Added the always-false
    	INSIDE_GNOME_COMMON automake conditional.
    	(GNOME_GTKDOC_CHECK): New macro.
    	(GNOME_DEBUG_CHECK): New macro.
    
    svn path=/trunk/; revision=1419

 macros2/ChangeLog         | 10 ++++++++++
 macros2/gnome-common.m4   | 33 ++++++++++++++++++++++++++++++++-
 macros2/gnome-x-checks.m4 | 35 +++--------------------------------
 3 files changed, 45 insertions(+), 33 deletions(-)

commit 74e080dac151c1c538d71621df48e715597ee6f5
Author: George Lebl <jirka@5z.com>
Date:   Thu Aug 24 07:28:21 2000 +0000

    use the correct name in AC_PROVIDE
    
    Thu Aug 24 02:28:57 2000  George Lebl <jirka@5z.com>
    
    	* gnome-x-checks.m4: use the correct name in AC_PROVIDE
    
    svn path=/trunk/; revision=1417

 macros2/ChangeLog         | 4 ++++
 macros2/gnome-x-checks.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 060657ee03b4f7a0000d5d22adb4eb0d97969dfe
Author: Larry Liimatainen <remlali@src.gnome.org>
Date:   Tue Aug 22 12:05:30 2000 +0000

    various small build fixes
    
    svn path=/trunk/; revision=1362

 macros/autogen.sh | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 12c7ec67c2cec0992276e4906c285e5beeb091ae
Author: Martin Baulig <baulig@suse.de>
Date:   Sun Aug 6 14:13:11 2000 +0000

    Renamed to GNOME2_X_CHECKS.
    
    2000-08-06  Martin Baulig  <baulig@suse.de>
    
    	* gnome-x-checks.m4 (GNOME_X_CHECKS): Renamed
    	to GNOME2_X_CHECKS.
    
    svn path=/trunk/; revision=1361

 macros2/ChangeLog         | 5 +++++
 macros2/gnome-x-checks.m4 | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4cd0b9dce4a6cd1ba171f3f4f6641648e209a4bf
Author: Dan Winship <danw@src.gnome.org>
Date:   Wed Aug 2 22:26:45 2000 +0000

    Fix "cvs rm -rf" lossage.
    
    svn path=/trunk/; revision=1348

 macros/.cvsignore             |    4 +
 macros/ChangeLog              | 1049 +++++++++++++++++++++++++++++++++++++++++
 macros/Makefile.am            |   42 ++
 macros/aclocal-include.m4     |   16 +
 macros/autogen.sh             |  179 +++++++
 macros/compiler-flags.m4      |  109 +++++
 macros/curses.m4              |  318 +++++++++++++
 macros/gnome-bonobo-check.m4  |  166 +++++++
 macros/gnome-common.m4        |   14 +
 macros/gnome-cxx-check.m4     |   10 +
 macros/gnome-fileutils.m4     |  414 ++++++++++++++++
 macros/gnome-gettext.m4       |  336 +++++++++++++
 macros/gnome-ghttp-check.m4   |   14 +
 macros/gnome-gnorba-check.m4  |   35 ++
 macros/gnome-guile-checks.m4  |  119 +++++
 macros/gnome-libgtop-check.m4 |  217 +++++++++
 macros/gnome-objc-checks.m4   |   83 ++++
 macros/gnome-orbit-check.m4   |   33 ++
 macros/gnome-pilot.m4         |  137 ++++++
 macros/gnome-print-check.m4   |  171 +++++++
 macros/gnome-pthread-check.m4 |   16 +
 macros/gnome-support.m4       |   68 +++
 macros/gnome-undelfs.m4       |   20 +
 macros/gnome-vfs.m4           |  120 +++++
 macros/gnome-x-checks.m4      |   80 ++++
 macros/gnome-xml-check.m4     |   30 ++
 macros/gnome.m4               |  128 +++++
 macros/gperf-check.m4         |   79 ++++
 macros/linger.m4              |   28 ++
 macros/need-declaration.m4    |   42 ++
 30 files changed, 4077 insertions(+)

commit 16d6f018ba12f81c8b418ee36ce5850263ed0e35
Author: scottf <scottf@localhost>
Date:   Wed Aug 2 21:47:06 2000 +0000

    removed last files from GNOME CVS
    
    svn path=/trunk/; revision=1347

 macros/.cvsignore             |    4 -
 macros/ChangeLog              | 1049 -----------------------------------------
 macros/Makefile.am            |   42 --
 macros/aclocal-include.m4     |   16 -
 macros/autogen.sh             |  179 -------
 macros/compiler-flags.m4      |  109 -----
 macros/curses.m4              |  318 -------------
 macros/gnome-bonobo-check.m4  |  166 -------
 macros/gnome-common.m4        |   14 -
 macros/gnome-cxx-check.m4     |   10 -
 macros/gnome-fileutils.m4     |  414 ----------------
 macros/gnome-gettext.m4       |  336 -------------
 macros/gnome-ghttp-check.m4   |   14 -
 macros/gnome-gnorba-check.m4  |   35 --
 macros/gnome-guile-checks.m4  |  119 -----
 macros/gnome-libgtop-check.m4 |  217 ---------
 macros/gnome-objc-checks.m4   |   83 ----
 macros/gnome-orbit-check.m4   |   33 --
 macros/gnome-pilot.m4         |  137 ------
 macros/gnome-print-check.m4   |  171 -------
 macros/gnome-pthread-check.m4 |   16 -
 macros/gnome-support.m4       |   68 ---
 macros/gnome-undelfs.m4       |   20 -
 macros/gnome-vfs.m4           |  120 -----
 macros/gnome-x-checks.m4      |   80 ----
 macros/gnome-xml-check.m4     |   30 --
 macros/gnome.m4               |  128 -----
 macros/gperf-check.m4         |   79 ----
 macros/linger.m4              |   28 --
 macros/need-declaration.m4    |   42 --
 30 files changed, 4077 deletions(-)

commit 7ddb843f8ef2c7a8fc5aa61d496111eabe462412
Author: Pavel Roskin <proskin@src.gnome.org>
Date:   Wed Aug 2 00:54:46 2000 +0000

    AC_WARN replaced with AC_MSG_WARN in comments
    
    svn path=/trunk/; revision=1345

 macros/ChangeLog | 4 ++++
 macros/curses.m4 | 6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 68fcb40dbe388b2c9065f2be5fef29d076f58f4b
Author: Elliot Lee <sopwith@src.gnome.org>
Date:   Mon Jul 24 23:07:48 2000 +0000

    Add it back in so the Nautilus people can hack (and because it belongs
    
    
    
    * gnome.m4: Add it back in so the Nautilus people can hack (and because it belongs here)
    
    svn path=/trunk/; revision=1322

 hack-macros/gnome.m4 | 471 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 471 insertions(+)

commit 73a15725c40c8188fb85f7846001e0c230d59275
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 24 20:28:47 2000 +0000

    Cache values so they're reset when we rerun the configure script.
    This works fine whenever it is rerun 'cause for instance configure.in
    or something else has changed.
    However, when you remove config.cache you may need to rerun autogen.sh
    to get it working (but I'm working on getting this fixed as well).
    
    svn path=/trunk/; revision=1321

 macros2/gnome-common.m4 | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 328eb9d0f18c7d46fdf202744511c7814bce9f98
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Mon Jul 24 20:13:42 2000 +0000

    Removed some old crap in it. Removed.
    
    2000-07-24  Martin Baulig  <martin@home-of-linux.org>
    
    	* autogen.sh: Removed some old crap in it.
    	* aclocal-include.m4: Removed.
    
    svn path=/trunk/; revision=1320

 macros2/ChangeLog          |  5 ++++-
 macros2/Makefile.am        |  2 +-
 macros2/aclocal-include.m4 | 16 ----------------
 macros2/autogen.sh         | 23 -----------------------
 4 files changed, 5 insertions(+), 41 deletions(-)

commit 4f02b5aeb83e9c82312638421d0a2fe5681bd298
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Jul 24 19:50:38 2000 +0000

    Check for GTK+ 2.0.
    
    2000-07-24  Martin Baulig  <baulig@suse.de>
    
    	* gnome-x-checks.m4: Check for GTK+ 2.0.
    
    svn path=/trunk/; revision=1319

 macros2/ChangeLog         | 4 ++++
 macros2/gnome-common.m4   | 4 +++-
 macros2/gnome-x-checks.m4 | 2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit a2f1e4ebc32555355eba31315d2178cab622019c
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 24 15:55:52 2000 +0000

    Fix GNOME2_DIR.
    
    svn path=/trunk/; revision=1318

 macros2/autogen.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 80a465e548278e727aee556eab719e70979435b0
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 24 15:55:43 2000 +0000

    Don't use gnome-config if GNOME_DATADIR is set.
    
    svn path=/trunk/; revision=1317

 bin/gnome-autogen.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit fcb53c1f2bdff3fca797edeef17a147de4c8a836
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Jul 24 15:34:59 2000 +0000

    For now, stuff at least _works_ again .....
    
    2000-07-24  Martin Baulig  <baulig@suse.de>
    
    	Use the new gnome-common module instead of having the .m4
    	files in gnome-data.
    
    	* autogen.sh: Use gnome-autogen.sh from gnome-common.
    	* gnome.m4, acinclude.m4: Removed.
    	* configure.in: Use AM_GNOME2_GETTEXT and GNOME_COMMON_INIT.
    
    	* gnome-data/*.m4: Removed. This is now in gnome-common/macros2.
    
    svn path=/trunk/; revision=1316

 hack-macros/gnome.m4 | 471 ---------------------------------------------------
 1 file changed, 471 deletions(-)

commit 64ddf7647a809be768f74313563bd45df2d59a83
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 24 15:28:48 2000 +0000

    This should work now.
    
    svn path=/trunk/; revision=1314

 macros/gnome-common.m4  | 4 ++--
 macros2/gnome-common.m4 | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 3ddff7c5373b37a95c68ea85d3d027ef0531b971
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon Jul 24 14:59:03 2000 +0000

    s/USE_GNOME_2_MACROS/USE_GNOME2_MACROS/
    
    svn path=/trunk/; revision=1313

 bin/gnome-autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 718cd7f95168ed3e0a95884c52e3b9f77841ca69
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Jul 24 14:57:59 2000 +0000

    Make it work with AM_GNOME2_GETTEXT. New file.
    
    2000-07-24  Martin Baulig  <baulig@suse.de>
    
    	* autogen.sh: Make it work with AM_GNOME2_GETTEXT.
    	* check-utmp.m4: New file.
    
    svn path=/trunk/; revision=1312

 macros2/ChangeLog   | 1 +
 macros2/Makefile.am | 2 +-
 macros2/autogen.sh  | 4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 7c80f5d7dfbf54c1ed432dc7f06dc32d3a0d43ed
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Jul 24 14:55:17 2000 +0000

    New file.
    
    2000-07-24  Martin Baulig  <baulig@suse.de>
    
    	* check-utmp.m4: New file.
    
    svn path=/trunk/; revision=1311

 macros2/ChangeLog     |   4 +
 macros2/check-utmp.m4 | 243 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 247 insertions(+)

commit 425e5cc9aad003c9f64d43f2d3f15e04a97db854
Author: Martin Baulig <baulig@suse.de>
Date:   Mon Jul 24 14:27:58 2000 +0000

    Synced with gnome-libs/gnome-data.
    
    2000-07-24  Martin Baulig  <baulig@suse.de>
    
    	Synced with gnome-libs/gnome-data.
    
    svn path=/trunk/; revision=1310

 macros2/ChangeLog              |   4 +
 macros2/Makefile.am            |  17 +-
 macros2/aclocal-include.m4     |  16 ++
 macros2/compiler-flags.m4      | 109 ++++++++
 macros2/gnome-common.m4        |   2 +-
 macros2/gnome-cxx-check.m4     |  10 +
 macros2/gnome-fileutils.m4     | 414 +++++++++++++++++++++++++++++
 macros2/gnome-gettext.m4       | 336 ++++++++++++++++++++++++
 macros2/gnome-gnorba-check.m4  |  35 +++
 macros2/gnome-pthread-check.m4 |  16 ++
 macros2/gnome-support.m4       |  68 +++++
 macros2/gnome-x-checks.m4      |  80 ++++++
 macros2/gnome.m4               | 579 ++++++++---------------------------------
 macros2/linger.m4              |  28 ++
 macros2/need-declaration.m4    |  42 +++
 15 files changed, 1283 insertions(+), 473 deletions(-)

commit c978e43ae83a5a7e7fc8fe32538afbffc5812da9
Author: Elliot Lee <sopwith@src.gnome.org>
Date:   Mon Jul 17 22:30:14 2000 +0000

    0.3.12
    
    
    
    0.3.12
    
    svn path=/trunk/; revision=1307

 macros/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8d44ab4fb945aace59785112eac1106f86019f71
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Thu Jul 6 04:58:12 2000 +0000

    Changelog entries should now go to toplevel Changelog. I now prefer this,
    
    
            * HACKING:
            Changelog entries should now go to toplevel Changelog.
            I now prefer this, because of the prepare-ChangeLog.pl
            script used for Nautilus. See HACKING for more.
    
            * applet/pilot.c: (main):
            * configure.in:
            * gpilotd/Makefile.am:
            * gpilotd/gnome-pilot-client.gob:
            * gpilotd/orbit_daemon_glue.c: (gpilotd_corba_init):
            * macros/gnome-pilot.m4:
            * utils/Makefile.am:
            Done a lot of damagecontrol after the OAF collision
            that happened. GNORBA is now the default object activator
            even if bonobo/oaf/whatnot is installed. You can switch
            to oaf if you configure with --with-oaf (up to the reader
            to completely finish this).
            The OAF code is still in CVS, it compiles (no longer
            breaks gnome-pim), but still doens't work though.
            (there a limit to my time).
    
    svn path=/trunk/; revision=1299

 macros/gnome-pilot.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5fa192f33d4341c6ae358bf624ec88f69565521
Author: Stanislav Brabec <utx@src.gnome.org>
Date:   Sat Jun 24 10:47:21 2000 +0000

    Use 'PISOCK_INCLUDEDIR' in pisock version check.
    
    svn path=/trunk/; revision=1283

 macros/ChangeLog      | 4 ++++
 macros/gnome-pilot.m4 | 3 +++
 2 files changed, 7 insertions(+)

commit 69a8dde36da75192819b8a036570b862ac10c20f
Author: Dan Winship <danw@src.gnome.org>
Date:   Sat Jun 17 21:00:40 2000 +0000

    exit immediately if aclocal, autoheader, automake, or autoconf fails,
    
    	* autogen.sh: exit immediately if aclocal, autoheader, automake,
    	or autoconf fails, rather than continuing on with broken state.
    	(In the aclocal case, print a hopefully-useful explanatory
    	message.)
    
    svn path=/trunk/; revision=1277

 macros/ChangeLog  |  7 +++++++
 macros/autogen.sh | 20 +++++++++++++++-----
 2 files changed, 22 insertions(+), 5 deletions(-)

commit c83a59c73fe0703ce5f8ff3b0d3bf35666379fa1
Author: Martijn van Beers <martijn@src.gnome.org>
Date:   Thu Jun 15 14:33:44 2000 +0000

    remove last bits of AC_ARG_ENABLE(gnometest,,,) since it's not being used
    
    svn path=/trunk/; revision=1269

 hack-macros/gnome.m4 | 4 ----
 1 file changed, 4 deletions(-)

commit bb4c232c22a081160733d746aceb962ae4517677
Author: Martin Baulig <baulig@suse.de>
Date:   Tue Jun 13 15:09:48 2000 +0000

    New macro. Checks whether Bonobo uses OAF and defines `BONOBO_USES_OAF' if
    
    2000-06-13  Martin Baulig  <baulig@suse.de>
    
    	* gnome-bonobo-check.am (AM_BONOBO_USES_OAF): New macro.
    	Checks whether Bonobo uses OAF and defines `BONOBO_USES_OAF'
    	if appropriate. Also provides `BONOBO_USES_OAF' automake
    	conditional.
    
    svn path=/trunk/; revision=1268

 macros/ChangeLog             |  7 +++++++
 macros/gnome-bonobo-check.m4 | 16 ++++++++++++++++
 2 files changed, 23 insertions(+)

commit 812ac2024a5131dff62d9bcfad9c6bd507e83d64
Author: Martin Baulig <baulig@suse.de>
Date:   Tue Jun 13 10:28:37 2000 +0000

    Added `gnome-gettext.m4'. (gnome_aclocal_DATA): Added `gnome-gettext.m4'.
    
    2000-06-13  Martin Baulig  <baulig@suse.de>
    
    	* Makefile.am (EXTRA_DIST): Added `gnome-gettext.m4'.
    	(gnome_aclocal_DATA): Added `gnome-gettext.m4'.
    
    svn path=/trunk/; revision=1267

 macros/ChangeLog   | 5 +++++
 macros/Makefile.am | 5 +++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit bb50821b4debf445504ad5ed83aeef5d1ceecb43
Author: Martin Baulig <martin@home-of-linux.org>
Date:   Fri Jun 9 01:05:14 2000 +0000

    We need this here as well.
    
    2000-06-09  Martin Baulig  <martin@home-of-linux.org>
    
    	* gnome-common.m4: We need this here as well.
    
    svn path=/trunk/; revision=1266

 macros2/ChangeLog       |  4 ++++
 macros2/Makefile.am     |  3 ++-
 macros2/gnome-common.m4 | 14 ++++++++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 25a3c7b41a8396836464d1fd657178b4cecedb56
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon May 29 15:57:23 2000 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=1265

 bin/.cvsignore | 2 ++
 doc/.cvsignore | 2 ++
 2 files changed, 4 insertions(+)

commit 755589f9ad5c0cf8fd1e2cea85d5a4b0482da70c
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon May 29 15:56:22 2000 +0000

    This explains what this is all good for.
    
    svn path=/trunk/; revision=1264

 doc/usage.txt | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

commit 41c45857e923337aa72b3865b7ff59a89ecff6c1
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon May 29 15:43:39 2000 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=1263

 doc/Makefile.am | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c3738f753c42ccd88effee6261c6fcd9adf6cdef
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon May 29 15:42:50 2000 +0000

    Moved macros/gnome-autogen.sh to bin/gnome-autogen.sh.
    
    svn path=/trunk/; revision=1256

 Makefile.am             |  2 +-
 bin/ChangeLog           |  5 +++++
 bin/Makefile.am         |  2 ++
 bin/gnome-autogen.sh    | 11 +++++++++++
 configure.in            |  4 +++-
 macros/ChangeLog        |  4 ++++
 macros/Makefile.am      |  4 +---
 macros/gnome-autogen.sh | 11 -----------
 8 files changed, 27 insertions(+), 16 deletions(-)

commit 36f51b0a71f4f10c74c37d30bcdd59b01f06292b
Author: Martin Baulig <martin@src.gnome.org>
Date:   Mon May 29 15:17:52 2000 +0000

    *** empty log message ***
    
    svn path=/trunk/; revision=1255

 Makefile.am  | 2 +-
 configure.in | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 2613833d16d0319d36165a1dc9fa283aaf0c0d7e
Author: Martin Baulig <baulig@suse.de>
Date:   Mon May 29 15:17:17 2000 +0000

    If `USE_GNOME_2_MACROS' is set, use the GNOME 2.0 macros from the
    
    2000-05-29  Martin Baulig  <baulig@suse.de>
    
    	* gnome-autogen.sh: If `USE_GNOME_2_MACROS' is set, use the
    	GNOME 2.0 macros from the `macros2' directory.
    
    svn path=/trunk/; revision=1254

 macros/ChangeLog        | 5 +++++
 macros/gnome-autogen.sh | 7 ++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 7d133ecfaf798c274fa0fb978364fe45771fa0ba
Author: Martin Baulig <baulig@suse.de>
Date:   Mon May 29 15:16:05 2000 +0000

    New file. Install this stuff into `$(datadir)/aclocal/gnome2-macros'.
    
    2000-05-29  Martin Baulig  <baulig@suse.de>
    
    	* Makefile.am: New file. Install this stuff into
    	`$(datadir)/aclocal/gnome2-macros'.
    
    	* gnome.m4: New file. Copied from `hack-macros' dir.
    
    	* autogen.sh: New file. Copied from `macros' dir.
    
    svn path=/trunk/; revision=1253

 macros2/.cvsignore  |   4 +
 macros2/ChangeLog   |   9 +
 macros2/Makefile.am |  20 +++
 macros2/autogen.sh  | 169 +++++++++++++++++++
 macros2/gnome.m4    | 475 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 677 insertions(+)

commit c11c4467a1eafe1527594f9a9deab8e8cbd01f1a
Author: Martin Baulig <baulig@suse.de>
Date:   Mon May 29 14:31:21 2000 +0000

    Set version number to 1.2.0.
    
    2000-05-29  Martin Baulig  <baulig@suse.de>
    
    	* configure.in: Set version number to 1.2.0.
    
    svn path=/trunk/; revision=1252

 ChangeLog    | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 79f6d921ae18d9f4a7df809b15f83801abb96150
Author: Martin Baulig <baulig@suse.de>
Date:   Mon May 29 14:30:32 2000 +0000

    Install macros to `$(datadir)/aclocal/gnome-macros' when
    
    2000-05-29  Martin Baulig  <baulig@suse.de>
    
    	* gnome-common.m4, Makefile.am: Install macros to
    	`$(datadir)/aclocal/gnome-macros' when INSIDE_GNOME_COMMON.
    
    	* gnome-autogen.sh: New file. When using gnome-common instead
    	of the macros/ directory, use this in your autogen.sh.
    
    svn path=/trunk/; revision=1251

 macros/ChangeLog        | 8 ++++++++
 macros/Makefile.am      | 6 ++++--
 macros/gnome-autogen.sh | 6 ++++++
 macros/gnome-common.m4  | 2 +-
 4 files changed, 19 insertions(+), 3 deletions(-)

commit 8835a5b3c7246bf74d93c0bfa41f7600be74f0cc
Author: Julian Missig <julianm@src.gnome.org>
Date:   Sun May 21 22:40:15 2000 +0000

    Fixed my mess-up, sorry about that.
    
    svn path=/trunk/; revision=1239

 macros/ChangeLog        | 39 +++++++++++++++++++++++++++++++++++++++
 macros/autogen.sh       | 10 ++++++----
 macros/gnome-gettext.m4 |  2 +-
 macros/gnome-pilot.m4   | 18 ++++++++++++------
 macros/gnome.m4         |  4 ++++
 5 files changed, 62 insertions(+), 11 deletions(-)

commit dcd33cbe7d7de30814c069dc42006acd15da3472
Author: Julian Missig <julianm@src.gnome.org>
Date:   Sun May 21 21:40:38 2000 +0000

    Argh. I didn't mean for that to go in the repository, could've sworn I had the right CVSROOT.
    
    svn path=/trunk/; revision=1238

 macros/gnomemm.m4 | 21 ---------------------
 1 file changed, 21 deletions(-)

commit eafe874dcda15a053985bd10e4429f2fcd8ce435
Author: Julian Missig <julianm@src.gnome.org>
Date:   Sun May 21 21:38:39 2000 +0000

    Added gnomemm.m4 for proper gnomemm checking
    
    svn path=/trunk/; revision=1237

 macros/gnomemm.m4 | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit b8db88e552080a763e18388bfccd109ee5f4393f
Author: Julian Missig <julianm@src.gnome.org>
Date:   Sun May 21 21:36:20 2000 +0000

    Gabber now has *working* i18n!
    
    svn path=/trunk/; revision=1236

 macros/ChangeLog        | 39 ---------------------------------------
 macros/autogen.sh       | 10 ++++------
 macros/gnome-gettext.m4 |  2 +-
 macros/gnome-pilot.m4   | 18 ++++++------------
 macros/gnome.m4         |  4 ----
 5 files changed, 11 insertions(+), 62 deletions(-)

commit f22d453fd3e58403ed62e36bc843c90b42ef048d
Author: Russell Steinthal <steintr@src.gnome.org>
Date:   Tue May 16 03:43:44 2000 +0000

    Yet another attempt at fixing the gnome-pilot check- this time on Solaris.
    
    $GNOME_CONFIG is printing more than one word, which when backticked causes test to do not nice things...
    
    Can someone with Solaris test this?  test on Linux appears to be too lenient to worry about this in any case.
    
    svn path=/trunk/; revision=1220

 macros/ChangeLog      | 6 ++++++
 macros/gnome-pilot.m4 | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 785a68ba0e47fde4a28ec119ea585362b267dafd
Author: Miguel de Icaza <miguel@src.gnome.org>
Date:   Wed May 10 02:47:00 2000 +0000

    Revert patch from Jleach.  Dude, please dont touch stuff that you are sharing from other projects.  This broke everything
    
    svn path=/trunk/; revision=1218

 intl/Makefile.in | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 0268bfc6e7c45472907d1006aadf2e6634bb0917
Author: Dan Winship <danw@src.gnome.org>
Date:   Mon May 1 23:51:27 2000 +0000

    "But that trick NEVER works!" "This time for sure!"
    
    	* gnome-pilot.m4 (PILOT_LIBS): "But that trick NEVER works!"
    	"This time for sure!"
    
    svn path=/trunk/; revision=1203

 macros/ChangeLog      | 5 +++++
 macros/gnome-pilot.m4 | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit d181483b9be07f314ca57349f91711636e4b2286
Author: George Lebl <jirka@5z.com>
Date:   Sun Apr 23 19:19:31 2000 +0000

    add an extra lib of docklets. These checks are braindamaged though, they
    
    Sun Apr 23 12:15:14 2000  George Lebl <jirka@5z.com>
    
    	* gnome.m4: add an extra lib of docklets.  These checks are
    	  braindamaged though, they don't fail and thus gnome-core for
      	  example compiles without gnomecc.  There need to be separate .m4
      	  files or checks
    
    svn path=/trunk/; revision=1187

 macros/ChangeLog | 7 +++++++
 macros/gnome.m4  | 4 ++++
 2 files changed, 11 insertions(+)

commit c355e5f181d2149383c6687d3930760aceb02486
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Wed Apr 19 09:50:35 2000 +0000

    Fixes the gnome-config check for gpilot.
    
    svn path=/trunk/; revision=1180

 macros/ChangeLog      | 1 +
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 1db1463d7d504e2988103673e34b8aefc323ec4f
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Wed Apr 19 09:45:41 2000 +0000

    Changed the error string for gnome-pilot
    
    svn path=/trunk/; revision=1179

 macros/ChangeLog      | 4 ++++
 macros/gnome-pilot.m4 | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit e4ce699339aa94e65ad2868399306f1ed4500df4
Author: Dan Winship <danw@src.gnome.org>
Date:   Mon Apr 10 18:21:11 2000 +0000

    Fix a bug introduced in the gnome-pilot-config to "gnome-config gpilot"
    
    	* gnome-pilot.m4 (PILOT_LIBS): Fix a bug introduced in the
    	gnome-pilot-config to "gnome-config gpilot" change that caused not
    	having pilot-link installed to become a fatal error.
    
    svn path=/trunk/; revision=1171

 macros/ChangeLog      |  6 ++++++
 macros/gnome-pilot.m4 | 10 +++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit 5ee0a8275335a5b0f1deb19ac506bbe0f2e75a22
Author: Jacob Leach <jleach@src.gnome.org>
Date:   Thu Apr 6 01:40:08 2000 +0000

    Another bigger-than-probably-needs-to-be commit.  All the file
    renaming/removing should be completely done.  Began glade-izing the
    dialogs, glade is awesome.  Improved the requirement checks in the
    .spec and configure.  Fixed a few crashes and then updated BUGS.
    We're getting closer to a new stable release.
    
    svn path=/trunk/; revision=1170

 intl/ChangeLog     |  65 +++++++++++++++++++++++--
 intl/Makefile.in   |  23 +++------
 intl/VERSION       |   2 +-
 intl/bindtextdom.c |   8 ++-
 intl/dcgettext.c   |  43 +++++++++++++---
 intl/dgettext.c    |  32 ++++++------
 intl/explodename.c |  13 +++--
 intl/finddomain.c  |  35 ++++++++++++--
 intl/gettext.c     |   2 +-
 intl/gettext.h     |   2 +-
 intl/gettextP.h    |  22 +++++++--
 intl/hash-string.h |   4 --
 intl/l10nflist.c   |   8 +--
 intl/libgettext.h  |  15 +++---
 intl/loadinfo.h    |  20 +++++++-
 intl/loadmsgcat.c  |  45 ++++++++++++-----
 intl/localealias.c | 140 +++++++++++++++++++++++++++++++++++------------------
 intl/textdomain.c  |   8 +--
 18 files changed, 354 insertions(+), 133 deletions(-)

commit a30e996c94bdb971562811c4dab2fdd2cd457484
Author: Eskil Heyn Olsen <eskil@src.gnome.org>
Date:   Wed Mar 29 00:30:07 2000 +0000

    Modfied to use the gnome-config --yadayada gpilot script.
    
    svn path=/trunk/; revision=1154

 macros/gnome-pilot.m4 | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

